import { ServiceProto } from 'tsrpc-proto';
import { ReqDelPrivate, ResDelPrivate } from './chat/PtlDelPrivate';
import { ReqGetList, ResGetList } from './chat/PtlGetList';
import { ReqHelp, ResHelp } from './chat/PtlHelp';
import { ReqPrivate, ResPrivate } from './chat/PtlPrivate';
import { ReqSend, ResSend } from './chat/PtlSend';
import { ReqBuyGift, ResBuyGift } from './chongzhi/PtlBuyGift';
import { ReqOpen, ResOpen } from './chongzhi/PtlOpen';
import { ReqBuyNum, ResBuyNum } from './conglinshoulie/PtlBuyNum';
import { ReqFind, ResFind } from './conglinshoulie/PtlFind';
import { ReqGetLog, ResGetLog } from './conglinshoulie/PtlGetLog';
import { ReqOpen as ReqOpen_1, ResOpen as ResOpen_1 } from './conglinshoulie/PtlOpen';
import { ReqRec, ResRec } from './conglinshoulie/PtlRec';
import { ReqOpen as ReqOpen_2, ResOpen as ResOpen_2 } from './dixiaheishi/PtlOpen';
import { ReqBuy, ResBuy } from './dixialeitai/PtlBuy';
import { ReqFight, ResFight } from './dixialeitai/PtlFight';
import { ReqNext, ResNext } from './dixialeitai/PtlNext';
import { ReqOpen as ReqOpen_3, ResOpen as ResOpen_3 } from './dixialeitai/PtlOpen';
import { ReqRecMiBao, ResRecMiBao } from './dixialeitai/PtlRecMiBao';
import { ReqRecPrize, ResRecPrize } from './dixialeitai/PtlRecPrize';
import { ReqSetDef, ResSetDef } from './dixialeitai/PtlSetDef';
import { ReqUseItem, ResUseItem } from './dixialeitai/PtlUseItem';
import { ReqOpen as ReqOpen_4, ResOpen as ResOpen_4 } from './dixiaqianzhuang/PtlOpen';
import { ReqQf, ResQf } from './dixiaqianzhuang/PtlQf';
import { ReqAllReceive, ResAllReceive } from './email/PtlAllReceive';
import { ReqAllRemove, ResAllRemove } from './email/PtlAllRemove';
import { ReqOpen as ReqOpen_5, ResOpen as ResOpen_5 } from './email/PtlOpen';
import { ReqRead, ResRead } from './email/PtlRead';
import { ReqReceive, ResReceive } from './email/PtlReceive';
import { ReqRemove, ResRemove } from './email/PtlRemove';
import { ReqAdjustment, ResAdjustment } from './equip/PtlAdjustment';
import { ReqGetList as ReqGetList_1, ResGetList as ResGetList_1 } from './equip/PtlGetList';
import { ReqLvUp, ResLvUp } from './equip/PtlLvUp';
import { ReqOneKeyLvUp, ResOneKeyLvUp } from './equip/PtlOneKeyLvUp';
import { ReqOneKeyTakeOff, ResOneKeyTakeOff } from './equip/PtlOneKeyTakeOff';
import { ReqOneKeyWear, ResOneKeyWear } from './equip/PtlOneKeyWear';
import { ReqReset, ResReset } from './equip/PtlReset';
import { ReqStarUp, ResStarUp } from './equip/PtlStarUp';
import { ReqTakeOff, ResTakeOff } from './equip/PtlTakeOff';
import { ReqWear, ResWear } from './equip/PtlWear';
import { ReqOpen as ReqOpen_6, ResOpen as ResOpen_6 } from './event/136Gift/PtlOpen';
import { ReqRec as ReqRec_1, ResRec as ResRec_1 } from './event/136Gift/PtlRec';
import { ReqGame, ResGame } from './event/christmas/PtlGame';
import { ReqLiBao, ResLiBao } from './event/christmas/PtlLiBao';
import { ReqOpen as ReqOpen_7, ResOpen as ResOpen_7 } from './event/christmas/PtlOpen';
import { ReqQianDao, ResQianDao } from './event/christmas/PtlQianDao';
import { ReqSelect, ResSelect } from './event/christmas/PtlSelect';
import { ReqTaskRec, ResTaskRec } from './event/christmas/PtlTaskRec';
import { ReqZhanLingRec, ResZhanLingRec } from './event/christmas/PtlZhanLingRec';
import { ReqOpen as ReqOpen_8, ResOpen as ResOpen_8 } from './event/chuanshuozhilu/PtlOpen';
import { ReqRec as ReqRec_2, ResRec as ResRec_2 } from './event/chuanshuozhilu/PtlRec';
import { ReqGet, ResGet } from './event/diaoluoduihuan/PtlGet';
import { ReqOpen as ReqOpen_9, ResOpen as ResOpen_9 } from './event/diaoluoduihuan/PtlOpen';
import { ReqOpen as ReqOpen_10, ResOpen as ResOpen_10 } from './event/huobanzhaomu/PtlOpen';
import { ReqRec as ReqRec_3, ResRec as ResRec_3 } from './event/huobanzhaomu/PtlRec';
import { ReqGet as ReqGet_1, ResGet as ResGet_1 } from './event/jierihuodong/PtlGet';
import { ReqOpen as ReqOpen_11, ResOpen as ResOpen_11 } from './event/jierihuodong/PtlOpen';
import { ReqRec as ReqRec_4, ResRec as ResRec_4 } from './event/jierihuodong/PtlRec';
import { ReqCheckOpen, ResCheckOpen } from './event/jijin/PtlCheckOpen';
import { ReqOpen as ReqOpen_12, ResOpen as ResOpen_12 } from './event/jijin/PtlOpen';
import { ReqReceive as ReqReceive_1, ResReceive as ResReceive_1 } from './event/jijin/PtlReceive';
import { ReqLoginPrize, ResLoginPrize } from './event/kaifukuanghuan/PtlLoginPrize';
import { ReqOpen as ReqOpen_13, ResOpen as ResOpen_13 } from './event/kaifukuanghuan/PtlOpen';
import { ReqShopBuy, ResShopBuy } from './event/kaifukuanghuan/PtlShopBuy';
import { ReqTaskBox, ResTaskBox } from './event/kaifukuanghuan/PtlTaskBox';
import { ReqTaskPrize, ResTaskPrize } from './event/kaifukuanghuan/PtlTaskPrize';
import { ReqOpen as ReqOpen_14, ResOpen as ResOpen_14 } from './event/leichonglibao/PtlOpen';
import { ReqReceive as ReqReceive_2, ResReceive as ResReceive_2 } from './event/leichonglibao/PtlReceive';
import { ReqOpen as ReqOpen_15, ResOpen as ResOpen_15 } from './event/leijichongzhi/PtlOpen';
import { ReqRec as ReqRec_5, ResRec as ResRec_5 } from './event/leijichongzhi/PtlRec';
import { ReqLottery, ResLottery } from './event/niudanji/PtlLottery';
import { ReqOpen as ReqOpen_16, ResOpen as ResOpen_16 } from './event/niudanji/PtlOpen';
import { ReqCanReceive, ResCanReceive } from './event/payForDiamond/PtlCanReceive';
import { ReqReceive as ReqReceive_3, ResReceive as ResReceive_3 } from './event/payForDiamond/PtlReceive';
import { ReqOpen as ReqOpen_17, ResOpen as ResOpen_17 } from './event/pobinglibao/PtlOpen';
import { ReqReceive as ReqReceive_4, ResReceive as ResReceive_4 } from './event/pobinglibao/PtlReceive';
import { ReqOpen as ReqOpen_18, ResOpen as ResOpen_18 } from './event/qirichongzhi/PtlOpen';
import { ReqRec as ReqRec_6, ResRec as ResRec_6 } from './event/qirichongzhi/PtlRec';
import { ReqOpen as ReqOpen_19, ResOpen as ResOpen_19 } from './event/qiridenglu/PtlOpen';
import { ReqRecPrize as ReqRecPrize_1, ResRecPrize as ResRecPrize_1 } from './event/qiridenglu/PtlRecPrize';
import { ReqOpen as ReqOpen_20, ResOpen as ResOpen_20 } from './event/shiwuleichong/PtlOpen';
import { ReqOpen as ReqOpen_21, ResOpen as ResOpen_21 } from './event/shouchong/PtlOpen';
import { ReqReceive as ReqReceive_5, ResReceive as ResReceive_5 } from './event/shouchong/PtlReceive';
import { ReqBuy as ReqBuy_1, ResBuy as ResBuy_1 } from './event/xianshizhaomu/PtlBuy';
import { ReqDuihuan, ResDuihuan } from './event/xianshizhaomu/PtlDuihuan';
import { ReqLottery as ReqLottery_1, ResLottery as ResLottery_1 } from './event/xianshizhaomu/PtlLottery';
import { ReqOpen as ReqOpen_22, ResOpen as ResOpen_22 } from './event/xianshizhaomu/PtlOpen';
import { ReqRec as ReqRec_7, ResRec as ResRec_7 } from './event/xianshizhaomu/PtlRec';
import { ReqOpen as ReqOpen_23, ResOpen as ResOpen_23 } from './event/xiaofeijingsai/PtlOpen';
import { ReqOpen as ReqOpen_24, ResOpen as ResOpen_24 } from './event/xinshoulibao/PtlOpen';
import { ReqBuy as ReqBuy_2, ResBuy as ResBuy_2 } from './event/yangchengmubiao/PtlBuy';
import { ReqOpen as ReqOpen_25, ResOpen as ResOpen_25 } from './event/yangchengmubiao/PtlOpen';
import { ReqRec as ReqRec_8, ResRec as ResRec_8 } from './event/yangchengmubiao/PtlRec';
import { ReqOpen as ReqOpen_26, ResOpen as ResOpen_26 } from './event/yibaichou/PtlOpen';
import { ReqRec as ReqRec_9, ResRec as ResRec_9 } from './event/yibaichou/PtlRec';
import { ReqRecAll, ResRecAll } from './event/yibaichou/PtlRecAll';
import { ReqOpen as ReqOpen_27, ResOpen as ResOpen_27 } from './event/yuedujijin/PtlOpen';
import { ReqRec as ReqRec_10, ResRec as ResRec_10 } from './event/yuedujijin/PtlRec';
import { ReqBuyLv, ResBuyLv } from './event/zhanling/PtlBuyLv';
import { ReqOpen as ReqOpen_28, ResOpen as ResOpen_28 } from './event/zhanling/PtlOpen';
import { ReqRecPrize as ReqRecPrize_2, ResRecPrize as ResRecPrize_2 } from './event/zhanling/PtlRecPrize';
import { ReqRecTask, ResRecTask } from './event/zhanling/PtlRecTask';
import { ReqOpen as ReqOpen_29, ResOpen as ResOpen_29 } from './event/zhoulibao/PtlOpen';
import { ReqOpen as ReqOpen_30, ResOpen as ResOpen_30 } from './event/zhoumolibao/PtlOpen';
import { ReqReceive as ReqReceive_6, ResReceive as ResReceive_6 } from './event/zhoumolibao/PtlReceive';
import { ReqBuy as ReqBuy_3, ResBuy as ResBuy_3 } from './event/zixuanlibao/PtlBuy';
import { ReqOpen as ReqOpen_31, ResOpen as ResOpen_31 } from './event/zixuanlibao/PtlOpen';
import { ReqhdGetList, ReshdGetList } from './eventlist/PtlhdGetList';
import { ReqApply, ResApply } from './friend/PtlApply';
import { ReqDel, ResDel } from './friend/PtlDel';
import { ReqGift, ResGift } from './friend/PtlGift';
import { ReqList, ResList } from './friend/PtlList';
import { ReqOpen as ReqOpen_32, ResOpen as ResOpen_32 } from './friend/PtlOpen';
import { ReqRespond, ResRespond } from './friend/PtlRespond';
import { ReqRmBlackList, ResRmBlackList } from './friend/PtlRmBlackList';
import { ReqSearch, ResSearch } from './friend/PtlSearch';
import { ReqChallenge, ResChallenge } from './ganbutexun/PtlChallenge';
import { ReqOpen as ReqOpen_33, ResOpen as ResOpen_33 } from './ganbutexun/PtlOpen';
import { ReqFast, ResFast } from './ganhai/PtlFast';
import { ReqFight as ReqFight_1, ResFight as ResFight_1 } from './ganhai/PtlFight';
import { ReqLog, ResLog } from './ganhai/PtlLog';
import { ReqOpen as ReqOpen_34, ResOpen as ResOpen_34 } from './ganhai/PtlOpen';
import { ReqRefresh, ResRefresh } from './ganhai/PtlRefresh';
import { ReqRefreshShip, ResRefreshShip } from './ganhai/PtlRefreshShip';
import { ReqSelect as ReqSelect_1, ResSelect as ResSelect_1 } from './ganhai/PtlSelect';
import { ReqGift as ReqGift_1, ResGift as ResGift_1 } from './gmapi/PtlGift';
import { ReqPost, ResPost } from './gmapi/PtlPost';
import { ReqApply as ReqApply_1, ResApply as ResApply_1 } from './gonghui/PtlApply';
import { ReqApplyAll, ResApplyAll } from './gonghui/PtlApplyAll';
import { ReqApplyList, ResApplyList } from './gonghui/PtlApplyList';
import { ReqChange, ResChange } from './gonghui/PtlChange';
import { ReqCreate, ResCreate } from './gonghui/PtlCreate';
import { ReqDissolve, ResDissolve } from './gonghui/PtlDissolve';
import { ReqExit, ResExit } from './gonghui/PtlExit';
import { ReqFbBuyNum, ResFbBuyNum } from './gonghui/PtlFbBuyNum';
import { ReqFbFight, ResFbFight } from './gonghui/PtlFbFight';
import { ReqFbOpen, ResFbOpen } from './gonghui/PtlFbOpen';
import { ReqGetList as ReqGetList_2, ResGetList as ResGetList_2 } from './gonghui/PtlGetList';
import { ReqJoin, ResJoin } from './gonghui/PtlJoin';
import { ReqJx, ResJx } from './gonghui/PtlJx';
import { ReqJxOpen, ResJxOpen } from './gonghui/PtlJxOpen';
import { ReqList as ReqList_1, ResList as ResList_1 } from './gonghui/PtlList';
import { ReqManage, ResManage } from './gonghui/PtlManage';
import { ReqOpen as ReqOpen_35, ResOpen as ResOpen_35 } from './gonghui/PtlOpen';
import { ReqTanHe, ResTanHe } from './gonghui/PtlTanHe';
import { ReqTaskOpen, ResTaskOpen } from './gonghui/PtlTaskOpen';
import { ReqTaskReceive, ResTaskReceive } from './gonghui/PtlTaskReceive';
import { ReqUpWz, ResUpWz } from './gonghui/PtlUpWz';
import { ReqLottery as ReqLottery_2, ResLottery as ResLottery_2 } from './gonghuibaozang/PtlLottery';
import { ReqOpen as ReqOpen_36, ResOpen as ResOpen_36 } from './gonghuibaozang/PtlOpen';
import { ReqBuy as ReqBuy_4, ResBuy as ResBuy_4 } from './gonglukuangbiao/PtlBuy';
import { ReqFight as ReqFight_2, ResFight as ResFight_2 } from './gonglukuangbiao/PtlFight';
import { ReqOpen as ReqOpen_37, ResOpen as ResOpen_37 } from './gonglukuangbiao/PtlOpen';
import { ReqRefresh as ReqRefresh_1, ResRefresh as ResRefresh_1 } from './gonglukuangbiao/PtlRefresh';
import { ReqActive, ResActive } from './gongyu/mingdao/PtlActive';
import { ReqOpen as ReqOpen_38, ResOpen as ResOpen_38 } from './gongyu/mingdao/PtlOpen';
import { ReqRecPrize as ReqRecPrize_3, ResRecPrize as ResRecPrize_3 } from './gongyu/mingdao/PtlRecPrize';
import { ReqRepair, ResRepair } from './gongyu/mingdao/PtlRepair';
import { ReqReset as ReqReset_1, ResReset as ResReset_1 } from './gongyu/xunlianjihua/PtlReset';
import { ReqUpSkill, ResUpSkill } from './gongyu/xunlianjihua/PtlUpSkill';
import { ReqSetSkill, ResSetSkill } from './gongyu/zuozhanjihua/PtlSetSkill';
import { ReqBuyNum as ReqBuyNum_1, ResBuyNum as ResBuyNum_1 } from './hbzb/jfs/PtlBuyNum';
import { ReqFight as ReqFight_3, ResFight as ResFight_3 } from './hbzb/jfs/PtlFight';
import { ReqGetLog as ReqGetLog_1, ResGetLog as ResGetLog_1 } from './hbzb/jfs/PtlGetLog';
import { ReqOpen as ReqOpen_39, ResOpen as ResOpen_39 } from './hbzb/jfs/PtlOpen';
import { ReqRec as ReqRec_11, ResRec as ResRec_11 } from './hbzb/jfs/PtlRec';
import { ReqRefresh as ReqRefresh_2, ResRefresh as ResRefresh_2 } from './hbzb/jfs/PtlRefresh';
import { ReqGetStatus, ResGetStatus } from './hbzb/PtlGetStatus';
import { ReqBuyNum as ReqBuyNum_2, ResBuyNum as ResBuyNum_2 } from './hbzb/zbs/PtlBuyNum';
import { ReqFight as ReqFight_4, ResFight as ResFight_4 } from './hbzb/zbs/PtlFight';
import { ReqGetLog as ReqGetLog_2, ResGetLog as ResGetLog_2 } from './hbzb/zbs/PtlGetLog';
import { ReqOpen as ReqOpen_40, ResOpen as ResOpen_40 } from './hbzb/zbs/PtlOpen';
import { ReqRefresh as ReqRefresh_3, ResRefresh as ResRefresh_3 } from './hbzb/zbs/PtlRefresh';
import { ReqAwake, ResAwake } from './hero/PtlAwake';
import { ReqChangePos, ResChangePos } from './hero/PtlChangePos';
import { ReqGetList as ReqGetList_3, ResGetList as ResGetList_3 } from './hero/PtlGetList';
import { ReqJinJie, ResJinJie } from './hero/PtlJinJie';
import { ReqLvUp as ReqLvUp_1, ResLvUp as ResLvUp_1 } from './hero/PtlLvUp';
import { ReqPotency, ResPotency } from './hero/PtlPotency';
import { ReqRec as ReqRec_12, ResRec as ResRec_12 } from './hero/PtlRec';
import { ReqReset as ReqReset_2, ResReset as ResReset_2 } from './hero/PtlReset';
import { ReqTalent, ResTalent } from './hero/PtlTalent';
import { ReqWeaponUp, ResWeaponUp } from './hero/PtlWeaponUp';
import { ReqGet as ReqGet_2, ResGet as ResGet_2 } from './hongdian/PtlGet';
import { ReqGetList as ReqGetList_4, ResGetList as ResGetList_4 } from './item/PtlGetList';
import { ReqUse, ResUse } from './item/PtlUse';
import { ReqLottery as ReqLottery_3, ResLottery as ResLottery_3 } from './jiaotang/PtlLottery';
import { ReqOpen as ReqOpen_41, ResOpen as ResOpen_41 } from './jiaotang/PtlOpen';
import { ReqLottery as ReqLottery_4, ResLottery as ResLottery_4 } from './jiuba/PtlLottery';
import { ReqOpen as ReqOpen_42, ResOpen as ResOpen_42 } from './jiuba/PtlOpen';
import { ReqBuyFightNum, ResBuyFightNum } from './jjc/PtlBuyFightNum';
import { ReqFight as ReqFight_5, ResFight as ResFight_5 } from './jjc/PtlFight';
import { ReqFightLog, ResFightLog } from './jjc/PtlFightLog';
import { ReqOpen as ReqOpen_43, ResOpen as ResOpen_43 } from './jjc/PtlOpen';
import { ReqReceive as ReqReceive_7, ResReceive as ResReceive_7 } from './jjc/PtlReceive';
import { ReqRefresh as ReqRefresh_4, ResRefresh as ResRefresh_4 } from './jjc/PtlRefresh';
import { ReqOpen as ReqOpen_44, ResOpen as ResOpen_44 } from './kaifujingsai/PtlOpen';
import { ReqReceive as ReqReceive_8, ResReceive as ResReceive_8 } from './kaifujingsai/PtlReceive';
import { ReqApply as ReqApply_2, ResApply as ResApply_2 } from './kbzz/PtlApply';
import { ReqAutoApply, ResAutoApply } from './kbzz/PtlAutoApply';
import { ReqBuyNum as ReqBuyNum_3, ResBuyNum as ResBuyNum_3 } from './kbzz/PtlBuyNum';
import { ReqFight as ReqFight_6, ResFight as ResFight_6 } from './kbzz/PtlFight';
import { ReqFightLog as ReqFightLog_1, ResFightLog as ResFightLog_1 } from './kbzz/PtlFightLog';
import { ReqGroupState, ResGroupState } from './kbzz/PtlGroupState';
import { ReqOpen as ReqOpen_45, ResOpen as ResOpen_45 } from './kbzz/PtlOpen';
import { ReqRecPrize as ReqRecPrize_4, ResRecPrize as ResRecPrize_4 } from './kbzz/PtlRecPrize';
import { ReqRefresh as ReqRefresh_5, ResRefresh as ResRefresh_5 } from './kbzz/PtlRefresh';
import { ReqAddPkNum, ResAddPkNum } from './kuangdong/PtlAddPkNum';
import { ReqGetPrize, ResGetPrize } from './kuangdong/PtlGetPrize';
import { ReqKdInfo, ResKdInfo } from './kuangdong/PtlKdInfo';
import { ReqLog as ReqLog_1, ResLog as ResLog_1 } from './kuangdong/PtlLog';
import { ReqOpen as ReqOpen_46, ResOpen as ResOpen_46 } from './kuangdong/PtlOpen';
import { ReqYanShi, ResYanShi } from './kuangdong/PtlYanShi';
import { ReqZhanLing, ResZhanLing } from './kuangdong/PtlZhanLing';
import { ReqOpen as ReqOpen_47, ResOpen as ResOpen_47 } from './lingzhulaixi/PtlOpen';
import { ReqPkBoss, ResPkBoss } from './lingzhulaixi/PtlPkBoss';
import { ReqPkRank, ResPkRank } from './lingzhulaixi/PtlPkRank';
import { ReqSaoDang, ResSaoDang } from './lingzhulaixi/PtlSaoDang';
import { ReqBuy as ReqBuy_5, ResBuy as ResBuy_5 } from './meirishilian/PtlBuy';
import { ReqFight as ReqFight_7, ResFight as ResFight_7 } from './meirishilian/PtlFight';
import { ReqOpen as ReqOpen_48, ResOpen as ResOpen_48 } from './meirishilian/PtlOpen';
import { MsgBindUid } from './msg_c2s/MsgBindUid';
import { MsgPay } from './msg_c2s/MsgPay';
import { MsgSync } from './msg_c2s/MsgSync';
import { MsgChat } from './msg_s2c/MsgChat';
import { MsgChatHelp } from './msg_s2c/MsgChatHelp';
import { MsgCollection } from './msg_s2c/MsgCollection';
import { MsgEmail } from './msg_s2c/MsgEmail';
import { MsgEmailDel } from './msg_s2c/MsgEmailDel';
import { MsgEquipChange } from './msg_s2c/MsgEquipChange';
import { MsgFriend } from './msg_s2c/MsgFriend';
import { MsgGhChange } from './msg_s2c/MsgGhChange';
import { MsgGongHuiBaoZang } from './msg_s2c/MsgGongHuiBaoZang';
import { MsgHeroChange } from './msg_s2c/MsgHeroChange';
import { MsgHongDianChange } from './msg_s2c/MsgHongDianChange';
import { MsgItemChange } from './msg_s2c/MsgItemChange';
import { MsgLoginQueue } from './msg_s2c/MsgLoginQueue';
import { MsgLshdChange } from './msg_s2c/MsgLshdChange';
import { MsgNewDay } from './msg_s2c/MsgNewDay';
import { MsgOtherLogin } from './msg_s2c/MsgOtherLogin';
import { MsgPayChange } from './msg_s2c/MsgPayChange';
import { MsgPayResult } from './msg_s2c/MsgPayResult';
import { MsgPeijianChange } from './msg_s2c/MsgPeijianChange';
import { MsgPlayerChange } from './msg_s2c/MsgPlayerChange';
import { MsgPrivate } from './msg_s2c/MsgPrivate';
import { MsgPushGiftChange } from './msg_s2c/MsgPushGiftChange';
import { MsgSendGift } from './msg_s2c/MsgSendGift';
import { MsgShiwuChange } from './msg_s2c/MsgShiwuChange';
import { MsgTaskChange } from './msg_s2c/MsgTaskChange';
import { MsgXianshilibao } from './msg_s2c/MsgXianshilibao';
import { ReqFight as ReqFight_8, ResFight as ResFight_8 } from './pata/PtlFight';
import { ReqGetPrize as ReqGetPrize_1, ResGetPrize as ResGetPrize_1 } from './pata/PtlGetPrize';
import { ReqOpen as ReqOpen_49, ResOpen as ResOpen_49 } from './pata/PtlOpen';
import { ReqSaoDang as ReqSaoDang_1, ResSaoDang as ResSaoDang_1 } from './pata/PtlSaoDang';
import { ReqGetList as ReqGetList_5, ResGetList as ResGetList_5 } from './pay/PtlGetList';
import { ReqGetList as ReqGetList_6, ResGetList as ResGetList_6 } from './peijian/PtlGetList';
import { ReqJingLian, ResJingLian } from './peijian/PtlJingLian';
import { ReqJinJie as ReqJinJie_1, ResJinJie as ResJinJie_1 } from './peijian/PtlJinJie';
import { ReqLvUp as ReqLvUp_2, ResLvUp as ResLvUp_2 } from './peijian/PtlLvUp';
import { ReqOneKeyLvUp as ReqOneKeyLvUp_1, ResOneKeyLvUp as ResOneKeyLvUp_1 } from './peijian/PtlOneKeyLvUp';
import { ReqOneKeyWear as ReqOneKeyWear_1, ResOneKeyWear as ResOneKeyWear_1 } from './peijian/PtlOneKeyWear';
import { ReqReset as ReqReset_3, ResReset as ResReset_3 } from './peijian/PtlReset';
import { ReqRm, ResRm } from './peijian/PtlRm';
import { ReqTakeOff as ReqTakeOff_1, ResTakeOff as ResTakeOff_1 } from './peijian/PtlTakeOff';
import { ReqUnLock, ResUnLock } from './peijian/PtlUnLock';
import { ReqWear as ReqWear_1, ResWear as ResWear_1 } from './peijian/PtlWear';
import { ReqDeal, ResDeal } from './peijiancangku/PtlDeal';
import { ReqJump, ResJump } from './peijiancangku/PtlJump';
import { ReqOpen as ReqOpen_50, ResOpen as ResOpen_50 } from './peijiancangku/PtlOpen';
import { ReqBingo, ResBingo } from './PtlBingo';
import { ReqFightTest, ResFightTest } from './PtlFightTest';
import { ReqSyncBtn, ResSyncBtn } from './PtlSyncBtn';
import { ReqTest, ResTest } from './PtlTest';
import { ReqItemNoEnough, ResItemNoEnough } from './pushgift/PtlItemNoEnough';
import { ReqOpen as ReqOpen_51, ResOpen as ResOpen_51 } from './pushgift/PtlOpen';
import { ReqFight as ReqFight_9, ResFight as ResFight_9 } from './qjzzd/PtlFight';
import { ReqOpen as ReqOpen_52, ResOpen as ResOpen_52 } from './qjzzd/PtlOpen';
import { ReqOpen as ReqOpen_53, ResOpen as ResOpen_53 } from './rank/PtlOpen';
import { ReqConcise, ResConcise } from './shiwu/PtlConcise';
import { ReqExtract, ResExtract } from './shiwu/PtlExtract';
import { ReqGetList as ReqGetList_7, ResGetList as ResGetList_7 } from './shiwu/PtlGetList';
import { ReqLvUp as ReqLvUp_3, ResLvUp as ResLvUp_3 } from './shiwu/PtlLvUp';
import { ReqRecast, ResRecast } from './shiwu/PtlRecast';
import { ReqTakeOff as ReqTakeOff_2, ResTakeOff as ResTakeOff_2 } from './shiwu/PtlTakeOff';
import { ReqWear as ReqWear_2, ResWear as ResWear_2 } from './shiwu/PtlWear';
import { ReqOpen as ReqOpen_54, ResOpen as ResOpen_54 } from './shootGame/PtlOpen';
import { ReqRec as ReqRec_13, ResRec as ResRec_13 } from './shootGame/PtlRec';
import { ReqBuy as ReqBuy_6, ResBuy as ResBuy_6 } from './shop/PtlBuy';
import { ReqOpen as ReqOpen_55, ResOpen as ResOpen_55 } from './shop/PtlOpen';
import { ReqRefresh as ReqRefresh_6, ResRefresh as ResRefresh_6 } from './shop/PtlRefresh';
import { ReqGetBoxPrize, ResGetBoxPrize } from './sign/PtlGetBoxPrize';
import { ReqGetPrize as ReqGetPrize_2, ResGetPrize as ResGetPrize_2 } from './sign/PtlGetPrize';
import { ReqOpen as ReqOpen_56, ResOpen as ResOpen_56 } from './sign/PtlOpen';
import { ReqAim, ResAim } from './slzd/PtlAim';
import { ReqBuyNum as ReqBuyNum_4, ResBuyNum as ResBuyNum_4 } from './slzd/PtlBuyNum';
import { ReqFight as ReqFight_10, ResFight as ResFight_10 } from './slzd/PtlFight';
import { ReqFightLog as ReqFightLog_2, ResFightLog as ResFightLog_2 } from './slzd/PtlFightLog';
import { ReqMyRank, ResMyRank } from './slzd/PtlMyRank';
import { ReqOpen as ReqOpen_57, ResOpen as ResOpen_57 } from './slzd/PtlOpen';
import { ReqOpenFort, ResOpenFort } from './slzd/PtlOpenFort';
import { ReqRec as ReqRec_14, ResRec as ResRec_14 } from './slzd/PtlRec';
import { ReqRefresh as ReqRefresh_7, ResRefresh as ResRefresh_7 } from './slzd/PtlRefresh';
import { ReqSlot, ResSlot } from './slzd/PtlSlot';
import { ReqEvent, ResEvent } from './tanxian/PtlEvent';
import { ReqFastGuaJi, ResFastGuaJi } from './tanxian/PtlFastGuaJi';
import { ReqFight as ReqFight_11, ResFight as ResFight_11 } from './tanxian/PtlFight';
import { ReqGuaJi, ResGuaJi } from './tanxian/PtlGuaJi';
import { ReqOpen as ReqOpen_58, ResOpen as ResOpen_58 } from './tanxian/PtlOpen';
import { ReqReceive as ReqReceive_9, ResReceive as ResReceive_9 } from './tanxian/PtlReceive';
import { ReqAllFinsh, ResAllFinsh } from './task/PtlAllFinsh';
import { ReqFinsh, ResFinsh } from './task/PtlFinsh';
import { ReqOpen as ReqOpen_59, ResOpen as ResOpen_59 } from './task/PtlOpen';
import { ReqCDKEY, ResCDKEY } from './user/PtlCDKEY';
import { ReqChangeInfo, ResChangeInfo } from './user/PtlChangeInfo';
import { ReqChangeName, ResChangeName } from './user/PtlChangeName';
import { ReqDot, ResDot } from './user/PtlDot';
import { ReqFight as ReqFight_12, ResFight as ResFight_12 } from './user/PtlFight';
import { ReqGetInfo, ResGetInfo } from './user/PtlGetInfo';
import { ReqInfoOpen, ResInfoOpen } from './user/PtlInfoOpen';
import { ReqLogin, ResLogin } from './user/PtlLogin';
import { ReqPing, ResPing } from './user/PtlPing';
import { ReqRenown, ResRenown } from './user/PtlRenown';
import { ReqRenownBuy, ResRenownBuy } from './user/PtlRenownBuy';
import { ReqRenownGetPrize, ResRenownGetPrize } from './user/PtlRenownGetPrize';
import { ReqRenownOpen, ResRenownOpen } from './user/PtlRenownOpen';
import { ReqTujian, ResTujian } from './user/PtlTujian';
import { ReqDecompose, ResDecompose } from './weixiuchang/PtlDecompose';
import { ReqExchange, ResExchange } from './weixiuchang/PtlExchange';
import { ReqOpen as ReqOpen_60, ResOpen as ResOpen_60 } from './weixiuchang/PtlOpen';
import { ReqUpLv, ResUpLv } from './weixiuchang/PtlUpLv';
import { ReqUpStar, ResUpStar } from './weixiuchang/PtlUpStar';
import { ReqAutoBaoMing, ResAutoBaoMing } from './wzry/PtlAutoBaoMing';
import { ReqBaoMing, ResBaoMing } from './wzry/PtlBaoMing';
import { ReqcatFightLog, RescatFightLog } from './wzry/PtlcatFightLog';
import { ReqCatGroup, ResCatGroup } from './wzry/PtlCatGroup';
import { ReqDldFight, ResDldFight } from './wzry/PtlDldFight';
import { ReqDldRefre, ResDldRefre } from './wzry/PtlDldRefre';
import { ReqJingCai, ResJingCai } from './wzry/PtlJingCai';
import { ReqJingCaiOpen, ResJingCaiOpen } from './wzry/PtlJingCaiOpen';
import { ReqOpen as ReqOpen_61, ResOpen as ResOpen_61 } from './wzry/PtlOpen';
import { ReqUpdateFight, ResUpdateFight } from './wzry/PtlUpdateFight';
import { ReqWzzd, ResWzzd } from './wzry/PtlWzzd';
import { ReqZuanShiOpen, ResZuanShiOpen } from './wzry/PtlZuanShiOpen';
import { ReqAllGet, ResAllGet } from './xstask/PtlAllGet';
import { ReqGet as ReqGet_3, ResGet as ResGet_3 } from './xstask/PtlGet';
import { ReqLvUp as ReqLvUp_4, ResLvUp as ResLvUp_4 } from './xstask/PtlLvUp';
import { ReqOnekeyReceive, ResOnekeyReceive } from './xstask/PtlOnekeyReceive';
import { ReqOpen as ReqOpen_62, ResOpen as ResOpen_62 } from './xstask/PtlOpen';
import { ReqReceive as ReqReceive_10, ResReceive as ResReceive_10 } from './xstask/PtlReceive';
import { ReqRefresh as ReqRefresh_8, ResRefresh as ResRefresh_8 } from './xstask/PtlRefresh';
import { ReqHandle, ResHandle } from './yongbingzhuzhan/PtlHandle';
import { ReqChangePos as ReqChangePos_1, ResChangePos as ResChangePos_1 } from './zhanqianbushu/PtlChangePos';
import { ReqSelect as ReqSelect_2, ResSelect as ResSelect_2 } from './zhanqianbushu/PtlSelect';
import { ReqUp, ResUp } from './zhanqianbushu/PtlUp';

export interface ServiceType {
    api: {
        "chat/DelPrivate": {
            req: ReqDelPrivate,
            res: ResDelPrivate
        },
        "chat/GetList": {
            req: ReqGetList,
            res: ResGetList
        },
        "chat/Help": {
            req: ReqHelp,
            res: ResHelp
        },
        "chat/Private": {
            req: ReqPrivate,
            res: ResPrivate
        },
        "chat/Send": {
            req: ReqSend,
            res: ResSend
        },
        "chongzhi/BuyGift": {
            req: ReqBuyGift,
            res: ResBuyGift
        },
        "chongzhi/Open": {
            req: ReqOpen,
            res: ResOpen
        },
        "conglinshoulie/BuyNum": {
            req: ReqBuyNum,
            res: ResBuyNum
        },
        "conglinshoulie/Find": {
            req: ReqFind,
            res: ResFind
        },
        "conglinshoulie/GetLog": {
            req: ReqGetLog,
            res: ResGetLog
        },
        "conglinshoulie/Open": {
            req: ReqOpen_1,
            res: ResOpen_1
        },
        "conglinshoulie/Rec": {
            req: ReqRec,
            res: ResRec
        },
        "dixiaheishi/Open": {
            req: ReqOpen_2,
            res: ResOpen_2
        },
        "dixialeitai/Buy": {
            req: ReqBuy,
            res: ResBuy
        },
        "dixialeitai/Fight": {
            req: ReqFight,
            res: ResFight
        },
        "dixialeitai/Next": {
            req: ReqNext,
            res: ResNext
        },
        "dixialeitai/Open": {
            req: ReqOpen_3,
            res: ResOpen_3
        },
        "dixialeitai/RecMiBao": {
            req: ReqRecMiBao,
            res: ResRecMiBao
        },
        "dixialeitai/RecPrize": {
            req: ReqRecPrize,
            res: ResRecPrize
        },
        "dixialeitai/SetDef": {
            req: ReqSetDef,
            res: ResSetDef
        },
        "dixialeitai/UseItem": {
            req: ReqUseItem,
            res: ResUseItem
        },
        "dixiaqianzhuang/Open": {
            req: ReqOpen_4,
            res: ResOpen_4
        },
        "dixiaqianzhuang/Qf": {
            req: ReqQf,
            res: ResQf
        },
        "email/AllReceive": {
            req: ReqAllReceive,
            res: ResAllReceive
        },
        "email/AllRemove": {
            req: ReqAllRemove,
            res: ResAllRemove
        },
        "email/Open": {
            req: ReqOpen_5,
            res: ResOpen_5
        },
        "email/Read": {
            req: ReqRead,
            res: ResRead
        },
        "email/Receive": {
            req: ReqReceive,
            res: ResReceive
        },
        "email/Remove": {
            req: ReqRemove,
            res: ResRemove
        },
        "equip/Adjustment": {
            req: ReqAdjustment,
            res: ResAdjustment
        },
        "equip/GetList": {
            req: ReqGetList_1,
            res: ResGetList_1
        },
        "equip/LvUp": {
            req: ReqLvUp,
            res: ResLvUp
        },
        "equip/OneKeyLvUp": {
            req: ReqOneKeyLvUp,
            res: ResOneKeyLvUp
        },
        "equip/OneKeyTakeOff": {
            req: ReqOneKeyTakeOff,
            res: ResOneKeyTakeOff
        },
        "equip/OneKeyWear": {
            req: ReqOneKeyWear,
            res: ResOneKeyWear
        },
        "equip/Reset": {
            req: ReqReset,
            res: ResReset
        },
        "equip/StarUp": {
            req: ReqStarUp,
            res: ResStarUp
        },
        "equip/TakeOff": {
            req: ReqTakeOff,
            res: ResTakeOff
        },
        "equip/Wear": {
            req: ReqWear,
            res: ResWear
        },
        "event/136Gift/Open": {
            req: ReqOpen_6,
            res: ResOpen_6
        },
        "event/136Gift/Rec": {
            req: ReqRec_1,
            res: ResRec_1
        },
        "event/christmas/Game": {
            req: ReqGame,
            res: ResGame
        },
        "event/christmas/LiBao": {
            req: ReqLiBao,
            res: ResLiBao
        },
        "event/christmas/Open": {
            req: ReqOpen_7,
            res: ResOpen_7
        },
        "event/christmas/QianDao": {
            req: ReqQianDao,
            res: ResQianDao
        },
        "event/christmas/Select": {
            req: ReqSelect,
            res: ResSelect
        },
        "event/christmas/TaskRec": {
            req: ReqTaskRec,
            res: ResTaskRec
        },
        "event/christmas/ZhanLingRec": {
            req: ReqZhanLingRec,
            res: ResZhanLingRec
        },
        "event/chuanshuozhilu/Open": {
            req: ReqOpen_8,
            res: ResOpen_8
        },
        "event/chuanshuozhilu/Rec": {
            req: ReqRec_2,
            res: ResRec_2
        },
        "event/diaoluoduihuan/Get": {
            req: ReqGet,
            res: ResGet
        },
        "event/diaoluoduihuan/Open": {
            req: ReqOpen_9,
            res: ResOpen_9
        },
        "event/huobanzhaomu/Open": {
            req: ReqOpen_10,
            res: ResOpen_10
        },
        "event/huobanzhaomu/Rec": {
            req: ReqRec_3,
            res: ResRec_3
        },
        "event/jierihuodong/Get": {
            req: ReqGet_1,
            res: ResGet_1
        },
        "event/jierihuodong/Open": {
            req: ReqOpen_11,
            res: ResOpen_11
        },
        "event/jierihuodong/Rec": {
            req: ReqRec_4,
            res: ResRec_4
        },
        "event/jijin/CheckOpen": {
            req: ReqCheckOpen,
            res: ResCheckOpen
        },
        "event/jijin/Open": {
            req: ReqOpen_12,
            res: ResOpen_12
        },
        "event/jijin/Receive": {
            req: ReqReceive_1,
            res: ResReceive_1
        },
        "event/kaifukuanghuan/LoginPrize": {
            req: ReqLoginPrize,
            res: ResLoginPrize
        },
        "event/kaifukuanghuan/Open": {
            req: ReqOpen_13,
            res: ResOpen_13
        },
        "event/kaifukuanghuan/ShopBuy": {
            req: ReqShopBuy,
            res: ResShopBuy
        },
        "event/kaifukuanghuan/TaskBox": {
            req: ReqTaskBox,
            res: ResTaskBox
        },
        "event/kaifukuanghuan/TaskPrize": {
            req: ReqTaskPrize,
            res: ResTaskPrize
        },
        "event/leichonglibao/Open": {
            req: ReqOpen_14,
            res: ResOpen_14
        },
        "event/leichonglibao/Receive": {
            req: ReqReceive_2,
            res: ResReceive_2
        },
        "event/leijichongzhi/Open": {
            req: ReqOpen_15,
            res: ResOpen_15
        },
        "event/leijichongzhi/Rec": {
            req: ReqRec_5,
            res: ResRec_5
        },
        "event/niudanji/Lottery": {
            req: ReqLottery,
            res: ResLottery
        },
        "event/niudanji/Open": {
            req: ReqOpen_16,
            res: ResOpen_16
        },
        "event/payForDiamond/CanReceive": {
            req: ReqCanReceive,
            res: ResCanReceive
        },
        "event/payForDiamond/Receive": {
            req: ReqReceive_3,
            res: ResReceive_3
        },
        "event/pobinglibao/Open": {
            req: ReqOpen_17,
            res: ResOpen_17
        },
        "event/pobinglibao/Receive": {
            req: ReqReceive_4,
            res: ResReceive_4
        },
        "event/qirichongzhi/Open": {
            req: ReqOpen_18,
            res: ResOpen_18
        },
        "event/qirichongzhi/Rec": {
            req: ReqRec_6,
            res: ResRec_6
        },
        "event/qiridenglu/Open": {
            req: ReqOpen_19,
            res: ResOpen_19
        },
        "event/qiridenglu/RecPrize": {
            req: ReqRecPrize_1,
            res: ResRecPrize_1
        },
        "event/shiwuleichong/Open": {
            req: ReqOpen_20,
            res: ResOpen_20
        },
        "event/shouchong/Open": {
            req: ReqOpen_21,
            res: ResOpen_21
        },
        "event/shouchong/Receive": {
            req: ReqReceive_5,
            res: ResReceive_5
        },
        "event/xianshizhaomu/Buy": {
            req: ReqBuy_1,
            res: ResBuy_1
        },
        "event/xianshizhaomu/Duihuan": {
            req: ReqDuihuan,
            res: ResDuihuan
        },
        "event/xianshizhaomu/Lottery": {
            req: ReqLottery_1,
            res: ResLottery_1
        },
        "event/xianshizhaomu/Open": {
            req: ReqOpen_22,
            res: ResOpen_22
        },
        "event/xianshizhaomu/Rec": {
            req: ReqRec_7,
            res: ResRec_7
        },
        "event/xiaofeijingsai/Open": {
            req: ReqOpen_23,
            res: ResOpen_23
        },
        "event/xinshoulibao/Open": {
            req: ReqOpen_24,
            res: ResOpen_24
        },
        "event/yangchengmubiao/Buy": {
            req: ReqBuy_2,
            res: ResBuy_2
        },
        "event/yangchengmubiao/Open": {
            req: ReqOpen_25,
            res: ResOpen_25
        },
        "event/yangchengmubiao/Rec": {
            req: ReqRec_8,
            res: ResRec_8
        },
        "event/yibaichou/Open": {
            req: ReqOpen_26,
            res: ResOpen_26
        },
        "event/yibaichou/Rec": {
            req: ReqRec_9,
            res: ResRec_9
        },
        "event/yibaichou/RecAll": {
            req: ReqRecAll,
            res: ResRecAll
        },
        "event/yuedujijin/Open": {
            req: ReqOpen_27,
            res: ResOpen_27
        },
        "event/yuedujijin/Rec": {
            req: ReqRec_10,
            res: ResRec_10
        },
        "event/zhanling/BuyLv": {
            req: ReqBuyLv,
            res: ResBuyLv
        },
        "event/zhanling/Open": {
            req: ReqOpen_28,
            res: ResOpen_28
        },
        "event/zhanling/RecPrize": {
            req: ReqRecPrize_2,
            res: ResRecPrize_2
        },
        "event/zhanling/RecTask": {
            req: ReqRecTask,
            res: ResRecTask
        },
        "event/zhoulibao/Open": {
            req: ReqOpen_29,
            res: ResOpen_29
        },
        "event/zhoumolibao/Open": {
            req: ReqOpen_30,
            res: ResOpen_30
        },
        "event/zhoumolibao/Receive": {
            req: ReqReceive_6,
            res: ResReceive_6
        },
        "event/zixuanlibao/Buy": {
            req: ReqBuy_3,
            res: ResBuy_3
        },
        "event/zixuanlibao/Open": {
            req: ReqOpen_31,
            res: ResOpen_31
        },
        "eventlist/hdGetList": {
            req: ReqhdGetList,
            res: ReshdGetList
        },
        "friend/Apply": {
            req: ReqApply,
            res: ResApply
        },
        "friend/Del": {
            req: ReqDel,
            res: ResDel
        },
        "friend/Gift": {
            req: ReqGift,
            res: ResGift
        },
        "friend/List": {
            req: ReqList,
            res: ResList
        },
        "friend/Open": {
            req: ReqOpen_32,
            res: ResOpen_32
        },
        "friend/Respond": {
            req: ReqRespond,
            res: ResRespond
        },
        "friend/RmBlackList": {
            req: ReqRmBlackList,
            res: ResRmBlackList
        },
        "friend/Search": {
            req: ReqSearch,
            res: ResSearch
        },
        "ganbutexun/Challenge": {
            req: ReqChallenge,
            res: ResChallenge
        },
        "ganbutexun/Open": {
            req: ReqOpen_33,
            res: ResOpen_33
        },
        "ganhai/Fast": {
            req: ReqFast,
            res: ResFast
        },
        "ganhai/Fight": {
            req: ReqFight_1,
            res: ResFight_1
        },
        "ganhai/Log": {
            req: ReqLog,
            res: ResLog
        },
        "ganhai/Open": {
            req: ReqOpen_34,
            res: ResOpen_34
        },
        "ganhai/Refresh": {
            req: ReqRefresh,
            res: ResRefresh
        },
        "ganhai/RefreshShip": {
            req: ReqRefreshShip,
            res: ResRefreshShip
        },
        "ganhai/Select": {
            req: ReqSelect_1,
            res: ResSelect_1
        },
        "gmapi/Gift": {
            req: ReqGift_1,
            res: ResGift_1
        },
        "gmapi/Post": {
            req: ReqPost,
            res: ResPost
        },
        "gonghui/Apply": {
            req: ReqApply_1,
            res: ResApply_1
        },
        "gonghui/ApplyAll": {
            req: ReqApplyAll,
            res: ResApplyAll
        },
        "gonghui/ApplyList": {
            req: ReqApplyList,
            res: ResApplyList
        },
        "gonghui/Change": {
            req: ReqChange,
            res: ResChange
        },
        "gonghui/Create": {
            req: ReqCreate,
            res: ResCreate
        },
        "gonghui/Dissolve": {
            req: ReqDissolve,
            res: ResDissolve
        },
        "gonghui/Exit": {
            req: ReqExit,
            res: ResExit
        },
        "gonghui/FbBuyNum": {
            req: ReqFbBuyNum,
            res: ResFbBuyNum
        },
        "gonghui/FbFight": {
            req: ReqFbFight,
            res: ResFbFight
        },
        "gonghui/FbOpen": {
            req: ReqFbOpen,
            res: ResFbOpen
        },
        "gonghui/GetList": {
            req: ReqGetList_2,
            res: ResGetList_2
        },
        "gonghui/Join": {
            req: ReqJoin,
            res: ResJoin
        },
        "gonghui/Jx": {
            req: ReqJx,
            res: ResJx
        },
        "gonghui/JxOpen": {
            req: ReqJxOpen,
            res: ResJxOpen
        },
        "gonghui/List": {
            req: ReqList_1,
            res: ResList_1
        },
        "gonghui/Manage": {
            req: ReqManage,
            res: ResManage
        },
        "gonghui/Open": {
            req: ReqOpen_35,
            res: ResOpen_35
        },
        "gonghui/TanHe": {
            req: ReqTanHe,
            res: ResTanHe
        },
        "gonghui/TaskOpen": {
            req: ReqTaskOpen,
            res: ResTaskOpen
        },
        "gonghui/TaskReceive": {
            req: ReqTaskReceive,
            res: ResTaskReceive
        },
        "gonghui/UpWz": {
            req: ReqUpWz,
            res: ResUpWz
        },
        "gonghuibaozang/Lottery": {
            req: ReqLottery_2,
            res: ResLottery_2
        },
        "gonghuibaozang/Open": {
            req: ReqOpen_36,
            res: ResOpen_36
        },
        "gonglukuangbiao/Buy": {
            req: ReqBuy_4,
            res: ResBuy_4
        },
        "gonglukuangbiao/Fight": {
            req: ReqFight_2,
            res: ResFight_2
        },
        "gonglukuangbiao/Open": {
            req: ReqOpen_37,
            res: ResOpen_37
        },
        "gonglukuangbiao/Refresh": {
            req: ReqRefresh_1,
            res: ResRefresh_1
        },
        "gongyu/mingdao/Active": {
            req: ReqActive,
            res: ResActive
        },
        "gongyu/mingdao/Open": {
            req: ReqOpen_38,
            res: ResOpen_38
        },
        "gongyu/mingdao/RecPrize": {
            req: ReqRecPrize_3,
            res: ResRecPrize_3
        },
        "gongyu/mingdao/Repair": {
            req: ReqRepair,
            res: ResRepair
        },
        "gongyu/xunlianjihua/Reset": {
            req: ReqReset_1,
            res: ResReset_1
        },
        "gongyu/xunlianjihua/UpSkill": {
            req: ReqUpSkill,
            res: ResUpSkill
        },
        "gongyu/zuozhanjihua/SetSkill": {
            req: ReqSetSkill,
            res: ResSetSkill
        },
        "hbzb/jfs/BuyNum": {
            req: ReqBuyNum_1,
            res: ResBuyNum_1
        },
        "hbzb/jfs/Fight": {
            req: ReqFight_3,
            res: ResFight_3
        },
        "hbzb/jfs/GetLog": {
            req: ReqGetLog_1,
            res: ResGetLog_1
        },
        "hbzb/jfs/Open": {
            req: ReqOpen_39,
            res: ResOpen_39
        },
        "hbzb/jfs/Rec": {
            req: ReqRec_11,
            res: ResRec_11
        },
        "hbzb/jfs/Refresh": {
            req: ReqRefresh_2,
            res: ResRefresh_2
        },
        "hbzb/GetStatus": {
            req: ReqGetStatus,
            res: ResGetStatus
        },
        "hbzb/zbs/BuyNum": {
            req: ReqBuyNum_2,
            res: ResBuyNum_2
        },
        "hbzb/zbs/Fight": {
            req: ReqFight_4,
            res: ResFight_4
        },
        "hbzb/zbs/GetLog": {
            req: ReqGetLog_2,
            res: ResGetLog_2
        },
        "hbzb/zbs/Open": {
            req: ReqOpen_40,
            res: ResOpen_40
        },
        "hbzb/zbs/Refresh": {
            req: ReqRefresh_3,
            res: ResRefresh_3
        },
        "hero/Awake": {
            req: ReqAwake,
            res: ResAwake
        },
        "hero/ChangePos": {
            req: ReqChangePos,
            res: ResChangePos
        },
        "hero/GetList": {
            req: ReqGetList_3,
            res: ResGetList_3
        },
        "hero/JinJie": {
            req: ReqJinJie,
            res: ResJinJie
        },
        "hero/LvUp": {
            req: ReqLvUp_1,
            res: ResLvUp_1
        },
        "hero/Potency": {
            req: ReqPotency,
            res: ResPotency
        },
        "hero/Rec": {
            req: ReqRec_12,
            res: ResRec_12
        },
        "hero/Reset": {
            req: ReqReset_2,
            res: ResReset_2
        },
        "hero/Talent": {
            req: ReqTalent,
            res: ResTalent
        },
        "hero/WeaponUp": {
            req: ReqWeaponUp,
            res: ResWeaponUp
        },
        "hongdian/Get": {
            req: ReqGet_2,
            res: ResGet_2
        },
        "item/GetList": {
            req: ReqGetList_4,
            res: ResGetList_4
        },
        "item/Use": {
            req: ReqUse,
            res: ResUse
        },
        "jiaotang/Lottery": {
            req: ReqLottery_3,
            res: ResLottery_3
        },
        "jiaotang/Open": {
            req: ReqOpen_41,
            res: ResOpen_41
        },
        "jiuba/Lottery": {
            req: ReqLottery_4,
            res: ResLottery_4
        },
        "jiuba/Open": {
            req: ReqOpen_42,
            res: ResOpen_42
        },
        "jjc/BuyFightNum": {
            req: ReqBuyFightNum,
            res: ResBuyFightNum
        },
        "jjc/Fight": {
            req: ReqFight_5,
            res: ResFight_5
        },
        "jjc/FightLog": {
            req: ReqFightLog,
            res: ResFightLog
        },
        "jjc/Open": {
            req: ReqOpen_43,
            res: ResOpen_43
        },
        "jjc/Receive": {
            req: ReqReceive_7,
            res: ResReceive_7
        },
        "jjc/Refresh": {
            req: ReqRefresh_4,
            res: ResRefresh_4
        },
        "kaifujingsai/Open": {
            req: ReqOpen_44,
            res: ResOpen_44
        },
        "kaifujingsai/Receive": {
            req: ReqReceive_8,
            res: ResReceive_8
        },
        "kbzz/Apply": {
            req: ReqApply_2,
            res: ResApply_2
        },
        "kbzz/AutoApply": {
            req: ReqAutoApply,
            res: ResAutoApply
        },
        "kbzz/BuyNum": {
            req: ReqBuyNum_3,
            res: ResBuyNum_3
        },
        "kbzz/Fight": {
            req: ReqFight_6,
            res: ResFight_6
        },
        "kbzz/FightLog": {
            req: ReqFightLog_1,
            res: ResFightLog_1
        },
        "kbzz/GroupState": {
            req: ReqGroupState,
            res: ResGroupState
        },
        "kbzz/Open": {
            req: ReqOpen_45,
            res: ResOpen_45
        },
        "kbzz/RecPrize": {
            req: ReqRecPrize_4,
            res: ResRecPrize_4
        },
        "kbzz/Refresh": {
            req: ReqRefresh_5,
            res: ResRefresh_5
        },
        "kuangdong/AddPkNum": {
            req: ReqAddPkNum,
            res: ResAddPkNum
        },
        "kuangdong/GetPrize": {
            req: ReqGetPrize,
            res: ResGetPrize
        },
        "kuangdong/KdInfo": {
            req: ReqKdInfo,
            res: ResKdInfo
        },
        "kuangdong/Log": {
            req: ReqLog_1,
            res: ResLog_1
        },
        "kuangdong/Open": {
            req: ReqOpen_46,
            res: ResOpen_46
        },
        "kuangdong/YanShi": {
            req: ReqYanShi,
            res: ResYanShi
        },
        "kuangdong/ZhanLing": {
            req: ReqZhanLing,
            res: ResZhanLing
        },
        "lingzhulaixi/Open": {
            req: ReqOpen_47,
            res: ResOpen_47
        },
        "lingzhulaixi/PkBoss": {
            req: ReqPkBoss,
            res: ResPkBoss
        },
        "lingzhulaixi/PkRank": {
            req: ReqPkRank,
            res: ResPkRank
        },
        "lingzhulaixi/SaoDang": {
            req: ReqSaoDang,
            res: ResSaoDang
        },
        "meirishilian/Buy": {
            req: ReqBuy_5,
            res: ResBuy_5
        },
        "meirishilian/Fight": {
            req: ReqFight_7,
            res: ResFight_7
        },
        "meirishilian/Open": {
            req: ReqOpen_48,
            res: ResOpen_48
        },
        "pata/Fight": {
            req: ReqFight_8,
            res: ResFight_8
        },
        "pata/GetPrize": {
            req: ReqGetPrize_1,
            res: ResGetPrize_1
        },
        "pata/Open": {
            req: ReqOpen_49,
            res: ResOpen_49
        },
        "pata/SaoDang": {
            req: ReqSaoDang_1,
            res: ResSaoDang_1
        },
        "pay/GetList": {
            req: ReqGetList_5,
            res: ResGetList_5
        },
        "peijian/GetList": {
            req: ReqGetList_6,
            res: ResGetList_6
        },
        "peijian/JingLian": {
            req: ReqJingLian,
            res: ResJingLian
        },
        "peijian/JinJie": {
            req: ReqJinJie_1,
            res: ResJinJie_1
        },
        "peijian/LvUp": {
            req: ReqLvUp_2,
            res: ResLvUp_2
        },
        "peijian/OneKeyLvUp": {
            req: ReqOneKeyLvUp_1,
            res: ResOneKeyLvUp_1
        },
        "peijian/OneKeyWear": {
            req: ReqOneKeyWear_1,
            res: ResOneKeyWear_1
        },
        "peijian/Reset": {
            req: ReqReset_3,
            res: ResReset_3
        },
        "peijian/Rm": {
            req: ReqRm,
            res: ResRm
        },
        "peijian/TakeOff": {
            req: ReqTakeOff_1,
            res: ResTakeOff_1
        },
        "peijian/UnLock": {
            req: ReqUnLock,
            res: ResUnLock
        },
        "peijian/Wear": {
            req: ReqWear_1,
            res: ResWear_1
        },
        "peijiancangku/Deal": {
            req: ReqDeal,
            res: ResDeal
        },
        "peijiancangku/Jump": {
            req: ReqJump,
            res: ResJump
        },
        "peijiancangku/Open": {
            req: ReqOpen_50,
            res: ResOpen_50
        },
        "Bingo": {
            req: ReqBingo,
            res: ResBingo
        },
        "FightTest": {
            req: ReqFightTest,
            res: ResFightTest
        },
        "SyncBtn": {
            req: ReqSyncBtn,
            res: ResSyncBtn
        },
        "Test": {
            req: ReqTest,
            res: ResTest
        },
        "pushgift/ItemNoEnough": {
            req: ReqItemNoEnough,
            res: ResItemNoEnough
        },
        "pushgift/Open": {
            req: ReqOpen_51,
            res: ResOpen_51
        },
        "qjzzd/Fight": {
            req: ReqFight_9,
            res: ResFight_9
        },
        "qjzzd/Open": {
            req: ReqOpen_52,
            res: ResOpen_52
        },
        "rank/Open": {
            req: ReqOpen_53,
            res: ResOpen_53
        },
        "shiwu/Concise": {
            req: ReqConcise,
            res: ResConcise
        },
        "shiwu/Extract": {
            req: ReqExtract,
            res: ResExtract
        },
        "shiwu/GetList": {
            req: ReqGetList_7,
            res: ResGetList_7
        },
        "shiwu/LvUp": {
            req: ReqLvUp_3,
            res: ResLvUp_3
        },
        "shiwu/Recast": {
            req: ReqRecast,
            res: ResRecast
        },
        "shiwu/TakeOff": {
            req: ReqTakeOff_2,
            res: ResTakeOff_2
        },
        "shiwu/Wear": {
            req: ReqWear_2,
            res: ResWear_2
        },
        "shootGame/Open": {
            req: ReqOpen_54,
            res: ResOpen_54
        },
        "shootGame/Rec": {
            req: ReqRec_13,
            res: ResRec_13
        },
        "shop/Buy": {
            req: ReqBuy_6,
            res: ResBuy_6
        },
        "shop/Open": {
            req: ReqOpen_55,
            res: ResOpen_55
        },
        "shop/Refresh": {
            req: ReqRefresh_6,
            res: ResRefresh_6
        },
        "sign/GetBoxPrize": {
            req: ReqGetBoxPrize,
            res: ResGetBoxPrize
        },
        "sign/GetPrize": {
            req: ReqGetPrize_2,
            res: ResGetPrize_2
        },
        "sign/Open": {
            req: ReqOpen_56,
            res: ResOpen_56
        },
        "slzd/Aim": {
            req: ReqAim,
            res: ResAim
        },
        "slzd/BuyNum": {
            req: ReqBuyNum_4,
            res: ResBuyNum_4
        },
        "slzd/Fight": {
            req: ReqFight_10,
            res: ResFight_10
        },
        "slzd/FightLog": {
            req: ReqFightLog_2,
            res: ResFightLog_2
        },
        "slzd/MyRank": {
            req: ReqMyRank,
            res: ResMyRank
        },
        "slzd/Open": {
            req: ReqOpen_57,
            res: ResOpen_57
        },
        "slzd/OpenFort": {
            req: ReqOpenFort,
            res: ResOpenFort
        },
        "slzd/Rec": {
            req: ReqRec_14,
            res: ResRec_14
        },
        "slzd/Refresh": {
            req: ReqRefresh_7,
            res: ResRefresh_7
        },
        "slzd/Slot": {
            req: ReqSlot,
            res: ResSlot
        },
        "tanxian/Event": {
            req: ReqEvent,
            res: ResEvent
        },
        "tanxian/FastGuaJi": {
            req: ReqFastGuaJi,
            res: ResFastGuaJi
        },
        "tanxian/Fight": {
            req: ReqFight_11,
            res: ResFight_11
        },
        "tanxian/GuaJi": {
            req: ReqGuaJi,
            res: ResGuaJi
        },
        "tanxian/Open": {
            req: ReqOpen_58,
            res: ResOpen_58
        },
        "tanxian/Receive": {
            req: ReqReceive_9,
            res: ResReceive_9
        },
        "task/AllFinsh": {
            req: ReqAllFinsh,
            res: ResAllFinsh
        },
        "task/Finsh": {
            req: ReqFinsh,
            res: ResFinsh
        },
        "task/Open": {
            req: ReqOpen_59,
            res: ResOpen_59
        },
        "user/CDKEY": {
            req: ReqCDKEY,
            res: ResCDKEY
        },
        "user/ChangeInfo": {
            req: ReqChangeInfo,
            res: ResChangeInfo
        },
        "user/ChangeName": {
            req: ReqChangeName,
            res: ResChangeName
        },
        "user/Dot": {
            req: ReqDot,
            res: ResDot
        },
        "user/Fight": {
            req: ReqFight_12,
            res: ResFight_12
        },
        "user/GetInfo": {
            req: ReqGetInfo,
            res: ResGetInfo
        },
        "user/InfoOpen": {
            req: ReqInfoOpen,
            res: ResInfoOpen
        },
        "user/Login": {
            req: ReqLogin,
            res: ResLogin
        },
        "user/Ping": {
            req: ReqPing,
            res: ResPing
        },
        "user/Renown": {
            req: ReqRenown,
            res: ResRenown
        },
        "user/RenownBuy": {
            req: ReqRenownBuy,
            res: ResRenownBuy
        },
        "user/RenownGetPrize": {
            req: ReqRenownGetPrize,
            res: ResRenownGetPrize
        },
        "user/RenownOpen": {
            req: ReqRenownOpen,
            res: ResRenownOpen
        },
        "user/Tujian": {
            req: ReqTujian,
            res: ResTujian
        },
        "weixiuchang/Decompose": {
            req: ReqDecompose,
            res: ResDecompose
        },
        "weixiuchang/Exchange": {
            req: ReqExchange,
            res: ResExchange
        },
        "weixiuchang/Open": {
            req: ReqOpen_60,
            res: ResOpen_60
        },
        "weixiuchang/UpLv": {
            req: ReqUpLv,
            res: ResUpLv
        },
        "weixiuchang/UpStar": {
            req: ReqUpStar,
            res: ResUpStar
        },
        "wzry/AutoBaoMing": {
            req: ReqAutoBaoMing,
            res: ResAutoBaoMing
        },
        "wzry/BaoMing": {
            req: ReqBaoMing,
            res: ResBaoMing
        },
        "wzry/catFightLog": {
            req: ReqcatFightLog,
            res: RescatFightLog
        },
        "wzry/CatGroup": {
            req: ReqCatGroup,
            res: ResCatGroup
        },
        "wzry/DldFight": {
            req: ReqDldFight,
            res: ResDldFight
        },
        "wzry/DldRefre": {
            req: ReqDldRefre,
            res: ResDldRefre
        },
        "wzry/JingCai": {
            req: ReqJingCai,
            res: ResJingCai
        },
        "wzry/JingCaiOpen": {
            req: ReqJingCaiOpen,
            res: ResJingCaiOpen
        },
        "wzry/Open": {
            req: ReqOpen_61,
            res: ResOpen_61
        },
        "wzry/UpdateFight": {
            req: ReqUpdateFight,
            res: ResUpdateFight
        },
        "wzry/Wzzd": {
            req: ReqWzzd,
            res: ResWzzd
        },
        "wzry/ZuanShiOpen": {
            req: ReqZuanShiOpen,
            res: ResZuanShiOpen
        },
        "xstask/AllGet": {
            req: ReqAllGet,
            res: ResAllGet
        },
        "xstask/Get": {
            req: ReqGet_3,
            res: ResGet_3
        },
        "xstask/LvUp": {
            req: ReqLvUp_4,
            res: ResLvUp_4
        },
        "xstask/OnekeyReceive": {
            req: ReqOnekeyReceive,
            res: ResOnekeyReceive
        },
        "xstask/Open": {
            req: ReqOpen_62,
            res: ResOpen_62
        },
        "xstask/Receive": {
            req: ReqReceive_10,
            res: ResReceive_10
        },
        "xstask/Refresh": {
            req: ReqRefresh_8,
            res: ResRefresh_8
        },
        "yongbingzhuzhan/Handle": {
            req: ReqHandle,
            res: ResHandle
        },
        "zhanqianbushu/ChangePos": {
            req: ReqChangePos_1,
            res: ResChangePos_1
        },
        "zhanqianbushu/Select": {
            req: ReqSelect_2,
            res: ResSelect_2
        },
        "zhanqianbushu/Up": {
            req: ReqUp,
            res: ResUp
        }
    },
    msg: {
        "msg_c2s/BindUid": MsgBindUid,
        "msg_c2s/Pay": MsgPay,
        "msg_c2s/Sync": MsgSync,
        "msg_s2c/Chat": MsgChat,
        "msg_s2c/ChatHelp": MsgChatHelp,
        "msg_s2c/Collection": MsgCollection,
        "msg_s2c/Email": MsgEmail,
        "msg_s2c/EmailDel": MsgEmailDel,
        "msg_s2c/EquipChange": MsgEquipChange,
        "msg_s2c/Friend": MsgFriend,
        "msg_s2c/GhChange": MsgGhChange,
        "msg_s2c/GongHuiBaoZang": MsgGongHuiBaoZang,
        "msg_s2c/HeroChange": MsgHeroChange,
        "msg_s2c/HongDianChange": MsgHongDianChange,
        "msg_s2c/ItemChange": MsgItemChange,
        "msg_s2c/LoginQueue": MsgLoginQueue,
        "msg_s2c/LshdChange": MsgLshdChange,
        "msg_s2c/NewDay": MsgNewDay,
        "msg_s2c/OtherLogin": MsgOtherLogin,
        "msg_s2c/PayChange": MsgPayChange,
        "msg_s2c/PayResult": MsgPayResult,
        "msg_s2c/PeijianChange": MsgPeijianChange,
        "msg_s2c/PlayerChange": MsgPlayerChange,
        "msg_s2c/Private": MsgPrivate,
        "msg_s2c/PushGiftChange": MsgPushGiftChange,
        "msg_s2c/SendGift": MsgSendGift,
        "msg_s2c/ShiwuChange": MsgShiwuChange,
        "msg_s2c/TaskChange": MsgTaskChange,
        "msg_s2c/Xianshilibao": MsgXianshilibao
    }
}

export const serviceProto: ServiceProto<ServiceType> = {
    "services": [
        {
            "id": 0,
            "name": "chat/DelPrivate",
            "type": "api"
        },
        {
            "id": 1,
            "name": "chat/GetList",
            "type": "api"
        },
        {
            "id": 2,
            "name": "chat/Help",
            "type": "api"
        },
        {
            "id": 3,
            "name": "chat/Private",
            "type": "api"
        },
        {
            "id": 4,
            "name": "chat/Send",
            "type": "api"
        },
        {
            "id": 5,
            "name": "chongzhi/BuyGift",
            "type": "api"
        },
        {
            "id": 6,
            "name": "chongzhi/Open",
            "type": "api"
        },
        {
            "id": 7,
            "name": "conglinshoulie/BuyNum",
            "type": "api"
        },
        {
            "id": 8,
            "name": "conglinshoulie/Find",
            "type": "api"
        },
        {
            "id": 9,
            "name": "conglinshoulie/GetLog",
            "type": "api"
        },
        {
            "id": 10,
            "name": "conglinshoulie/Open",
            "type": "api"
        },
        {
            "id": 11,
            "name": "conglinshoulie/Rec",
            "type": "api"
        },
        {
            "id": 12,
            "name": "dixiaheishi/Open",
            "type": "api"
        },
        {
            "id": 13,
            "name": "dixialeitai/Buy",
            "type": "api"
        },
        {
            "id": 14,
            "name": "dixialeitai/Fight",
            "type": "api"
        },
        {
            "id": 15,
            "name": "dixialeitai/Next",
            "type": "api"
        },
        {
            "id": 16,
            "name": "dixialeitai/Open",
            "type": "api"
        },
        {
            "id": 17,
            "name": "dixialeitai/RecMiBao",
            "type": "api"
        },
        {
            "id": 18,
            "name": "dixialeitai/RecPrize",
            "type": "api"
        },
        {
            "id": 19,
            "name": "dixialeitai/SetDef",
            "type": "api"
        },
        {
            "id": 20,
            "name": "dixialeitai/UseItem",
            "type": "api"
        },
        {
            "id": 21,
            "name": "dixiaqianzhuang/Open",
            "type": "api"
        },
        {
            "id": 22,
            "name": "dixiaqianzhuang/Qf",
            "type": "api"
        },
        {
            "id": 23,
            "name": "email/AllReceive",
            "type": "api"
        },
        {
            "id": 24,
            "name": "email/AllRemove",
            "type": "api"
        },
        {
            "id": 25,
            "name": "email/Open",
            "type": "api"
        },
        {
            "id": 26,
            "name": "email/Read",
            "type": "api"
        },
        {
            "id": 27,
            "name": "email/Receive",
            "type": "api"
        },
        {
            "id": 28,
            "name": "email/Remove",
            "type": "api"
        },
        {
            "id": 29,
            "name": "equip/Adjustment",
            "type": "api"
        },
        {
            "id": 30,
            "name": "equip/GetList",
            "type": "api"
        },
        {
            "id": 31,
            "name": "equip/LvUp",
            "type": "api"
        },
        {
            "id": 32,
            "name": "equip/OneKeyLvUp",
            "type": "api"
        },
        {
            "id": 33,
            "name": "equip/OneKeyTakeOff",
            "type": "api"
        },
        {
            "id": 34,
            "name": "equip/OneKeyWear",
            "type": "api"
        },
        {
            "id": 35,
            "name": "equip/Reset",
            "type": "api"
        },
        {
            "id": 36,
            "name": "equip/StarUp",
            "type": "api"
        },
        {
            "id": 37,
            "name": "equip/TakeOff",
            "type": "api"
        },
        {
            "id": 38,
            "name": "equip/Wear",
            "type": "api"
        },
        {
            "id": 39,
            "name": "event/136Gift/Open",
            "type": "api"
        },
        {
            "id": 40,
            "name": "event/136Gift/Rec",
            "type": "api"
        },
        {
            "id": 41,
            "name": "event/christmas/Game",
            "type": "api"
        },
        {
            "id": 42,
            "name": "event/christmas/LiBao",
            "type": "api"
        },
        {
            "id": 43,
            "name": "event/christmas/Open",
            "type": "api"
        },
        {
            "id": 44,
            "name": "event/christmas/QianDao",
            "type": "api"
        },
        {
            "id": 45,
            "name": "event/christmas/Select",
            "type": "api"
        },
        {
            "id": 46,
            "name": "event/christmas/TaskRec",
            "type": "api"
        },
        {
            "id": 47,
            "name": "event/christmas/ZhanLingRec",
            "type": "api"
        },
        {
            "id": 48,
            "name": "event/chuanshuozhilu/Open",
            "type": "api"
        },
        {
            "id": 49,
            "name": "event/chuanshuozhilu/Rec",
            "type": "api"
        },
        {
            "id": 50,
            "name": "event/diaoluoduihuan/Get",
            "type": "api"
        },
        {
            "id": 51,
            "name": "event/diaoluoduihuan/Open",
            "type": "api"
        },
        {
            "id": 52,
            "name": "event/huobanzhaomu/Open",
            "type": "api"
        },
        {
            "id": 53,
            "name": "event/huobanzhaomu/Rec",
            "type": "api"
        },
        {
            "id": 54,
            "name": "event/jierihuodong/Get",
            "type": "api"
        },
        {
            "id": 55,
            "name": "event/jierihuodong/Open",
            "type": "api"
        },
        {
            "id": 56,
            "name": "event/jierihuodong/Rec",
            "type": "api"
        },
        {
            "id": 57,
            "name": "event/jijin/CheckOpen",
            "type": "api"
        },
        {
            "id": 58,
            "name": "event/jijin/Open",
            "type": "api"
        },
        {
            "id": 59,
            "name": "event/jijin/Receive",
            "type": "api"
        },
        {
            "id": 60,
            "name": "event/kaifukuanghuan/LoginPrize",
            "type": "api"
        },
        {
            "id": 61,
            "name": "event/kaifukuanghuan/Open",
            "type": "api"
        },
        {
            "id": 62,
            "name": "event/kaifukuanghuan/ShopBuy",
            "type": "api"
        },
        {
            "id": 63,
            "name": "event/kaifukuanghuan/TaskBox",
            "type": "api"
        },
        {
            "id": 64,
            "name": "event/kaifukuanghuan/TaskPrize",
            "type": "api"
        },
        {
            "id": 65,
            "name": "event/leichonglibao/Open",
            "type": "api"
        },
        {
            "id": 66,
            "name": "event/leichonglibao/Receive",
            "type": "api"
        },
        {
            "id": 67,
            "name": "event/leijichongzhi/Open",
            "type": "api"
        },
        {
            "id": 68,
            "name": "event/leijichongzhi/Rec",
            "type": "api"
        },
        {
            "id": 69,
            "name": "event/niudanji/Lottery",
            "type": "api"
        },
        {
            "id": 70,
            "name": "event/niudanji/Open",
            "type": "api"
        },
        {
            "id": 71,
            "name": "event/payForDiamond/CanReceive",
            "type": "api"
        },
        {
            "id": 72,
            "name": "event/payForDiamond/Receive",
            "type": "api"
        },
        {
            "id": 73,
            "name": "event/pobinglibao/Open",
            "type": "api"
        },
        {
            "id": 74,
            "name": "event/pobinglibao/Receive",
            "type": "api"
        },
        {
            "id": 75,
            "name": "event/qirichongzhi/Open",
            "type": "api"
        },
        {
            "id": 76,
            "name": "event/qirichongzhi/Rec",
            "type": "api"
        },
        {
            "id": 77,
            "name": "event/qiridenglu/Open",
            "type": "api"
        },
        {
            "id": 78,
            "name": "event/qiridenglu/RecPrize",
            "type": "api"
        },
        {
            "id": 79,
            "name": "event/shiwuleichong/Open",
            "type": "api"
        },
        {
            "id": 80,
            "name": "event/shouchong/Open",
            "type": "api"
        },
        {
            "id": 81,
            "name": "event/shouchong/Receive",
            "type": "api"
        },
        {
            "id": 82,
            "name": "event/xianshizhaomu/Buy",
            "type": "api"
        },
        {
            "id": 83,
            "name": "event/xianshizhaomu/Duihuan",
            "type": "api"
        },
        {
            "id": 84,
            "name": "event/xianshizhaomu/Lottery",
            "type": "api"
        },
        {
            "id": 85,
            "name": "event/xianshizhaomu/Open",
            "type": "api"
        },
        {
            "id": 86,
            "name": "event/xianshizhaomu/Rec",
            "type": "api"
        },
        {
            "id": 87,
            "name": "event/xiaofeijingsai/Open",
            "type": "api"
        },
        {
            "id": 88,
            "name": "event/xinshoulibao/Open",
            "type": "api"
        },
        {
            "id": 89,
            "name": "event/yangchengmubiao/Buy",
            "type": "api"
        },
        {
            "id": 90,
            "name": "event/yangchengmubiao/Open",
            "type": "api"
        },
        {
            "id": 91,
            "name": "event/yangchengmubiao/Rec",
            "type": "api"
        },
        {
            "id": 92,
            "name": "event/yibaichou/Open",
            "type": "api"
        },
        {
            "id": 93,
            "name": "event/yibaichou/Rec",
            "type": "api"
        },
        {
            "id": 94,
            "name": "event/yibaichou/RecAll",
            "type": "api"
        },
        {
            "id": 95,
            "name": "event/yuedujijin/Open",
            "type": "api",
            "conf": {
                "timeIntervalLimit": 0
            }
        },
        {
            "id": 96,
            "name": "event/yuedujijin/Rec",
            "type": "api"
        },
        {
            "id": 97,
            "name": "event/zhanling/BuyLv",
            "type": "api"
        },
        {
            "id": 98,
            "name": "event/zhanling/Open",
            "type": "api"
        },
        {
            "id": 99,
            "name": "event/zhanling/RecPrize",
            "type": "api"
        },
        {
            "id": 100,
            "name": "event/zhanling/RecTask",
            "type": "api"
        },
        {
            "id": 101,
            "name": "event/zhoulibao/Open",
            "type": "api"
        },
        {
            "id": 102,
            "name": "event/zhoumolibao/Open",
            "type": "api"
        },
        {
            "id": 103,
            "name": "event/zhoumolibao/Receive",
            "type": "api"
        },
        {
            "id": 104,
            "name": "event/zixuanlibao/Buy",
            "type": "api"
        },
        {
            "id": 105,
            "name": "event/zixuanlibao/Open",
            "type": "api"
        },
        {
            "id": 106,
            "name": "eventlist/hdGetList",
            "type": "api"
        },
        {
            "id": 107,
            "name": "friend/Apply",
            "type": "api"
        },
        {
            "id": 108,
            "name": "friend/Del",
            "type": "api"
        },
        {
            "id": 109,
            "name": "friend/Gift",
            "type": "api"
        },
        {
            "id": 110,
            "name": "friend/List",
            "type": "api"
        },
        {
            "id": 111,
            "name": "friend/Open",
            "type": "api"
        },
        {
            "id": 112,
            "name": "friend/Respond",
            "type": "api"
        },
        {
            "id": 113,
            "name": "friend/RmBlackList",
            "type": "api"
        },
        {
            "id": 114,
            "name": "friend/Search",
            "type": "api"
        },
        {
            "id": 115,
            "name": "ganbutexun/Challenge",
            "type": "api"
        },
        {
            "id": 116,
            "name": "ganbutexun/Open",
            "type": "api"
        },
        {
            "id": 117,
            "name": "ganhai/Fast",
            "type": "api"
        },
        {
            "id": 118,
            "name": "ganhai/Fight",
            "type": "api"
        },
        {
            "id": 119,
            "name": "ganhai/Log",
            "type": "api"
        },
        {
            "id": 120,
            "name": "ganhai/Open",
            "type": "api"
        },
        {
            "id": 121,
            "name": "ganhai/Refresh",
            "type": "api"
        },
        {
            "id": 122,
            "name": "ganhai/RefreshShip",
            "type": "api"
        },
        {
            "id": 123,
            "name": "ganhai/Select",
            "type": "api"
        },
        {
            "id": 124,
            "name": "gmapi/Gift",
            "type": "api"
        },
        {
            "id": 125,
            "name": "gmapi/Post",
            "type": "api"
        },
        {
            "id": 126,
            "name": "gonghui/Apply",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 127,
            "name": "gonghui/ApplyAll",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 128,
            "name": "gonghui/ApplyList",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 129,
            "name": "gonghui/Change",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 130,
            "name": "gonghui/Create",
            "type": "api"
        },
        {
            "id": 131,
            "name": "gonghui/Dissolve",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 132,
            "name": "gonghui/Exit",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 133,
            "name": "gonghui/FbBuyNum",
            "type": "api"
        },
        {
            "id": 134,
            "name": "gonghui/FbFight",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 135,
            "name": "gonghui/FbOpen",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 136,
            "name": "gonghui/GetList",
            "type": "api"
        },
        {
            "id": 137,
            "name": "gonghui/Join",
            "type": "api"
        },
        {
            "id": 138,
            "name": "gonghui/Jx",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 139,
            "name": "gonghui/JxOpen",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 140,
            "name": "gonghui/List",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 141,
            "name": "gonghui/Manage",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 142,
            "name": "gonghui/Open",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 143,
            "name": "gonghui/TanHe",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 144,
            "name": "gonghui/TaskOpen",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 145,
            "name": "gonghui/TaskReceive",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 146,
            "name": "gonghui/UpWz",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 147,
            "name": "gonghuibaozang/Lottery",
            "type": "api"
        },
        {
            "id": 148,
            "name": "gonghuibaozang/Open",
            "type": "api"
        },
        {
            "id": 149,
            "name": "gonglukuangbiao/Buy",
            "type": "api"
        },
        {
            "id": 150,
            "name": "gonglukuangbiao/Fight",
            "type": "api"
        },
        {
            "id": 151,
            "name": "gonglukuangbiao/Open",
            "type": "api"
        },
        {
            "id": 152,
            "name": "gonglukuangbiao/Refresh",
            "type": "api"
        },
        {
            "id": 153,
            "name": "gongyu/mingdao/Active",
            "type": "api"
        },
        {
            "id": 154,
            "name": "gongyu/mingdao/Open",
            "type": "api"
        },
        {
            "id": 155,
            "name": "gongyu/mingdao/RecPrize",
            "type": "api"
        },
        {
            "id": 156,
            "name": "gongyu/mingdao/Repair",
            "type": "api"
        },
        {
            "id": 157,
            "name": "gongyu/xunlianjihua/Reset",
            "type": "api"
        },
        {
            "id": 158,
            "name": "gongyu/xunlianjihua/UpSkill",
            "type": "api"
        },
        {
            "id": 159,
            "name": "gongyu/zuozhanjihua/SetSkill",
            "type": "api"
        },
        {
            "id": 160,
            "name": "hbzb/jfs/BuyNum",
            "type": "api"
        },
        {
            "id": 161,
            "name": "hbzb/jfs/Fight",
            "type": "api"
        },
        {
            "id": 162,
            "name": "hbzb/jfs/GetLog",
            "type": "api"
        },
        {
            "id": 163,
            "name": "hbzb/jfs/Open",
            "type": "api"
        },
        {
            "id": 164,
            "name": "hbzb/jfs/Rec",
            "type": "api"
        },
        {
            "id": 165,
            "name": "hbzb/jfs/Refresh",
            "type": "api"
        },
        {
            "id": 166,
            "name": "hbzb/GetStatus",
            "type": "api"
        },
        {
            "id": 167,
            "name": "hbzb/zbs/BuyNum",
            "type": "api"
        },
        {
            "id": 168,
            "name": "hbzb/zbs/Fight",
            "type": "api"
        },
        {
            "id": 169,
            "name": "hbzb/zbs/GetLog",
            "type": "api"
        },
        {
            "id": 170,
            "name": "hbzb/zbs/Open",
            "type": "api"
        },
        {
            "id": 171,
            "name": "hbzb/zbs/Refresh",
            "type": "api"
        },
        {
            "id": 172,
            "name": "hero/Awake",
            "type": "api"
        },
        {
            "id": 173,
            "name": "hero/ChangePos",
            "type": "api",
            "conf": {
                "timeIntervalLimit": 0
            }
        },
        {
            "id": 174,
            "name": "hero/GetList",
            "type": "api"
        },
        {
            "id": 175,
            "name": "hero/JinJie",
            "type": "api"
        },
        {
            "id": 176,
            "name": "hero/LvUp",
            "type": "api",
            "conf": {
                "timeIntervalLimit": 0
            }
        },
        {
            "id": 177,
            "name": "hero/Potency",
            "type": "api"
        },
        {
            "id": 178,
            "name": "hero/Rec",
            "type": "api"
        },
        {
            "id": 179,
            "name": "hero/Reset",
            "type": "api"
        },
        {
            "id": 180,
            "name": "hero/Talent",
            "type": "api"
        },
        {
            "id": 181,
            "name": "hero/WeaponUp",
            "type": "api"
        },
        {
            "id": 182,
            "name": "hongdian/Get",
            "type": "api",
            "conf": {
                "timeIntervalLimit": 0
            }
        },
        {
            "id": 183,
            "name": "item/GetList",
            "type": "api"
        },
        {
            "id": 184,
            "name": "item/Use",
            "type": "api"
        },
        {
            "id": 185,
            "name": "jiaotang/Lottery",
            "type": "api"
        },
        {
            "id": 186,
            "name": "jiaotang/Open",
            "type": "api"
        },
        {
            "id": 187,
            "name": "jiuba/Lottery",
            "type": "api"
        },
        {
            "id": 188,
            "name": "jiuba/Open",
            "type": "api"
        },
        {
            "id": 189,
            "name": "jjc/BuyFightNum",
            "type": "api"
        },
        {
            "id": 190,
            "name": "jjc/Fight",
            "type": "api"
        },
        {
            "id": 191,
            "name": "jjc/FightLog",
            "type": "api"
        },
        {
            "id": 192,
            "name": "jjc/Open",
            "type": "api"
        },
        {
            "id": 193,
            "name": "jjc/Receive",
            "type": "api"
        },
        {
            "id": 194,
            "name": "jjc/Refresh",
            "type": "api"
        },
        {
            "id": 195,
            "name": "kaifujingsai/Open",
            "type": "api"
        },
        {
            "id": 196,
            "name": "kaifujingsai/Receive",
            "type": "api"
        },
        {
            "id": 197,
            "name": "kbzz/Apply",
            "type": "api"
        },
        {
            "id": 198,
            "name": "kbzz/AutoApply",
            "type": "api"
        },
        {
            "id": 199,
            "name": "kbzz/BuyNum",
            "type": "api"
        },
        {
            "id": 200,
            "name": "kbzz/Fight",
            "type": "api"
        },
        {
            "id": 201,
            "name": "kbzz/FightLog",
            "type": "api"
        },
        {
            "id": 202,
            "name": "kbzz/GroupState",
            "type": "api"
        },
        {
            "id": 203,
            "name": "kbzz/Open",
            "type": "api"
        },
        {
            "id": 204,
            "name": "kbzz/RecPrize",
            "type": "api"
        },
        {
            "id": 205,
            "name": "kbzz/Refresh",
            "type": "api",
            "conf": {
                "timeIntervalLimit": 4000
            }
        },
        {
            "id": 206,
            "name": "kuangdong/AddPkNum",
            "type": "api"
        },
        {
            "id": 207,
            "name": "kuangdong/GetPrize",
            "type": "api"
        },
        {
            "id": 208,
            "name": "kuangdong/KdInfo",
            "type": "api"
        },
        {
            "id": 209,
            "name": "kuangdong/Log",
            "type": "api"
        },
        {
            "id": 210,
            "name": "kuangdong/Open",
            "type": "api"
        },
        {
            "id": 211,
            "name": "kuangdong/YanShi",
            "type": "api"
        },
        {
            "id": 212,
            "name": "kuangdong/ZhanLing",
            "type": "api"
        },
        {
            "id": 213,
            "name": "lingzhulaixi/Open",
            "type": "api"
        },
        {
            "id": 214,
            "name": "lingzhulaixi/PkBoss",
            "type": "api"
        },
        {
            "id": 215,
            "name": "lingzhulaixi/PkRank",
            "type": "api"
        },
        {
            "id": 216,
            "name": "lingzhulaixi/SaoDang",
            "type": "api"
        },
        {
            "id": 217,
            "name": "meirishilian/Buy",
            "type": "api"
        },
        {
            "id": 218,
            "name": "meirishilian/Fight",
            "type": "api"
        },
        {
            "id": 219,
            "name": "meirishilian/Open",
            "type": "api"
        },
        {
            "id": 220,
            "name": "msg_c2s/BindUid",
            "type": "msg"
        },
        {
            "id": 221,
            "name": "msg_c2s/Pay",
            "type": "msg"
        },
        {
            "id": 222,
            "name": "msg_c2s/Sync",
            "type": "msg"
        },
        {
            "id": 223,
            "name": "msg_s2c/Chat",
            "type": "msg"
        },
        {
            "id": 224,
            "name": "msg_s2c/ChatHelp",
            "type": "msg"
        },
        {
            "id": 225,
            "name": "msg_s2c/Collection",
            "type": "msg"
        },
        {
            "id": 226,
            "name": "msg_s2c/Email",
            "type": "msg"
        },
        {
            "id": 227,
            "name": "msg_s2c/EmailDel",
            "type": "msg"
        },
        {
            "id": 228,
            "name": "msg_s2c/EquipChange",
            "type": "msg"
        },
        {
            "id": 229,
            "name": "msg_s2c/Friend",
            "type": "msg"
        },
        {
            "id": 230,
            "name": "msg_s2c/GhChange",
            "type": "msg"
        },
        {
            "id": 231,
            "name": "msg_s2c/GongHuiBaoZang",
            "type": "msg"
        },
        {
            "id": 232,
            "name": "msg_s2c/HeroChange",
            "type": "msg"
        },
        {
            "id": 233,
            "name": "msg_s2c/HongDianChange",
            "type": "msg"
        },
        {
            "id": 234,
            "name": "msg_s2c/ItemChange",
            "type": "msg"
        },
        {
            "id": 235,
            "name": "msg_s2c/LoginQueue",
            "type": "msg"
        },
        {
            "id": 236,
            "name": "msg_s2c/LshdChange",
            "type": "msg"
        },
        {
            "id": 237,
            "name": "msg_s2c/NewDay",
            "type": "msg"
        },
        {
            "id": 238,
            "name": "msg_s2c/OtherLogin",
            "type": "msg"
        },
        {
            "id": 239,
            "name": "msg_s2c/PayChange",
            "type": "msg"
        },
        {
            "id": 240,
            "name": "msg_s2c/PayResult",
            "type": "msg"
        },
        {
            "id": 241,
            "name": "msg_s2c/PeijianChange",
            "type": "msg"
        },
        {
            "id": 242,
            "name": "msg_s2c/PlayerChange",
            "type": "msg"
        },
        {
            "id": 243,
            "name": "msg_s2c/Private",
            "type": "msg"
        },
        {
            "id": 244,
            "name": "msg_s2c/PushGiftChange",
            "type": "msg"
        },
        {
            "id": 245,
            "name": "msg_s2c/SendGift",
            "type": "msg"
        },
        {
            "id": 246,
            "name": "msg_s2c/ShiwuChange",
            "type": "msg"
        },
        {
            "id": 247,
            "name": "msg_s2c/TaskChange",
            "type": "msg"
        },
        {
            "id": 248,
            "name": "msg_s2c/Xianshilibao",
            "type": "msg"
        },
        {
            "id": 249,
            "name": "pata/Fight",
            "type": "api"
        },
        {
            "id": 250,
            "name": "pata/GetPrize",
            "type": "api"
        },
        {
            "id": 251,
            "name": "pata/Open",
            "type": "api"
        },
        {
            "id": 252,
            "name": "pata/SaoDang",
            "type": "api"
        },
        {
            "id": 253,
            "name": "pay/GetList",
            "type": "api"
        },
        {
            "id": 254,
            "name": "peijian/GetList",
            "type": "api"
        },
        {
            "id": 255,
            "name": "peijian/JingLian",
            "type": "api"
        },
        {
            "id": 256,
            "name": "peijian/JinJie",
            "type": "api"
        },
        {
            "id": 257,
            "name": "peijian/LvUp",
            "type": "api"
        },
        {
            "id": 258,
            "name": "peijian/OneKeyLvUp",
            "type": "api"
        },
        {
            "id": 259,
            "name": "peijian/OneKeyWear",
            "type": "api"
        },
        {
            "id": 260,
            "name": "peijian/Reset",
            "type": "api"
        },
        {
            "id": 261,
            "name": "peijian/Rm",
            "type": "api"
        },
        {
            "id": 262,
            "name": "peijian/TakeOff",
            "type": "api",
            "conf": {
                "timeIntervalLimit": 0
            }
        },
        {
            "id": 263,
            "name": "peijian/UnLock",
            "type": "api"
        },
        {
            "id": 264,
            "name": "peijian/Wear",
            "type": "api"
        },
        {
            "id": 265,
            "name": "peijiancangku/Deal",
            "type": "api"
        },
        {
            "id": 266,
            "name": "peijiancangku/Jump",
            "type": "api"
        },
        {
            "id": 267,
            "name": "peijiancangku/Open",
            "type": "api"
        },
        {
            "id": 268,
            "name": "Bingo",
            "type": "api",
            "conf": {
                "timeIntervalLimit": 0
            }
        },
        {
            "id": 269,
            "name": "FightTest",
            "type": "api"
        },
        {
            "id": 270,
            "name": "SyncBtn",
            "type": "api"
        },
        {
            "id": 271,
            "name": "Test",
            "type": "api"
        },
        {
            "id": 272,
            "name": "pushgift/ItemNoEnough",
            "type": "api"
        },
        {
            "id": 273,
            "name": "pushgift/Open",
            "type": "api"
        },
        {
            "id": 274,
            "name": "qjzzd/Fight",
            "type": "api"
        },
        {
            "id": 275,
            "name": "qjzzd/Open",
            "type": "api"
        },
        {
            "id": 276,
            "name": "rank/Open",
            "type": "api"
        },
        {
            "id": 277,
            "name": "shiwu/Concise",
            "type": "api"
        },
        {
            "id": 278,
            "name": "shiwu/Extract",
            "type": "api"
        },
        {
            "id": 279,
            "name": "shiwu/GetList",
            "type": "api"
        },
        {
            "id": 280,
            "name": "shiwu/LvUp",
            "type": "api"
        },
        {
            "id": 281,
            "name": "shiwu/Recast",
            "type": "api"
        },
        {
            "id": 282,
            "name": "shiwu/TakeOff",
            "type": "api"
        },
        {
            "id": 283,
            "name": "shiwu/Wear",
            "type": "api"
        },
        {
            "id": 284,
            "name": "shootGame/Open",
            "type": "api"
        },
        {
            "id": 285,
            "name": "shootGame/Rec",
            "type": "api"
        },
        {
            "id": 286,
            "name": "shop/Buy",
            "type": "api"
        },
        {
            "id": 287,
            "name": "shop/Open",
            "type": "api"
        },
        {
            "id": 288,
            "name": "shop/Refresh",
            "type": "api"
        },
        {
            "id": 289,
            "name": "sign/GetBoxPrize",
            "type": "api"
        },
        {
            "id": 290,
            "name": "sign/GetPrize",
            "type": "api"
        },
        {
            "id": 291,
            "name": "sign/Open",
            "type": "api"
        },
        {
            "id": 292,
            "name": "slzd/Aim",
            "type": "api"
        },
        {
            "id": 293,
            "name": "slzd/BuyNum",
            "type": "api"
        },
        {
            "id": 294,
            "name": "slzd/Fight",
            "type": "api"
        },
        {
            "id": 295,
            "name": "slzd/FightLog",
            "type": "api"
        },
        {
            "id": 296,
            "name": "slzd/MyRank",
            "type": "api"
        },
        {
            "id": 297,
            "name": "slzd/Open",
            "type": "api",
            "conf": {
                "needGudKey": [
                    "ghId"
                ]
            }
        },
        {
            "id": 298,
            "name": "slzd/OpenFort",
            "type": "api"
        },
        {
            "id": 299,
            "name": "slzd/Rec",
            "type": "api"
        },
        {
            "id": 300,
            "name": "slzd/Refresh",
            "type": "api"
        },
        {
            "id": 301,
            "name": "slzd/Slot",
            "type": "api"
        },
        {
            "id": 302,
            "name": "tanxian/Event",
            "type": "api"
        },
        {
            "id": 303,
            "name": "tanxian/FastGuaJi",
            "type": "api"
        },
        {
            "id": 304,
            "name": "tanxian/Fight",
            "type": "api"
        },
        {
            "id": 305,
            "name": "tanxian/GuaJi",
            "type": "api"
        },
        {
            "id": 306,
            "name": "tanxian/Open",
            "type": "api"
        },
        {
            "id": 307,
            "name": "tanxian/Receive",
            "type": "api"
        },
        {
            "id": 308,
            "name": "task/AllFinsh",
            "type": "api"
        },
        {
            "id": 309,
            "name": "task/Finsh",
            "type": "api"
        },
        {
            "id": 310,
            "name": "task/Open",
            "type": "api"
        },
        {
            "id": 311,
            "name": "user/CDKEY",
            "type": "api"
        },
        {
            "id": 312,
            "name": "user/ChangeInfo",
            "type": "api",
            "conf": {
                "timeIntervalLimit": 0
            }
        },
        {
            "id": 313,
            "name": "user/ChangeName",
            "type": "api"
        },
        {
            "id": 314,
            "name": "user/Dot",
            "type": "api"
        },
        {
            "id": 315,
            "name": "user/Fight",
            "type": "api"
        },
        {
            "id": 316,
            "name": "user/GetInfo",
            "type": "api"
        },
        {
            "id": 317,
            "name": "user/InfoOpen",
            "type": "api"
        },
        {
            "id": 318,
            "name": "user/Login",
            "type": "api"
        },
        {
            "id": 319,
            "name": "user/Ping",
            "type": "api"
        },
        {
            "id": 320,
            "name": "user/Renown",
            "type": "api"
        },
        {
            "id": 321,
            "name": "user/RenownBuy",
            "type": "api"
        },
        {
            "id": 322,
            "name": "user/RenownGetPrize",
            "type": "api"
        },
        {
            "id": 323,
            "name": "user/RenownOpen",
            "type": "api"
        },
        {
            "id": 324,
            "name": "user/Tujian",
            "type": "api"
        },
        {
            "id": 325,
            "name": "weixiuchang/Decompose",
            "type": "api"
        },
        {
            "id": 326,
            "name": "weixiuchang/Exchange",
            "type": "api"
        },
        {
            "id": 327,
            "name": "weixiuchang/Open",
            "type": "api"
        },
        {
            "id": 328,
            "name": "weixiuchang/UpLv",
            "type": "api"
        },
        {
            "id": 329,
            "name": "weixiuchang/UpStar",
            "type": "api"
        },
        {
            "id": 330,
            "name": "wzry/AutoBaoMing",
            "type": "api"
        },
        {
            "id": 331,
            "name": "wzry/BaoMing",
            "type": "api"
        },
        {
            "id": 332,
            "name": "wzry/catFightLog",
            "type": "api"
        },
        {
            "id": 333,
            "name": "wzry/CatGroup",
            "type": "api"
        },
        {
            "id": 334,
            "name": "wzry/DldFight",
            "type": "api"
        },
        {
            "id": 335,
            "name": "wzry/DldRefre",
            "type": "api"
        },
        {
            "id": 336,
            "name": "wzry/JingCai",
            "type": "api"
        },
        {
            "id": 337,
            "name": "wzry/JingCaiOpen",
            "type": "api"
        },
        {
            "id": 338,
            "name": "wzry/Open",
            "type": "api"
        },
        {
            "id": 339,
            "name": "wzry/UpdateFight",
            "type": "api"
        },
        {
            "id": 340,
            "name": "wzry/Wzzd",
            "type": "api"
        },
        {
            "id": 341,
            "name": "wzry/ZuanShiOpen",
            "type": "api"
        },
        {
            "id": 342,
            "name": "xstask/AllGet",
            "type": "api"
        },
        {
            "id": 343,
            "name": "xstask/Get",
            "type": "api"
        },
        {
            "id": 344,
            "name": "xstask/LvUp",
            "type": "api"
        },
        {
            "id": 345,
            "name": "xstask/OnekeyReceive",
            "type": "api"
        },
        {
            "id": 346,
            "name": "xstask/Open",
            "type": "api"
        },
        {
            "id": 347,
            "name": "xstask/Receive",
            "type": "api"
        },
        {
            "id": 348,
            "name": "xstask/Refresh",
            "type": "api"
        },
        {
            "id": 349,
            "name": "yongbingzhuzhan/Handle",
            "type": "api"
        },
        {
            "id": 350,
            "name": "zhanqianbushu/ChangePos",
            "type": "api"
        },
        {
            "id": 351,
            "name": "zhanqianbushu/Select",
            "type": "api"
        },
        {
            "id": 352,
            "name": "zhanqianbushu/Up",
            "type": "api"
        }
    ],
    "types": {
        "chat/PtlDelPrivate/ReqDelPrivate": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "privateId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "chat/PtlDelPrivate/ResDelPrivate": {
            "type": "Interface"
        },
        "chat/PtlGetList/ReqGetList": {
            "type": "Interface"
        },
        "chat/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "cross",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "msg_s2c/MsgChat/MsgChat"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "local",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "msg_s2c/MsgChat/MsgChat"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "guild",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "msg_s2c/MsgChat/MsgChat"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "private",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "Reference",
                                    "target": "msg_s2c/MsgPrivate/MsgPrivate"
                                }
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "msg_s2c/MsgChat/MsgChat": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "msg",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "time",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "cross"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "local"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": "guild"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "sender",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Partial",
                                    "target": {
                                        "type": "IndexedAccess",
                                        "index": "gud",
                                        "objectType": {
                                            "type": "Reference",
                                            "target": "user/PtlLogin/ResLogin"
                                        }
                                    }
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "system"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "recipient",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Partial",
                                    "target": {
                                        "type": "IndexedAccess",
                                        "index": "gud",
                                        "objectType": {
                                            "type": "Reference",
                                            "target": "user/PtlLogin/ResLogin"
                                        }
                                    }
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "system"
                                }
                            }
                        ]
                    },
                    "optional": true
                },
                {
                    "id": 5,
                    "name": "otherData",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "user/PtlLogin/ResLogin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "gud",
                    "type": {
                        "type": "Intersection",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Reference",
                                    "target": "user/PtlLogin/playerInfo"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Reference",
                                    "target": "user/PtlLogin/playerAttr"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Partial",
                                    "target": {
                                        "type": "Reference",
                                        "target": "user/PtlLogin/playerAppend"
                                    }
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "openTime",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "openDay",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "curTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "firstLogin",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 5,
                    "name": "otherData",
                    "type": {
                        "type": "Any"
                    },
                    "optional": true
                }
            ]
        },
        "user/PtlLogin/playerInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "vip",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "bindUid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "power",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "maxpower",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 6,
                    "name": "status",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 7,
                    "name": "status_chat",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "user/PtlLogin/playerAttr": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "nexp",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "jinbi",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 2,
                                "name": "rmbmoney",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 3,
                                "name": "rongyu",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 4,
                                "name": "payExp",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            },
                            {
                                "id": 5,
                                "name": "guijinshu",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "user/PtlLogin/playerAppend": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "tujianLv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "head",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 2,
                    "name": "headFrame",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "chatFrame",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "upModel",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 6,
                    "name": "model",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "id",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "time",
                                        "type": {
                                            "type": "Number"
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 7,
                    "name": "renown",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 8,
                    "name": "wxcLv",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "lv",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "ids",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Number"
                                    }
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 9,
                    "name": "mapId",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 10,
                    "name": "shoucangping",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 11,
                    "name": "useTujianLvPoint",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 12,
                    "name": "skills",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 13,
                    "name": "fightSkills",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 14,
                    "name": "heroPos",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 15,
                    "name": "ghId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 16,
                    "name": "ghName",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 17,
                    "name": "ghLevel",
                    "type": {
                        "type": "Reference",
                        "target": "gonghui/type/gonghuiLevel"
                    }
                },
                {
                    "id": 18,
                    "name": "ghwz",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 19,
                    "name": "ghExitTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 20,
                    "name": "loginTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 21,
                    "name": "logoutTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 22,
                    "name": "cTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 23,
                    "name": "loginDays",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 24,
                    "name": "serverName",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 25,
                    "name": "sid",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 26,
                    "name": "onlineTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 27,
                    "name": "newonlinetime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 28,
                    "name": "isNpc",
                    "type": {
                        "type": "Boolean"
                    },
                    "optional": true
                },
                {
                    "id": 29,
                    "name": "matrix",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 30,
                    "name": "matrixPos",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "String"
                                    }
                                }
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 31,
                    "name": "selectMatrix",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 32,
                    "name": "fightHeros",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 33,
                    "name": "helpHeros",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "_id",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "jieji",
                                    "type": {
                                        "type": "Number"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "heroId",
                                    "type": {
                                        "type": "Union",
                                        "members": [
                                            {
                                                "id": 0,
                                                "type": {
                                                    "type": "String"
                                                }
                                            },
                                            {
                                                "id": 1,
                                                "type": {
                                                    "type": "Number"
                                                }
                                            }
                                        ]
                                    },
                                    "optional": true
                                },
                                {
                                    "id": 3,
                                    "name": "heroPosId",
                                    "type": {
                                        "type": "Union",
                                        "members": [
                                            {
                                                "id": 0,
                                                "type": {
                                                    "type": "String"
                                                }
                                            },
                                            {
                                                "id": 1,
                                                "type": {
                                                    "type": "Number"
                                                }
                                            },
                                            {
                                                "id": 2,
                                                "type": {
                                                    "type": "Literal"
                                                }
                                            }
                                        ]
                                    },
                                    "optional": true
                                }
                            ]
                        }
                    },
                    "optional": true
                },
                {
                    "id": 34,
                    "name": "changeNameNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 35,
                    "name": "peijianUnlock",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 36,
                    "name": "headFrames",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 37,
                    "name": "chatFrames",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "gonghui/type/gonghuiLevel": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Literal",
                        "literal": 0
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Literal",
                        "literal": 1
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Literal",
                        "literal": 2
                    }
                },
                {
                    "id": 3,
                    "type": {
                        "type": "Literal",
                        "literal": 3
                    }
                },
                {
                    "id": 4,
                    "type": {
                        "type": "Literal",
                        "literal": 4
                    }
                }
            ]
        },
        "msg_s2c/MsgPrivate/MsgPrivate": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "target": {
                            "type": "Reference",
                            "target": "msg_s2c/MsgChat/MsgChat"
                        },
                        "keys": [
                            "msg",
                            "time",
                            "otherData"
                        ],
                        "type": "Pick"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "sender",
                                "type": {
                                    "type": "Partial",
                                    "target": {
                                        "type": "IndexedAccess",
                                        "index": "gud",
                                        "objectType": {
                                            "type": "Reference",
                                            "target": "user/PtlLogin/ResLogin"
                                        }
                                    }
                                }
                            },
                            {
                                "id": 1,
                                "name": "privateId",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 2,
                                "name": "recipient",
                                "type": {
                                    "type": "Partial",
                                    "target": {
                                        "type": "IndexedAccess",
                                        "index": "gud",
                                        "objectType": {
                                            "type": "Reference",
                                            "target": "user/PtlLogin/ResLogin"
                                        }
                                    }
                                },
                                "optional": true
                            }
                        ]
                    }
                }
            ]
        },
        "chat/PtlHelp/ReqHelp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "helps",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "uid",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "cTime",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ]
                        }
                    }
                }
            ]
        },
        "chat/PtlHelp/ResHelp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "type/prizeType": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "a",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "t",
                    "type": {
                        "type": "Any"
                    }
                },
                {
                    "id": 2,
                    "name": "n",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "colour",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 4,
                    "name": "shiwuBuff",
                    "type": {
                        "type": "Any"
                    },
                    "optional": true
                }
            ]
        },
        "chat/PtlPrivate/ReqPrivate": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "msg",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "chat/PtlPrivate/ResPrivate": {
            "type": "Interface"
        },
        "chat/PtlSend/ReqSend": {
            "target": {
                "type": "Reference",
                "target": "msg_s2c/MsgChat/MsgChat"
            },
            "keys": [
                "msg",
                "type",
                "otherData"
            ],
            "type": "Pick"
        },
        "chat/PtlSend/ResSend": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "code",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "chongzhi/PtlBuyGift/ReqBuyGift": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "vip",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "chongzhi/PtlBuyGift/ResBuyGift": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "chongzhi/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "chongzhi/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "payNum",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "giftBuy",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "conglinshoulie/PtlBuyNum/ReqBuyNum": {
            "type": "Interface"
        },
        "conglinshoulie/PtlBuyNum/ResBuyNum": {
            "type": "Interface"
        },
        "conglinshoulie/PtlFind/ReqFind": {
            "type": "Interface"
        },
        "conglinshoulie/PtlFind/ResFind": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "enemy",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "allStar",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "info",
                                "type": {
                                    "type": "Reference",
                                    "target": "../fightControl/fightType/joinFightData"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                }
            ]
        },
        "../fightControl/fightType/joinFightData": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "player",
                    "type": {
                        "type": "Intersection",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Partial",
                                    "target": {
                                        "type": "IndexedAccess",
                                        "index": "gud",
                                        "objectType": {
                                            "type": "Reference",
                                            "target": "../protocols/user/PtlLogin/ResLogin"
                                        }
                                    }
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Interface",
                                    "properties": [
                                        {
                                            "id": 0,
                                            "name": "buff",
                                            "type": {
                                                "type": "Interface",
                                                "indexSignature": {
                                                    "keyType": "String",
                                                    "type": {
                                                        "type": "Union",
                                                        "members": [
                                                            {
                                                                "id": 0,
                                                                "type": {
                                                                    "type": "Number"
                                                                }
                                                            },
                                                            {
                                                                "id": 1,
                                                                "type": {
                                                                    "type": "Any"
                                                                }
                                                            }
                                                        ]
                                                    }
                                                }
                                            },
                                            "optional": true
                                        },
                                        {
                                            "id": 1,
                                            "name": "side",
                                            "type": {
                                                "type": "String"
                                            },
                                            "optional": true
                                        },
                                        {
                                            "id": 2,
                                            "name": "pos",
                                            "type": {
                                                "type": "Union",
                                                "members": [
                                                    {
                                                        "id": 0,
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ]
                                            },
                                            "optional": true
                                        },
                                        {
                                            "id": 3,
                                            "name": "attr",
                                            "type": {
                                                "type": "Interface",
                                                "indexSignature": {
                                                    "keyType": "String",
                                                    "type": {
                                                        "type": "Union",
                                                        "members": [
                                                            {
                                                                "id": 0,
                                                                "type": {
                                                                    "type": "Number"
                                                                }
                                                            },
                                                            {
                                                                "id": 1,
                                                                "type": {
                                                                    "type": "Any"
                                                                }
                                                            }
                                                        ]
                                                    }
                                                }
                                            },
                                            "optional": true
                                        },
                                        {
                                            "id": 4,
                                            "name": "dead",
                                            "type": {
                                                "type": "Boolean"
                                            },
                                            "optional": true
                                        }
                                    ]
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "roles",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "../fightControl/fightType/roleDataType"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "star",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "../protocols/user/PtlLogin/ResLogin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "gud",
                    "type": {
                        "type": "Intersection",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Reference",
                                    "target": "../protocols/user/PtlLogin/playerInfo"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Reference",
                                    "target": "../protocols/user/PtlLogin/playerAttr"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Partial",
                                    "target": {
                                        "type": "Reference",
                                        "target": "../protocols/user/PtlLogin/playerAppend"
                                    }
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "openTime",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "openDay",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "curTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "firstLogin",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 5,
                    "name": "otherData",
                    "type": {
                        "type": "Any"
                    },
                    "optional": true
                }
            ]
        },
        "../protocols/user/PtlLogin/playerInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "vip",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "bindUid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "power",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "maxpower",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 6,
                    "name": "status",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 7,
                    "name": "status_chat",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "../protocols/user/PtlLogin/playerAttr": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "nexp",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "jinbi",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 2,
                                "name": "rmbmoney",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 3,
                                "name": "rongyu",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 4,
                                "name": "payExp",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            },
                            {
                                "id": 5,
                                "name": "guijinshu",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "../protocols/user/PtlLogin/playerAppend": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "tujianLv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "head",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 2,
                    "name": "headFrame",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "chatFrame",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "upModel",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 6,
                    "name": "model",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "id",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "time",
                                        "type": {
                                            "type": "Number"
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 7,
                    "name": "renown",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 8,
                    "name": "wxcLv",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "lv",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "ids",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Number"
                                    }
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 9,
                    "name": "mapId",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 10,
                    "name": "shoucangping",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 11,
                    "name": "useTujianLvPoint",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 12,
                    "name": "skills",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 13,
                    "name": "fightSkills",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 14,
                    "name": "heroPos",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 15,
                    "name": "ghId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 16,
                    "name": "ghName",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 17,
                    "name": "ghLevel",
                    "type": {
                        "type": "Reference",
                        "target": "../protocols/gonghui/type/gonghuiLevel"
                    }
                },
                {
                    "id": 18,
                    "name": "ghwz",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 19,
                    "name": "ghExitTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 20,
                    "name": "loginTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 21,
                    "name": "logoutTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 22,
                    "name": "cTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 23,
                    "name": "loginDays",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 24,
                    "name": "serverName",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 25,
                    "name": "sid",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 26,
                    "name": "onlineTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 27,
                    "name": "newonlinetime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 28,
                    "name": "isNpc",
                    "type": {
                        "type": "Boolean"
                    },
                    "optional": true
                },
                {
                    "id": 29,
                    "name": "matrix",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 30,
                    "name": "matrixPos",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "String"
                                    }
                                }
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 31,
                    "name": "selectMatrix",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 32,
                    "name": "fightHeros",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 33,
                    "name": "helpHeros",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "_id",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "jieji",
                                    "type": {
                                        "type": "Number"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "heroId",
                                    "type": {
                                        "type": "Union",
                                        "members": [
                                            {
                                                "id": 0,
                                                "type": {
                                                    "type": "String"
                                                }
                                            },
                                            {
                                                "id": 1,
                                                "type": {
                                                    "type": "Number"
                                                }
                                            }
                                        ]
                                    },
                                    "optional": true
                                },
                                {
                                    "id": 3,
                                    "name": "heroPosId",
                                    "type": {
                                        "type": "Union",
                                        "members": [
                                            {
                                                "id": 0,
                                                "type": {
                                                    "type": "String"
                                                }
                                            },
                                            {
                                                "id": 1,
                                                "type": {
                                                    "type": "Number"
                                                }
                                            },
                                            {
                                                "id": 2,
                                                "type": {
                                                    "type": "Literal"
                                                }
                                            }
                                        ]
                                    },
                                    "optional": true
                                }
                            ]
                        }
                    },
                    "optional": true
                },
                {
                    "id": 34,
                    "name": "changeNameNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 35,
                    "name": "peijianUnlock",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 36,
                    "name": "headFrames",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 37,
                    "name": "chatFrames",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "../protocols/gonghui/type/gonghuiLevel": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Literal",
                        "literal": 0
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Literal",
                        "literal": 1
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Literal",
                        "literal": 2
                    }
                },
                {
                    "id": 3,
                    "type": {
                        "type": "Literal",
                        "literal": 3
                    }
                },
                {
                    "id": 4,
                    "type": {
                        "type": "Literal",
                        "literal": 4
                    }
                }
            ]
        },
        "../fightControl/fightType/roleDataType": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "IndexedAccess",
                            "index": "",
                            "objectType": {
                                "type": "IndexedAccess",
                                "index": "list",
                                "objectType": {
                                    "type": "Reference",
                                    "target": "../protocols/hero/PtlGetList/ResGetList"
                                }
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "attr",
                                "type": {
                                    "type": "Interface",
                                    "indexSignature": {
                                        "keyType": "String",
                                        "type": {
                                            "type": "Any"
                                        }
                                    }
                                }
                            },
                            {
                                "id": 1,
                                "name": "side",
                                "type": {
                                    "type": "String"
                                },
                                "optional": true
                            },
                            {
                                "id": 2,
                                "name": "pos",
                                "type": {
                                    "type": "Union",
                                    "members": [
                                        {
                                            "id": 0,
                                            "type": {
                                                "type": "String"
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "type": {
                                                "type": "Number"
                                            }
                                        }
                                    ]
                                },
                                "optional": true
                            },
                            {
                                "id": 3,
                                "name": "dead",
                                "type": {
                                    "type": "Boolean"
                                },
                                "optional": true
                            },
                            {
                                "id": 4,
                                "name": "lockHp",
                                "type": {
                                    "type": "Boolean"
                                },
                                "optional": true
                            },
                            {
                                "id": 5,
                                "name": "maxhp",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "../protocols/hero/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Intersection",
                                "members": [
                                    {
                                        "id": 0,
                                        "type": {
                                            "type": "Interface",
                                            "properties": [
                                                {
                                                    "id": 0,
                                                    "name": "_id",
                                                    "type": {
                                                        "type": "String"
                                                    }
                                                },
                                                {
                                                    "id": 1,
                                                    "name": "heroId",
                                                    "type": {
                                                        "type": "Union",
                                                        "members": [
                                                            {
                                                                "id": 0,
                                                                "type": {
                                                                    "type": "String"
                                                                }
                                                            },
                                                            {
                                                                "id": 1,
                                                                "type": {
                                                                    "type": "Number"
                                                                }
                                                            }
                                                        ]
                                                    }
                                                },
                                                {
                                                    "id": 2,
                                                    "name": "lv",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                },
                                                {
                                                    "id": 3,
                                                    "name": "jieji",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                },
                                                {
                                                    "id": 4,
                                                    "name": "getTime",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                }
                                            ]
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "type": {
                                            "type": "Partial",
                                            "target": {
                                                "type": "Reference",
                                                "target": "../protocols/hero/PtlGetList/heroAddKey"
                                            }
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "pos",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "lshd",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "gbzj",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Boolean"
                            }
                        }
                    }
                }
            ]
        },
        "../protocols/hero/PtlGetList/heroAddKey": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "equip",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "zhanli",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "weapon",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "jieji",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "star",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 2,
                                "name": "starProbability",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "shiwu",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "../protocols/type/heroShiWu"
                            }
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "qiannneg",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "awake",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "talent",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 7,
                    "name": "peijian",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                }
            ]
        },
        "../protocols/type/heroShiWu": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "target": {
                            "type": "IndexedAccess",
                            "index": "",
                            "objectType": {
                                "type": "IndexedAccess",
                                "index": "list",
                                "objectType": {
                                    "type": "Reference",
                                    "target": "../protocols/shiwu/PtlGetList/ResGetList"
                                }
                            }
                        },
                        "keys": [
                            "_id",
                            "jichu",
                            "fujia",
                            "zhuanshu"
                        ],
                        "type": "Pick"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "shiwuId",
                                "type": {
                                    "type": "String"
                                },
                                "optional": true
                            },
                            {
                                "id": 1,
                                "name": "colour",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    }
                }
            ]
        },
        "../protocols/shiwu/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "_id",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "colour",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 2,
                                        "name": "shiwuId",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 3,
                                        "name": "wearId",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 4,
                                        "name": "jichu",
                                        "type": {
                                            "type": "Array",
                                            "elementType": {
                                                "type": "Union",
                                                "members": [
                                                    {
                                                        "id": 0,
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ]
                                            }
                                        }
                                    },
                                    {
                                        "id": 5,
                                        "name": "fujia",
                                        "type": {
                                            "type": "Array",
                                            "elementType": {
                                                "type": "Interface",
                                                "properties": [
                                                    {
                                                        "id": 0,
                                                        "name": "colour",
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "name": "buffKey",
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 2,
                                                        "name": "buffVal",
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ]
                                            }
                                        }
                                    },
                                    {
                                        "id": 6,
                                        "name": "zhuanshu",
                                        "type": {
                                            "type": "Interface",
                                            "properties": [
                                                {
                                                    "id": 0,
                                                    "name": "hero",
                                                    "type": {
                                                        "type": "String"
                                                    }
                                                },
                                                {
                                                    "id": 1,
                                                    "name": "buff",
                                                    "type": {
                                                        "type": "Tuple",
                                                        "elementTypes": [
                                                            {
                                                                "type": "String"
                                                            },
                                                            {
                                                                "type": "Number"
                                                            }
                                                        ]
                                                    },
                                                    "optional": true
                                                },
                                                {
                                                    "id": 2,
                                                    "name": "skill",
                                                    "type": {
                                                        "type": "String"
                                                    },
                                                    "optional": true
                                                }
                                            ]
                                        },
                                        "optional": true
                                    }
                                ]
                            }
                        }
                    }
                }
            ]
        },
        "../fightControl/fightType/fightResult": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "winSide",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "fightLog",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "../fightControl/fightType/recordDataType"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "initData",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "../fightControl/fightType/joinFightData"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "fightData",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "../fightControl/fightType/joinFightData"
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "totalDamage",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "0",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "1",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 5,
                    "name": "fightStatistics",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 6,
                    "name": "otherData",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "../fightControl/fightType/recordDataType": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/turn_Type"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/atk_Type"
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/addBuff_type"
                    }
                },
                {
                    "id": 3,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/delBuff_type"
                    }
                },
                {
                    "id": 4,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/startAct_Type"
                    }
                },
                {
                    "id": 5,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/stopAct_Type"
                    }
                },
                {
                    "id": 6,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightEnd_Type"
                    }
                },
                {
                    "id": 7,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/roleDead_Type"
                    }
                },
                {
                    "id": 8,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/addHp_Type"
                    }
                },
                {
                    "id": 9,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/downHp_Type"
                    }
                },
                {
                    "id": 10,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fanji_Type"
                    }
                },
                {
                    "id": 11,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fuhuo_Type"
                    }
                },
                {
                    "id": 12,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/chongsheng_Type"
                    }
                },
                {
                    "id": 13,
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/playerNuqi_Type"
                    }
                }
            ]
        },
        "../fightControl/fightType/turn_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "trun"
                    }
                },
                {
                    "id": 1,
                    "name": "roundNums",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../fightControl/fightType/atk_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "atk"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "targets",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "skillId",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "rolesInfo",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "../fightControl/fightType/atkRoleInfo_Type"
                            }
                        }
                    }
                }
            ]
        },
        "../fightControl/fightType/atkRoleInfo_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "ov",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "nv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "miss",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 3,
                    "name": "baoji",
                    "type": {
                        "type": "Boolean"
                    }
                }
            ]
        },
        "../fightControl/fightType/addBuff_type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "addBuff"
                    }
                },
                {
                    "id": 1,
                    "name": "toRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "skillId",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "buffType",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "buffId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "../fightControl/fightType/delBuff_type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "delBuff"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "skillId",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "buffId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "buffType",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "why",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                }
            ]
        },
        "../fightControl/fightType/startAct_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "startAct"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "../fightControl/fightType/stopAct_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "stopAct"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "../fightControl/fightType/fightEnd_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "fightEnd"
                    }
                },
                {
                    "id": 1,
                    "name": "winSide",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../fightControl/fightType/roleDead_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "roleDead"
                    }
                },
                {
                    "id": 1,
                    "name": "isFuhou",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 2,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "../fightControl/fightType/addHp_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "addHp"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "why",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "buffId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "nv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "ov",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../fightControl/fightType/downHp_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "downHp"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "why",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "buffId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "nv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "ov",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../fightControl/fightType/fanji_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "fanji"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "targets",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "skillId",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "rolesInfo",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "../fightControl/fightType/atkRoleInfo_Type"
                            }
                        }
                    }
                }
            ]
        },
        "../fightControl/fightType/fuhuo_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "fuhuo"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "target",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "nv",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../fightControl/fightType/chongsheng_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "chongsheng"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "target",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "nv",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../fightControl/fightType/playerNuqi_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "playerNuqi"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "maxnuqi",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "nuqi",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "conglinshoulie/PtlGetLog/ReqGetLog": {
            "type": "Interface"
        },
        "conglinshoulie/PtlGetLog/ResGetLog": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "../fightControl/fightType/fightResult"
            }
        },
        "conglinshoulie/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "conglinshoulie/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "allStar",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "useFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "buyFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "fightWinNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "recWinPrize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "conglinshoulie/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "conglinshoulie/PtlRec/ResRec": {
            "type": "Interface"
        },
        "dixiaheishi/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "dixiaheishi/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "tqyk",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ],
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Any"
                }
            }
        },
        "dixialeitai/PtlBuy/ReqBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "dixialeitai/PtlBuy/ResBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "dixialeitai/PtlOpen/ResOpen"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "dixialeitai/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "shop",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "id",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "name",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 2,
                                        "name": "buyNum",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 3,
                                        "name": "need",
                                        "type": {
                                            "type": "Array",
                                            "elementType": {
                                                "type": "Interface",
                                                "properties": [
                                                    {
                                                        "id": 0,
                                                        "name": "a",
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "name": "t",
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 2,
                                                        "name": "n",
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ],
                                                "indexSignature": {
                                                    "keyType": "String",
                                                    "type": {
                                                        "type": "Any"
                                                    }
                                                }
                                            }
                                        }
                                    },
                                    {
                                        "id": 4,
                                        "name": "prize",
                                        "type": {
                                            "type": "Array",
                                            "elementType": {
                                                "type": "Interface",
                                                "properties": [
                                                    {
                                                        "id": 0,
                                                        "name": "a",
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "name": "t",
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 2,
                                                        "name": "n",
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ],
                                                "indexSignature": {
                                                    "keyType": "String",
                                                    "type": {
                                                        "type": "Any"
                                                    }
                                                }
                                            }
                                        }
                                    },
                                    {
                                        "id": 5,
                                        "name": "useBuyNum",
                                        "type": {
                                            "type": "Number"
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "heros",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "../fightControl/fightType/roleDataType"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "curLayer",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "maxLayer",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "curMaxLayer",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "toDayLayer",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "recordLayer",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "item",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 8,
                    "name": "buff",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 9,
                    "name": "saodang",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "item",
                                "type": {
                                    "type": "Interface",
                                    "indexSignature": {
                                        "keyType": "String",
                                        "type": {
                                            "type": "Number"
                                        }
                                    }
                                },
                                "optional": true
                            },
                            {
                                "id": 1,
                                "name": "buff",
                                "type": {
                                    "type": "Interface",
                                    "indexSignature": {
                                        "keyType": "String",
                                        "type": {
                                            "type": "Number"
                                        }
                                    }
                                },
                                "optional": true
                            },
                            {
                                "id": 2,
                                "name": "prize",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Reference",
                                        "target": "type/prizeType"
                                    }
                                },
                                "optional": true
                            },
                            {
                                "id": 3,
                                "name": "mibaoNum",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            },
                            {
                                "id": 4,
                                "name": "shop",
                                "type": {
                                    "type": "Boolean"
                                },
                                "optional": true
                            }
                        ]
                    },
                    "optional": true
                },
                {
                    "id": 10,
                    "name": "enemyState",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "hp",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "maxHp",
                                        "type": {
                                            "type": "Number"
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 11,
                    "name": "over",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 12,
                    "name": "resetTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 13,
                    "name": "killPrizeRec",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 14,
                    "name": "passPrizeRec",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 15,
                    "name": "mibao",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 16,
                    "name": "killBoss",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "dixialeitai/PtlFight/ReqFight": {
            "type": "String"
        },
        "dixialeitai/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "dixialeitai/PtlOpen/ResOpen"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 2,
                    "name": "fightPrize",
                    "type": {
                        "type": "IndexedAccess",
                        "index": "saodang",
                        "objectType": {
                            "type": "Reference",
                            "target": "dixialeitai/PtlOpen/ResOpen"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "dixialeitai/PtlNext/ReqNext": {
            "type": "Interface"
        },
        "dixialeitai/PtlNext/ResNext": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "dixialeitai/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "dixialeitai/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "dixialeitai/PtlRecMiBao/ReqRecMiBao": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "dixialeitai/PtlRecMiBao/ResRecMiBao": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "dixialeitai/PtlOpen/ResOpen"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "dixialeitai/PtlRecPrize/ReqRecPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "killPrizeRec"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "passPrizeRec"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "dixialeitai/PtlRecPrize/ResRecPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "dixialeitai/PtlOpen/ResOpen"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "dixialeitai/PtlSetDef/ReqSetDef": {
            "type": "Array",
            "elementType": {
                "type": "String"
            }
        },
        "dixialeitai/PtlSetDef/ResSetDef": {
            "type": "Interface"
        },
        "dixialeitai/PtlUseItem/ReqUseItem": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "pos",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                }
            ]
        },
        "dixialeitai/PtlUseItem/ResUseItem": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "dixialeitai/PtlOpen/ResOpen"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "fightPrize",
                    "type": {
                        "type": "IndexedAccess",
                        "index": "saodang",
                        "objectType": {
                            "type": "Reference",
                            "target": "dixialeitai/PtlOpen/ResOpen"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "dixiaqianzhuang/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "dixiaqianzhuang/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "dixiaqianzhuang/PtlQf/ReqQf": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 10
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "dixiaqianzhuang/PtlQf/ResQf": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "changeData",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "dixiaqianzhuang/PtlOpen/ResOpen"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "bj",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "1",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            },
                            {
                                "id": 1,
                                "name": "2",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            },
                            {
                                "id": 2,
                                "name": "3",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    },
                    "optional": true
                }
            ]
        },
        "email/PtlAllReceive/ReqAllReceive": {
            "type": "Interface"
        },
        "email/PtlAllReceive/ResAllReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "change",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Boolean"
                            }
                        }
                    }
                }
            ]
        },
        "email/PtlAllRemove/ReqAllRemove": {
            "type": "Interface"
        },
        "email/PtlAllRemove/ResAllRemove": {
            "type": "Array",
            "elementType": {
                "type": "String"
            }
        },
        "email/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lng",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "email/PtlOpen/ResOpen": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Interface",
                    "properties": [
                        {
                            "id": 0,
                            "name": "_id",
                            "type": {
                                "type": "String"
                            }
                        },
                        {
                            "id": 1,
                            "name": "uid",
                            "type": {
                                "type": "String"
                            }
                        },
                        {
                            "id": 2,
                            "name": "type",
                            "type": {
                                "type": "Union",
                                "members": [
                                    {
                                        "id": 0,
                                        "type": {
                                            "type": "Literal",
                                            "literal": "system"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "type": {
                                            "type": "Literal",
                                            "literal": "gm"
                                        }
                                    }
                                ]
                            }
                        },
                        {
                            "id": 3,
                            "name": "title",
                            "type": {
                                "type": "String"
                            }
                        },
                        {
                            "id": 4,
                            "name": "content",
                            "type": {
                                "type": "String"
                            }
                        },
                        {
                            "id": 5,
                            "name": "createTime",
                            "type": {
                                "type": "Number"
                            }
                        },
                        {
                            "id": 6,
                            "name": "prizeData",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "prize",
                                        "type": {
                                            "type": "Array",
                                            "elementType": {
                                                "type": "Reference",
                                                "target": "type/prizeType"
                                            }
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "isGet",
                                        "type": {
                                            "type": "Boolean"
                                        }
                                    }
                                ]
                            },
                            "optional": true
                        },
                        {
                            "id": 7,
                            "name": "contentInsertArr",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "Any"
                                }
                            },
                            "optional": true
                        },
                        {
                            "id": 8,
                            "name": "prizelist",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "String"
                                }
                            },
                            "optional": true
                        },
                        {
                            "id": 9,
                            "name": "dellist",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "String"
                                }
                            },
                            "optional": true
                        },
                        {
                            "id": 10,
                            "name": "emailRead",
                            "type": {
                                "type": "Boolean"
                            },
                            "optional": true
                        },
                        {
                            "id": 11,
                            "name": "lngTitle",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "Any"
                                    }
                                }
                            },
                            "optional": true
                        },
                        {
                            "id": 12,
                            "name": "lngContent",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "Any"
                                    }
                                }
                            },
                            "optional": true
                        }
                    ]
                }
            }
        },
        "email/PtlRead/ReqRead": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "email/PtlRead/ResRead": {
            "type": "Array",
            "elementType": {
                "type": "String"
            }
        },
        "email/PtlReceive/ReqReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "email/PtlReceive/ResReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "change",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Boolean"
                            }
                        }
                    }
                }
            ]
        },
        "email/PtlRemove/ReqRemove": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "email/PtlRemove/ResRemove": {
            "type": "Array",
            "elementType": {
                "type": "String"
            }
        },
        "equip/PtlAdjustment/ReqAdjustment": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "equipId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "num",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 10
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "equip/PtlAdjustment/ResAdjustment": {
            "type": "Interface"
        },
        "equip/PtlGetList/ReqGetList": {
            "type": "Interface"
        },
        "equip/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "_id",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "lv",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 2,
                                        "name": "star",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 3,
                                        "name": "equipId",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 4,
                                        "name": "wearaId",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 5,
                                        "name": "getTime",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 6,
                                        "name": "adjustment",
                                        "type": {
                                            "type": "Number"
                                        },
                                        "optional": true
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "lshd",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "equip/PtlLvUp/ReqLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "equipId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "upLv",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 10
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "equip/PtlLvUp/ResLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "addlv",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "equip/PtlOneKeyLvUp/ReqOneKeyLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "heroId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "equip/PtlOneKeyLvUp/ResOneKeyLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "posLvUp",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "log",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "allNeed",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Any"
                        }
                    }
                }
            ]
        },
        "equip/PtlOneKeyTakeOff/ReqOneKeyTakeOff": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "h_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "equip/PtlOneKeyTakeOff/ResOneKeyTakeOff": {
            "type": "Interface"
        },
        "equip/PtlOneKeyWear/ReqOneKeyWear": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "heroId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "equip/PtlOneKeyWear/ResOneKeyWear": {
            "type": "Interface"
        },
        "equip/PtlReset/ReqReset": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_ids",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "cj"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "cz"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": "yl"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "equip/PtlReset/ResReset": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "equip/PtlStarUp/ReqStarUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "equipId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "equipArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "equip/PtlStarUp/ResStarUp": {
            "type": "Interface"
        },
        "equip/PtlTakeOff/ReqTakeOff": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "equipId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "equip/PtlTakeOff/ResTakeOff": {
            "type": "Interface"
        },
        "equip/PtlWear/ReqWear": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "heroId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "equipId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "equip/PtlWear/ResWear": {
            "type": "Interface"
        },
        "event/136Gift/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/136Gift/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "recIndex",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "event/136Gift/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/136Gift/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/christmas/PtlGame/ReqGame": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/christmas/PtlGame/ResGame": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "event/christmas/PtlOpen/christmas"
                    }
                }
            ]
        },
        "event/christmas/PtlOpen/christmas": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "taskval",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "taskfinish",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "gamenum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "pt",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 7,
                    "name": "gj",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 8,
                    "name": "pay",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 9,
                    "name": "libao",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 10,
                    "name": "select",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "String"
                                    }
                                }
                            }
                        }
                    }
                },
                {
                    "id": 11,
                    "name": "val",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 12,
                    "name": "qiandao",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 13,
                    "name": "refresh",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/christmas/PtlLiBao/ReqLiBao": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "lbid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "event/christmas/PtlLiBao/ResLiBao": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "event/christmas/PtlOpen/christmas"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/christmas/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/christmas/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "event/christmas/PtlOpen/christmas"
                    }
                },
                {
                    "id": 1,
                    "name": "hdinfo",
                    "type": {
                        "type": "Reference",
                        "target": "../../monopoly/protocols/PtlAddHuoDong/ReqAddHuoDong"
                    }
                }
            ]
        },
        "../../monopoly/protocols/PtlAddHuoDong/ReqAddHuoDong": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "htype",
                    "type": {
                        "type": "Reference",
                        "target": "../../monopoly/protocols/PtlAddHuoDong/Htypes"
                    }
                },
                {
                    "id": 2,
                    "name": "stype",
                    "type": {
                        "type": "Reference",
                        "target": "../../monopoly/protocols/PtlAddHuoDong/Stypes"
                    }
                },
                {
                    "id": 3,
                    "name": "ttype",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 0
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": 4
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "stime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "rtime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "etime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "showtime",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 8,
                    "name": "data",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                },
                {
                    "id": 9,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 10,
                    "name": "icon",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 11,
                    "name": "opencond",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                }
            ]
        },
        "../../monopoly/protocols/PtlAddHuoDong/Htypes": {
            "type": "Number"
        },
        "../../monopoly/protocols/PtlAddHuoDong/Stypes": {
            "type": "Number"
        },
        "event/christmas/PtlQianDao/ReqQianDao": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/christmas/PtlQianDao/ResQianDao": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "event/christmas/PtlOpen/christmas"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/christmas/PtlSelect/ReqSelect": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "lbid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "pid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "event/christmas/PtlSelect/ResSelect": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "event/christmas/PtlOpen/christmas"
                    }
                }
            ]
        },
        "event/christmas/PtlTaskRec/ReqTaskRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "taskid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "event/christmas/PtlTaskRec/ResTaskRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "event/christmas/PtlOpen/christmas"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/christmas/PtlZhanLingRec/ReqZhanLingRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/christmas/PtlZhanLingRec/ResZhanLingRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "event/christmas/PtlOpen/christmas"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/chuanshuozhilu/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/chuanshuozhilu/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "info",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Partial",
                                "target": {
                                    "type": "Interface",
                                    "properties": [
                                        {
                                            "id": 0,
                                            "name": "lv",
                                            "type": {
                                                "type": "Number"
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "name": "jieji",
                                            "type": {
                                                "type": "Number"
                                            }
                                        },
                                        {
                                            "id": 2,
                                            "name": "rec",
                                            "type": {
                                                "type": "Array",
                                                "elementType": {
                                                    "type": "Number"
                                                }
                                            }
                                        },
                                        {
                                            "id": 3,
                                            "name": "box",
                                            "type": {
                                                "type": "Boolean"
                                            }
                                        }
                                    ]
                                }
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "hdinfo",
                    "type": {
                        "type": "Reference",
                        "target": "../../monopoly/protocols/PtlAddHuoDong/ReqAddHuoDong"
                    }
                }
            ]
        },
        "event/chuanshuozhilu/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "task"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "box"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/chuanshuozhilu/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/diaoluoduihuan/PtlGet/ReqGet": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "duihuan"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "shop"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": "gift"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "nums",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 3,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/diaoluoduihuan/PtlGet/ResGet": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/diaoluoduihuan/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/diaoluoduihuan/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "record",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "hdinfo",
                    "type": {
                        "type": "Reference",
                        "target": "../../monopoly/protocols/PtlAddHuoDong/ReqAddHuoDong"
                    }
                }
            ]
        },
        "event/huobanzhaomu/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/huobanzhaomu/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "finish",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Boolean"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "rec",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "event/huobanzhaomu/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/huobanzhaomu/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/jierihuodong/PtlGet/ReqGet": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "duihuan"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "libao"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "event/jierihuodong/PtlGet/ResGet": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/jierihuodong/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/jierihuodong/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "recLogin",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "recTask",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "recordDuihuan",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "recordLibao",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "taskFinish",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "event/jierihuodong/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "login"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "task"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/jierihuodong/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/jijin/PtlCheckOpen/ReqCheckOpen": {
            "type": "Interface"
        },
        "event/jijin/PtlCheckOpen/ResCheckOpen": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Boolean"
                }
            }
        },
        "event/jijin/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Reference",
                        "target": "event/jijin/PtlOpen/jijinType"
                    }
                }
            ]
        },
        "event/jijin/PtlOpen/jijinType": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Literal",
                        "literal": "dengjijijin"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Literal",
                        "literal": "guanqiajijin"
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Literal",
                        "literal": "dayjijin"
                    }
                },
                {
                    "id": 3,
                    "type": {
                        "type": "Literal",
                        "literal": "tianshujijin"
                    }
                }
            ]
        },
        "event/jijin/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "isPay",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 1,
                    "name": "rec",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "pt",
                                        "type": {
                                            "type": "Boolean"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "tq",
                                        "type": {
                                            "type": "Boolean"
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "finished",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "round",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "event/jijin/PtlReceive/ReqReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Reference",
                        "target": "event/jijin/PtlOpen/jijinType"
                    }
                },
                {
                    "id": 1,
                    "name": "recIndexs",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "event/jijin/PtlReceive/ResReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "rec",
                    "type": {
                        "type": "IndexedAccess",
                        "index": "rec",
                        "objectType": {
                            "type": "Reference",
                            "target": "event/jijin/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "event/kaifukuanghuan/PtlLoginPrize/ReqLoginPrize": {
            "type": "Interface"
        },
        "event/kaifukuanghuan/PtlLoginPrize/ResLoginPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/kaifukuanghuan/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/kaifukuanghuan/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "day",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "receiveLogin",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "buyShop",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "receiveTask",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "Number"
                                }
                            }
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "taskFinished",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "receiveBox",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "event/kaifukuanghuan/PtlShopBuy/ReqShopBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "buyNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "event/kaifukuanghuan/PtlShopBuy/ResShopBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/kaifukuanghuan/PtlTaskBox/ReqTaskBox": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/kaifukuanghuan/PtlTaskBox/ResTaskBox": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/kaifukuanghuan/PtlTaskPrize/ReqTaskPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "day",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/kaifukuanghuan/PtlTaskPrize/ResTaskPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/leichonglibao/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/leichonglibao/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "sc",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 1,
                    "name": "buy",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "event/leichonglibao/PtlReceive/ReqReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "select",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "event/leichonglibao/PtlReceive/ResReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/leijichongzhi/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/leijichongzhi/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "sTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "recIndex",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "payNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "hdinfo",
                    "type": {
                        "type": "Reference",
                        "target": "../../monopoly/protocols/PtlAddHuoDong/ReqAddHuoDong"
                    }
                }
            ]
        },
        "event/leijichongzhi/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/leijichongzhi/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/niudanji/PtlLottery/ReqLottery": {
            "type": "Interface"
        },
        "event/niudanji/PtlLottery/ResLottery": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/niudanji/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/niudanji/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hasNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "useNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "logs",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "name",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "item",
                                    "type": {
                                        "type": "Reference",
                                        "target": "type/prizeType"
                                    }
                                }
                            ]
                        }
                    },
                    "optional": true
                }
            ]
        },
        "event/payForDiamond/PtlCanReceive/ReqCanReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "activityId",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "event/payForDiamond/PtlCanReceive/ResCanReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "payNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "remaining",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "result",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 3,
                    "name": "price",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "showOffList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Any"
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "gotAmount",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/payForDiamond/PtlReceive/ReqReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "activityId",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/payForDiamond/PtlReceive/ResReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "amount",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "timesRemaining",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "showOff",
                    "type": {
                        "type": "Boolean"
                    },
                    "optional": true
                }
            ]
        },
        "event/pobinglibao/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/pobinglibao/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "record",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "buyLog",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "event/pobinglibao/PtlReceive/ReqReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "recId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "event/pobinglibao/PtlReceive/ResReceive": {
            "type": "Interface"
        },
        "event/qirichongzhi/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/qirichongzhi/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "sTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "round",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "finished",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "recIndexs",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "event/qirichongzhi/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/qirichongzhi/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/qiridenglu/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/qiridenglu/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "loginDay",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "recPrize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "hdinfo",
                    "type": {
                        "type": "Reference",
                        "target": "../../monopoly/protocols/PtlAddHuoDong/ReqAddHuoDong"
                    }
                }
            ]
        },
        "event/qiridenglu/PtlRecPrize/ReqRecPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "inedx",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/qiridenglu/PtlRecPrize/ResRecPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/shiwuleichong/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/shiwuleichong/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "day",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "payIds",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "event/shouchong/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/shouchong/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "receive",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "Number"
                                }
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "buyLog",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "event/shouchong/PtlReceive/ReqReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "k",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "event/shouchong/PtlReceive/ResReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/xianshizhaomu/PtlBuy/ReqBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/xianshizhaomu/PtlBuy/ResBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/xianshizhaomu/PtlDuihuan/ReqDuihuan": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/xianshizhaomu/PtlDuihuan/ResDuihuan": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/xianshizhaomu/PtlLottery/ReqLottery": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "one"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "ten"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "event/xianshizhaomu/PtlLottery/ResLottery": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "lotteryPrize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/xianshizhaomu/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/xianshizhaomu/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "recordNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "recordOneNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "recordPrize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "recordDuihuan",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "recordBuy",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "event/xianshizhaomu/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/xianshizhaomu/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/xiaofeijingsai/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "limit",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "event/xiaofeijingsai/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "event/xiaofeijingsai/PtlOpen/data"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "myData",
                    "type": {
                        "type": "Reference",
                        "target": "event/xiaofeijingsai/PtlOpen/data"
                    }
                }
            ]
        },
        "event/xiaofeijingsai/PtlOpen/data": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "total",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "rank",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "player",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "event/xinshoulibao/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/xinshoulibao/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "sTime",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/yangchengmubiao/PtlBuy/ReqBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/yangchengmubiao/PtlBuy/ResBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/yangchengmubiao/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/yangchengmubiao/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "event/yangchengmubiao/PtlOpen/yangchengmubiao"
                    }
                },
                {
                    "id": 1,
                    "name": "hdinfo",
                    "type": {
                        "type": "Reference",
                        "target": "../../monopoly/protocols/PtlAddHuoDong/ReqAddHuoDong"
                    }
                }
            ]
        },
        "event/yangchengmubiao/PtlOpen/yangchengmubiao": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "taskval",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "finishid",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "1",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Number"
                                    }
                                }
                            },
                            {
                                "id": 1,
                                "name": "2",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Number"
                                    }
                                }
                            },
                            {
                                "id": 2,
                                "name": "3",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Number"
                                    }
                                }
                            }
                        ],
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "Number"
                                }
                            }
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "refresh",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "lunci",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "record",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "event/yangchengmubiao/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "taskid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "type",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/yangchengmubiao/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "event/yangchengmubiao/PtlOpen/yangchengmubiao"
                    }
                }
            ]
        },
        "event/yibaichou/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/yibaichou/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "loginRec",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "onlineRec",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "event/yibaichou/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "online"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "login"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/yibaichou/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/yibaichou/PtlRecAll/ReqRecAll": {
            "type": "Interface"
        },
        "event/yibaichou/PtlRecAll/ResRecAll": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "change",
                    "type": {
                        "type": "Reference",
                        "target": "event/yibaichou/PtlOpen/ResOpen"
                    }
                }
            ]
        },
        "event/yuedujijin/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "event/yuedujijin/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "rec",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "days",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "round",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "event/yuedujijin/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/yuedujijin/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/zhanling/PtlBuyLv/ReqBuyLv": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/zhanling/PtlBuyLv/ResBuyLv": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "event/zhanling/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "event/zhanling/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "exp",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "rec",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "pt",
                                        "type": {
                                            "type": "Boolean"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "tq",
                                        "type": {
                                            "type": "Boolean"
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "isPay",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 4,
                    "name": "taskRec",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "taskFinished",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 6,
                    "name": "nextRoundTime",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/zhanling/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/zhanling/PtlRecPrize/ReqRecPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "recIndexs",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "event/zhanling/PtlRecPrize/ResRecPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "event/zhanling/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "event/zhanling/PtlRecTask/ReqRecTask": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/zhanling/PtlRecTask/ResRecTask": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "event/zhanling/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "event/zhoulibao/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/zhoulibao/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "sTime",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/zhoumolibao/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "event/zhoumolibao/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "record",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "buyLog",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "event/zhoumolibao/PtlReceive/ReqReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "event/zhoumolibao/PtlReceive/ResReceive": {
            "type": "Interface"
        },
        "event/zixuanlibao/PtlBuy/ReqBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "dlz",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/zixuanlibao/PtlBuy/ResBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "event/zixuanlibao/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "event/zixuanlibao/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "rec",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "hdinfo",
                    "type": {
                        "type": "Reference",
                        "target": "../../monopoly/protocols/PtlAddHuoDong/ReqAddHuoDong"
                    }
                }
            ]
        },
        "eventlist/PtlhdGetList/ReqhdGetList": {
            "type": "Interface"
        },
        "eventlist/PtlhdGetList/ReshdGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdlist",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "../../monopoly/protocols/PtlAddHuoDong/ReqAddHuoDong"
                        }
                    }
                }
            ]
        },
        "friend/PtlApply/ReqApply": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "friend/PtlApply/ResApply": {
            "type": "Interface"
        },
        "friend/PtlDel/ReqDel": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "friend/PtlDel/ResDel": {
            "type": "Interface"
        },
        "friend/PtlGift/ReqGift": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "send"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "get"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": "yijian"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                }
            ]
        },
        "friend/PtlGift/ResGift": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "target": {
                                "type": "Reference",
                                "target": "friend/PtlOpen/ResOpen"
                            },
                            "keys": [
                                "recGift",
                                "sendGift"
                            ],
                            "type": "Pick"
                        }
                    }
                }
            ]
        },
        "friend/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "recGift",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "getGift",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "sendGift",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "applyList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "blacklist",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "friendList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 6,
                    "name": "myApplyList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "friend/PtlList/ReqList": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Literal",
                        "literal": "tuijian"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Literal",
                        "literal": "friend"
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Literal",
                        "literal": "apply"
                    }
                },
                {
                    "id": 3,
                    "type": {
                        "type": "Literal",
                        "literal": "black"
                    }
                }
            ]
        },
        "friend/PtlList/ResList": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "user/type/player"
            }
        },
        "user/type/player": {
            "type": "IndexedAccess",
            "index": "gud",
            "objectType": {
                "type": "Reference",
                "target": "user/PtlLogin/ResLogin"
            }
        },
        "friend/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "friend/PtlRespond/ReqRespond": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "agree",
                    "type": {
                        "type": "Boolean"
                    }
                }
            ]
        },
        "friend/PtlRespond/ResRespond": {
            "type": "Interface"
        },
        "friend/PtlRmBlackList/ReqRmBlackList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "rm",
                    "type": {
                        "type": "Boolean"
                    }
                }
            ]
        },
        "friend/PtlRmBlackList/ResRmBlackList": {
            "type": "Interface"
        },
        "friend/PtlSearch/ReqSearch": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "friend/PtlSearch/ResSearch": {
            "type": "Reference",
            "target": "user/type/player"
        },
        "ganbutexun/PtlChallenge/ReqChallenge": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "ganbutexun/PtlChallenge/ResChallenge": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "addluck",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "fightobj",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 2,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "ganbutexun/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "ganbutexun/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "luck",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "ganhai/PtlFast/ReqFast": {
            "type": "Interface"
        },
        "ganhai/PtlFast/ResFast": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "ganhai/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "ganhai/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "useRefreshNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "useEscortNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "useFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "ships",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "ganhai/PtlOpen/shipType"
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "myShips",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "ship",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Reference",
                                    "target": "ganhai/PtlOpen/shipType"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": null
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 6,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "ganhai/PtlOpen/shipType": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "sTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "beFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "player",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/joinFightData"
                    }
                }
            ]
        },
        "ganhai/PtlFight/ReqFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "ganhai/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 2,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "ganhai/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "ganhai/PtlLog/ReqLog": {
            "type": "Interface"
        },
        "ganhai/PtlLog/ResLog": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "../fightControl/fightType/fightResult"
            }
        },
        "ganhai/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "ganhai/PtlRefresh/ReqRefresh": {
            "type": "Interface"
        },
        "ganhai/PtlRefresh/ResRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "ganhai/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "ganhai/PtlRefreshShip/ReqRefreshShip": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "yjzg",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 0
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            }
                        ]
                    },
                    "optional": true
                }
            ]
        },
        "ganhai/PtlRefreshShip/ResRefreshShip": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "ganhai/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "ganhai/PtlSelect/ReqSelect": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "ganhai/PtlSelect/ResSelect": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "ganhai/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "gmapi/PtlGift/ReqGift": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "cnum",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "gmapi/PtlGift/ResGift": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "gmapi/PtlPost/ReqPost": {
            "type": "Interface"
        },
        "gmapi/PtlPost/ResPost": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "data",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "gonghui/PtlApply/ReqApply": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "apply",
                    "type": {
                        "type": "Boolean"
                    }
                }
            ]
        },
        "gonghui/PtlApply/ResApply": {
            "type": "Interface"
        },
        "gonghui/PtlApplyAll/ReqApplyAll": {
            "type": "Boolean"
        },
        "gonghui/PtlApplyAll/ResApplyAll": {
            "type": "Interface"
        },
        "gonghui/PtlApplyList/ReqApplyList": {
            "type": "Interface"
        },
        "gonghui/PtlApplyList/ResApplyList": {
            "type": "Array",
            "elementType": {
                "type": "Interface",
                "properties": [
                    {
                        "id": 0,
                        "name": "player",
                        "type": {
                            "type": "Reference",
                            "target": "user/type/player"
                        }
                    },
                    {
                        "id": 1,
                        "name": "time",
                        "type": {
                            "type": "Number"
                        }
                    }
                ]
            }
        },
        "gonghui/PtlChange/ReqChange": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "name",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "setting",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "gonghui/type/gonghuiSetting"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "gonghui/type/gonghuiSetting": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "badge",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "joinLv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "notice",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "autoJoin",
                    "type": {
                        "type": "Boolean"
                    }
                }
            ]
        },
        "gonghui/PtlChange/ResChange": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "name",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "setting",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "gonghui/type/gonghuiSetting"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "gonghui/PtlCreate/ReqCreate": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "target": {
                            "type": "Reference",
                            "target": "gonghui/type/gonghuiBase"
                        },
                        "keys": [
                            "name"
                        ],
                        "type": "Pick"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "setting",
                                "type": {
                                    "target": {
                                        "type": "Reference",
                                        "target": "gonghui/type/gonghuiSetting"
                                    },
                                    "keys": [
                                        "badge"
                                    ],
                                    "type": "Pick"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "gonghui/type/gonghuiBase": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "exp",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "setting",
                    "type": {
                        "type": "Reference",
                        "target": "gonghui/type/gonghuiSetting"
                    }
                },
                {
                    "id": 5,
                    "name": "createTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 6,
                    "name": "createPlayer",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "user/type/player"
                        }
                    }
                },
                {
                    "id": 7,
                    "name": "players",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "uid",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "level",
                                    "type": {
                                        "type": "Reference",
                                        "target": "gonghui/type/gonghuiLevel"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "joinTime",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 8,
                    "name": "applyList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "uid",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "time",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ]
                        }
                    },
                    "optional": true
                },
                {
                    "id": 9,
                    "name": "lsgx",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 10,
                    "name": "tanhe",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "uid",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    },
                    "optional": true
                },
                {
                    "id": 11,
                    "name": "task",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "finised",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "refreshTime",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    },
                    "optional": true
                },
                {
                    "id": 12,
                    "name": "fuben",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "dps",
                                "type": {
                                    "type": "Interface",
                                    "indexSignature": {
                                        "keyType": "String",
                                        "type": {
                                            "type": "Number"
                                        }
                                    }
                                }
                            },
                            {
                                "id": 2,
                                "name": "bossInfo",
                                "type": {
                                    "type": "Interface",
                                    "indexSignature": {
                                        "keyType": "String",
                                        "type": {
                                            "type": "Interface",
                                            "properties": [
                                                {
                                                    "id": 0,
                                                    "name": "hp",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                },
                                                {
                                                    "id": 1,
                                                    "name": "maxHp",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                }
                                            ]
                                        }
                                    }
                                }
                            }
                        ]
                    },
                    "optional": true
                },
                {
                    "id": 13,
                    "name": "exp_his",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "Interface",
                                    "properties": [
                                        {
                                            "id": 0,
                                            "name": "exp",
                                            "type": {
                                                "type": "Number"
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "name": "time",
                                            "type": {
                                                "type": "Number"
                                            }
                                        }
                                    ]
                                }
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "gonghui/PtlCreate/ResCreate": {
            "type": "Interface"
        },
        "gonghui/PtlDissolve/ReqDissolve": {
            "type": "Interface"
        },
        "gonghui/PtlDissolve/ResDissolve": {
            "type": "Interface"
        },
        "gonghui/PtlExit/ReqExit": {
            "type": "Interface"
        },
        "gonghui/PtlExit/ResExit": {
            "type": "Interface"
        },
        "gonghui/PtlFbBuyNum/ReqFbBuyNum": {
            "type": "Interface"
        },
        "gonghui/PtlFbBuyNum/ResFbBuyNum": {
            "type": "Interface"
        },
        "gonghui/PtlFbFight/ReqFbFight": {
            "type": "Interface"
        },
        "gonghui/PtlFbFight/ResFbFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                }
            ]
        },
        "gonghui/PtlFbOpen/ReqFbOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "fbId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "gonghui/PtlFbOpen/ResFbOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "rankList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "player",
                                    "type": {
                                        "type": "Reference",
                                        "target": "user/type/player"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "dps",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "fightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "addNum",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "gonghui/PtlGetList/ReqGetList": {
            "type": "Interface"
        },
        "gonghui/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "gh",
                                    "type": {
                                        "type": "Reference",
                                        "target": "gonghui/type/gonghuiBase"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "zhanli",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ]
                        }
                    }
                }
            ]
        },
        "gonghui/PtlJoin/ReqJoin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "gonghui/PtlJoin/ResJoin": {
            "type": "Interface"
        },
        "gonghui/PtlJx/ReqJx": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "gonghui/PtlJx/ResJx": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "gonghui/type/gonghuiBase"
                        }
                    }
                }
            ]
        },
        "gonghui/PtlJxOpen/ReqJxOpen": {
            "type": "Interface"
        },
        "gonghui/PtlJxOpen/ResJxOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "record",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "Number",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "gonghui/PtlList/ReqList": {
            "type": "Interface"
        },
        "gonghui/PtlList/ResList": {
            "type": "Array",
            "elementType": {
                "type": "Interface",
                "properties": [
                    {
                        "id": 0,
                        "name": "player",
                        "type": {
                            "type": "Reference",
                            "target": "user/type/player"
                        }
                    },
                    {
                        "id": 1,
                        "name": "lsgx",
                        "type": {
                            "type": "Number"
                        }
                    }
                ]
            }
        },
        "gonghui/PtlManage/ReqManage": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "level",
                    "type": {
                        "type": "Reference",
                        "target": "gonghui/type/gonghuiLevel"
                    }
                }
            ]
        },
        "gonghui/PtlManage/ResManage": {
            "type": "Interface"
        },
        "gonghui/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "gonghui/PtlOpen/ResOpen": {
            "type": "Reference",
            "target": "gonghui/type/gonghuiBase"
        },
        "gonghui/PtlTanHe/ReqTanHe": {
            "type": "Interface"
        },
        "gonghui/PtlTanHe/ResTanHe": {
            "type": "Interface"
        },
        "gonghui/PtlTaskOpen/ReqTaskOpen": {
            "type": "Interface"
        },
        "gonghui/PtlTaskOpen/ResTaskOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "ghRec",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "myRec",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "progress",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "gonghui/PtlTaskReceive/ReqTaskReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "gh"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "my"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "gonghui/PtlTaskReceive/ResTaskReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "gonghui/PtlUpWz/ReqUpWz": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "gonghui/PtlUpWz/ResUpWz": {
            "type": "Interface"
        },
        "gonghuibaozang/PtlLottery/ReqLottery": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 10
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "gonghuibaozang/PtlLottery/ResLottery": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "changeData",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "gonghuibaozang/PtlOpen/ResOpen"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "gonghuibaozang/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "cjlog",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "prize",
                                    "type": {
                                        "type": "Array",
                                        "elementType": {
                                            "type": "Reference",
                                            "target": "type/prizeType"
                                        }
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "name",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "uid",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 3,
                                    "name": "ctime",
                                    "type": {
                                        "type": "Number"
                                    }
                                },
                                {
                                    "id": 4,
                                    "name": "_id",
                                    "type": {
                                        "type": "String"
                                    },
                                    "optional": true
                                }
                            ]
                        }
                    }
                }
            ]
        },
        "gonghuibaozang/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "gonglukuangbiao/PtlBuy/ReqBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "gonglukuangbiao/PtlBuy/ResBuy": {
            "type": "Interface"
        },
        "gonglukuangbiao/PtlFight/ReqFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "gonglukuangbiao/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "gonglukuangbiao/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "gonglukuangbiao/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "toDayWin",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "toDayBuyNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "toDayUseNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "enemys",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Intersection",
                            "members": [
                                {
                                    "id": 0,
                                    "type": {
                                        "type": "Reference",
                                        "target": "../fightControl/fightType/joinFightData"
                                    }
                                },
                                {
                                    "id": 1,
                                    "type": {
                                        "type": "Interface",
                                        "properties": [
                                            {
                                                "id": 0,
                                                "name": "wanted",
                                                "type": {
                                                    "type": "Number"
                                                },
                                                "optional": true
                                            }
                                        ]
                                    }
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "wanted",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "toDayBeiFightNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "gonglukuangbiao/PtlRefresh/ReqRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "free",
                    "type": {
                        "type": "Boolean"
                    }
                }
            ]
        },
        "gonglukuangbiao/PtlRefresh/ResRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "enemys",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Intersection",
                            "members": [
                                {
                                    "id": 0,
                                    "type": {
                                        "type": "Reference",
                                        "target": "../fightControl/fightType/joinFightData"
                                    }
                                },
                                {
                                    "id": 1,
                                    "type": {
                                        "type": "Interface",
                                        "properties": [
                                            {
                                                "id": 0,
                                                "name": "wanted",
                                                "type": {
                                                    "type": "Number"
                                                },
                                                "optional": true
                                            }
                                        ]
                                    }
                                }
                            ]
                        }
                    }
                }
            ]
        },
        "gongyu/mingdao/PtlActive/ReqActive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "gongyu/mingdao/PtlActive/ResActive": {
            "type": "Interface"
        },
        "gongyu/mingdao/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "gongyu/mingdao/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "pre",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "recPrize",
                                        "type": {
                                            "type": "Array",
                                            "elementType": {
                                                "type": "String"
                                            }
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "taskFinished",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "gongyu/mingdao/PtlRecPrize/ReqRecPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "recId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "gongyu/mingdao/PtlRecPrize/ResRecPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "gongyu/mingdao/PtlRepair/ReqRepair": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "num",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 10
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "gongyu/mingdao/PtlRepair/ResRepair": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "multiple",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "pre",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "gongyu/xunlianjihua/PtlReset/ReqReset": {
            "type": "Interface"
        },
        "gongyu/xunlianjihua/PtlReset/ResReset": {
            "type": "Interface"
        },
        "gongyu/xunlianjihua/PtlUpSkill/ReqUpSkill": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "skillId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "gongyu/xunlianjihua/PtlUpSkill/ResUpSkill": {
            "type": "Interface"
        },
        "gongyu/zuozhanjihua/PtlSetSkill/ReqSetSkill": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "1",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "2",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "3",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "4",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "gongyu/zuozhanjihua/PtlSetSkill/ResSetSkill": {
            "type": "Interface"
        },
        "hbzb/jfs/PtlBuyNum/ReqBuyNum": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "hbzb/jfs/PtlBuyNum/ResBuyNum": {
            "type": "Interface"
        },
        "hbzb/jfs/PtlFight/ReqFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "hbzb/jfs/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "hbzb/jfs/PtlOpen/ResOpen"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 2,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "hbzb/jfs/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "winNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "winRecPrize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "useFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "buyFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "useRefreshNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "enemy",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "data",
                                    "type": {
                                        "type": "Reference",
                                        "target": "../fightControl/fightType/joinFightData"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "jifen",
                                    "type": {
                                        "type": "Number"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "result",
                                    "type": {
                                        "type": "Union",
                                        "members": [
                                            {
                                                "id": 0,
                                                "type": {
                                                    "type": "Literal",
                                                    "literal": null
                                                }
                                            },
                                            {
                                                "id": 1,
                                                "type": {
                                                    "type": "Number"
                                                }
                                            }
                                        ]
                                    }
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 6,
                    "name": "rank",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "jifen",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "hbzb/jfs/PtlGetLog/ReqGetLog": {
            "type": "Interface"
        },
        "hbzb/jfs/PtlGetLog/ResGetLog": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "../fightControl/fightType/fightResult"
            }
        },
        "hbzb/jfs/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "hbzb/jfs/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "hbzb/jfs/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "hbzb/jfs/PtlRefresh/ReqRefresh": {
            "type": "Interface"
        },
        "hbzb/jfs/PtlRefresh/ResRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "hbzb/jfs/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "hbzb/PtlGetStatus/ReqGetStatus": {
            "type": "Interface"
        },
        "hbzb/PtlGetStatus/ResGetStatus": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "endTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "hbzb/zbs/PtlBuyNum/ReqBuyNum": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "hbzb/zbs/PtlBuyNum/ResBuyNum": {
            "type": "Interface"
        },
        "hbzb/zbs/PtlFight/ReqFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "hbzb/zbs/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "hbzb/zbs/PtlOpen/ResOpen"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 2,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "hbzb/zbs/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "winNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "winRecPrize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "useFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "buyFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "enemy",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "data",
                                    "type": {
                                        "type": "Reference",
                                        "target": "../fightControl/fightType/joinFightData"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "rank",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "rank",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "failCd",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "hbzb/zbs/PtlGetLog/ReqGetLog": {
            "type": "Interface"
        },
        "hbzb/zbs/PtlGetLog/ResGetLog": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "../fightControl/fightType/fightResult"
            }
        },
        "hbzb/zbs/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "hbzb/zbs/PtlRefresh/ReqRefresh": {
            "type": "Interface"
        },
        "hbzb/zbs/PtlRefresh/ResRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "enemy",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "data",
                                    "type": {
                                        "type": "Reference",
                                        "target": "../fightControl/fightType/joinFightData"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "rank",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "rank",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "hero/PtlAwake/ReqAwake": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "hero/PtlAwake/ResAwake": {
            "type": "Interface"
        },
        "hero/PtlChangePos/ReqChangePos": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "state",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "set"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "change"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "pos",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "hero/PtlChangePos/ResChangePos": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "String"
                }
            }
        },
        "hero/PtlGetList/ReqGetList": {
            "type": "Interface"
        },
        "hero/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Intersection",
                                "members": [
                                    {
                                        "id": 0,
                                        "type": {
                                            "type": "Interface",
                                            "properties": [
                                                {
                                                    "id": 0,
                                                    "name": "_id",
                                                    "type": {
                                                        "type": "String"
                                                    }
                                                },
                                                {
                                                    "id": 1,
                                                    "name": "heroId",
                                                    "type": {
                                                        "type": "Union",
                                                        "members": [
                                                            {
                                                                "id": 0,
                                                                "type": {
                                                                    "type": "String"
                                                                }
                                                            },
                                                            {
                                                                "id": 1,
                                                                "type": {
                                                                    "type": "Number"
                                                                }
                                                            }
                                                        ]
                                                    }
                                                },
                                                {
                                                    "id": 2,
                                                    "name": "lv",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                },
                                                {
                                                    "id": 3,
                                                    "name": "jieji",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                },
                                                {
                                                    "id": 4,
                                                    "name": "getTime",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                }
                                            ]
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "type": {
                                            "type": "Partial",
                                            "target": {
                                                "type": "Reference",
                                                "target": "hero/PtlGetList/heroAddKey"
                                            }
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "pos",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "lshd",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "gbzj",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Boolean"
                            }
                        }
                    }
                }
            ]
        },
        "hero/PtlGetList/heroAddKey": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "equip",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "zhanli",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "weapon",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "jieji",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "star",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 2,
                                "name": "starProbability",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "shiwu",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "type/heroShiWu"
                            }
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "qiannneg",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "awake",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "talent",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 7,
                    "name": "peijian",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                }
            ]
        },
        "type/heroShiWu": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "target": {
                            "type": "IndexedAccess",
                            "index": "",
                            "objectType": {
                                "type": "IndexedAccess",
                                "index": "list",
                                "objectType": {
                                    "type": "Reference",
                                    "target": "shiwu/PtlGetList/ResGetList"
                                }
                            }
                        },
                        "keys": [
                            "_id",
                            "jichu",
                            "fujia",
                            "zhuanshu"
                        ],
                        "type": "Pick"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "shiwuId",
                                "type": {
                                    "type": "String"
                                },
                                "optional": true
                            },
                            {
                                "id": 1,
                                "name": "colour",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    }
                }
            ]
        },
        "shiwu/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "_id",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "colour",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 2,
                                        "name": "shiwuId",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 3,
                                        "name": "wearId",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 4,
                                        "name": "jichu",
                                        "type": {
                                            "type": "Array",
                                            "elementType": {
                                                "type": "Union",
                                                "members": [
                                                    {
                                                        "id": 0,
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ]
                                            }
                                        }
                                    },
                                    {
                                        "id": 5,
                                        "name": "fujia",
                                        "type": {
                                            "type": "Array",
                                            "elementType": {
                                                "type": "Interface",
                                                "properties": [
                                                    {
                                                        "id": 0,
                                                        "name": "colour",
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "name": "buffKey",
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 2,
                                                        "name": "buffVal",
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ]
                                            }
                                        }
                                    },
                                    {
                                        "id": 6,
                                        "name": "zhuanshu",
                                        "type": {
                                            "type": "Interface",
                                            "properties": [
                                                {
                                                    "id": 0,
                                                    "name": "hero",
                                                    "type": {
                                                        "type": "String"
                                                    }
                                                },
                                                {
                                                    "id": 1,
                                                    "name": "buff",
                                                    "type": {
                                                        "type": "Tuple",
                                                        "elementTypes": [
                                                            {
                                                                "type": "String"
                                                            },
                                                            {
                                                                "type": "Number"
                                                            }
                                                        ]
                                                    },
                                                    "optional": true
                                                },
                                                {
                                                    "id": 2,
                                                    "name": "skill",
                                                    "type": {
                                                        "type": "String"
                                                    },
                                                    "optional": true
                                                }
                                            ]
                                        },
                                        "optional": true
                                    }
                                ]
                            }
                        }
                    }
                }
            ]
        },
        "hero/PtlJinJie/ReqJinJie": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "idArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "hero/PtlJinJie/ResJinJie": {
            "type": "Interface"
        },
        "hero/PtlLvUp/ReqLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "up",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "hero/PtlLvUp/ResLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "hero/PtlPotency/ReqPotency": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "hero/PtlPotency/ResPotency": {
            "type": "Interface"
        },
        "hero/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "heroId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "hero/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "hero/PtlReset/ReqReset": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_ids",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "qs"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "cz"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": "yl"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "hero/PtlReset/ResReset": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "hero/PtlTalent/ReqTalent": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "hero/PtlTalent/ResTalent": {
            "type": "Interface"
        },
        "hero/PtlWeaponUp/ReqWeaponUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "jieji"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "star"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "hero/PtlWeaponUp/ResWeaponUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "starFail",
                    "type": {
                        "type": "Boolean"
                    },
                    "optional": true
                }
            ]
        },
        "hongdian/PtlGet/ReqGet": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "hongdian/PtlGet/hongdianKey"
            }
        },
        "hongdian/PtlGet/hongdianKey": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Literal",
                        "literal": "jiuba"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Literal",
                        "literal": "jiaotang"
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Literal",
                        "literal": "shouchong"
                    }
                },
                {
                    "id": 3,
                    "type": {
                        "type": "Literal",
                        "literal": "dixiaqianzhuanghd"
                    }
                },
                {
                    "id": 4,
                    "type": {
                        "type": "Literal",
                        "literal": "taskhd"
                    }
                },
                {
                    "id": 5,
                    "type": {
                        "type": "Literal",
                        "literal": "xstaskhd"
                    }
                },
                {
                    "id": 6,
                    "type": {
                        "type": "Literal",
                        "literal": "gonghuihd"
                    }
                },
                {
                    "id": 7,
                    "type": {
                        "type": "Literal",
                        "literal": "jjchd"
                    }
                },
                {
                    "id": 8,
                    "type": {
                        "type": "Literal",
                        "literal": "hbzbhd"
                    }
                },
                {
                    "id": 9,
                    "type": {
                        "type": "Literal",
                        "literal": "clslhd"
                    }
                },
                {
                    "id": 10,
                    "type": {
                        "type": "Literal",
                        "literal": "lingzhulaixihd"
                    }
                },
                {
                    "id": 11,
                    "type": {
                        "type": "Literal",
                        "literal": "dxlthd"
                    }
                },
                {
                    "id": 12,
                    "type": {
                        "type": "Literal",
                        "literal": "wzcjhd"
                    }
                },
                {
                    "id": 13,
                    "type": {
                        "type": "Literal",
                        "literal": "slzdhd"
                    }
                },
                {
                    "id": 14,
                    "type": {
                        "type": "Literal",
                        "literal": "qjzzdhd"
                    }
                },
                {
                    "id": 15,
                    "type": {
                        "type": "Literal",
                        "literal": "kuangdonghd"
                    }
                },
                {
                    "id": 16,
                    "type": {
                        "type": "Literal",
                        "literal": "qiandaohd"
                    }
                },
                {
                    "id": 17,
                    "type": {
                        "type": "Literal",
                        "literal": "kaifukuanghuanhd"
                    }
                },
                {
                    "id": 18,
                    "type": {
                        "type": "Literal",
                        "literal": "jijinhd"
                    }
                },
                {
                    "id": 19,
                    "type": {
                        "type": "Literal",
                        "literal": "zhuishalinghd"
                    }
                },
                {
                    "id": 20,
                    "type": {
                        "type": "Literal",
                        "literal": "yibaichouhd"
                    }
                },
                {
                    "id": 21,
                    "type": {
                        "type": "Literal",
                        "literal": "huobanzhaomuhd"
                    }
                },
                {
                    "id": 22,
                    "type": {
                        "type": "Literal",
                        "literal": "qirileichonghd"
                    }
                },
                {
                    "id": 23,
                    "type": {
                        "type": "Literal",
                        "literal": "jierihd"
                    }
                },
                {
                    "id": 24,
                    "type": {
                        "type": "Literal",
                        "literal": "kbzzhd"
                    }
                },
                {
                    "id": 25,
                    "type": {
                        "type": "Literal",
                        "literal": "wzryhd"
                    }
                },
                {
                    "id": 26,
                    "type": {
                        "type": "Literal",
                        "literal": "yuedujijin"
                    }
                },
                {
                    "id": 27,
                    "type": {
                        "type": "Literal",
                        "literal": "patahd"
                    }
                },
                {
                    "id": 28,
                    "type": {
                        "type": "Literal",
                        "literal": "mingdao"
                    }
                },
                {
                    "id": 29,
                    "type": {
                        "type": "Literal",
                        "literal": "heishihd"
                    }
                },
                {
                    "id": 30,
                    "type": {
                        "type": "Literal",
                        "literal": "jitianhaoli"
                    }
                },
                {
                    "id": 31,
                    "type": {
                        "type": "Literal",
                        "literal": "huodonghd"
                    }
                },
                {
                    "id": 32,
                    "type": {
                        "type": "Literal",
                        "literal": "renown"
                    }
                },
                {
                    "id": 33,
                    "type": {
                        "type": "Literal",
                        "literal": "heishiMrjx"
                    }
                },
                {
                    "id": 34,
                    "type": {
                        "type": "Literal",
                        "literal": "weixiuchang"
                    }
                },
                {
                    "id": 35,
                    "type": {
                        "type": "Literal",
                        "literal": "kaifujingsai"
                    }
                },
                {
                    "id": 36,
                    "type": {
                        "type": "Literal",
                        "literal": "zhoumolibao"
                    }
                },
                {
                    "id": 37,
                    "type": {
                        "type": "Literal",
                        "literal": "pobinglibao"
                    }
                },
                {
                    "id": 38,
                    "type": {
                        "type": "Literal",
                        "literal": "payForDiamond"
                    }
                },
                {
                    "id": 39,
                    "type": {
                        "type": "Literal",
                        "literal": "leichonglibao"
                    }
                }
            ]
        },
        "hongdian/PtlGet/ResGet": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Reference",
                    "target": "hongdian/PtlGet/hongdianVal"
                }
            }
        },
        "hongdian/PtlGet/hongdianVal": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "show",
                    "type": {
                        "type": "Boolean"
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "val",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "item/PtlGetList/ReqGetList": {
            "type": "Interface"
        },
        "item/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "_id",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "num",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 2,
                                        "name": "itemId",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 3,
                                        "name": "lastTime",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 4,
                                        "name": "firstTime",
                                        "type": {
                                            "type": "Number"
                                        }
                                    }
                                ]
                            }
                        }
                    }
                }
            ]
        },
        "item/PtlUse/ReqUse": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "itemId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "useNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "selectIndex",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "item/PtlUse/ResUse": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "jiaotang/PtlLottery/ReqLottery": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 10
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "jiaotang/PtlLottery/ResLottery": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "changeData",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "jiaotang/PtlOpen/ResOpen"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "jiaotang/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "freeTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "oneNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "tenNum",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "jiaotang/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "jiuba/PtlLottery/ReqLottery": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 10
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": 30
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "jiuba/PtlLottery/ResLottery": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "changeData",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "jiuba/PtlOpen/ResOpen"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "jiuba/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "freeTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "oneNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "tenNum",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "jiuba/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "jjc/PtlBuyFightNum/ReqBuyFightNum": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "jjc/PtlBuyFightNum/ResBuyFightNum": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Reference",
                        "target": "jjc/PtlOpen/jjcChange"
                    }
                }
            ]
        },
        "jjc/PtlOpen/jjcChange": {
            "type": "Partial",
            "target": {
                "type": "Reference",
                "target": "jjc/PtlOpen/ResOpen"
            }
        },
        "jjc/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "buyFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "useFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "receivedArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "resetTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "rank",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "enemy",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/rankInfo"
                        }
                    }
                },
                {
                    "id": 6,
                    "name": "recordWin",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "type/rankInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "rank",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "player",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "IndexedAccess",
                            "index": "gud",
                            "objectType": {
                                "type": "Reference",
                                "target": "user/PtlLogin/ResLogin"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "roles",
                    "type": {
                        "type": "IndexedAccess",
                        "index": "roles",
                        "objectType": {
                            "type": "Reference",
                            "target": "../fightControl/fightType/joinFightData"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 3,
                    "name": "valArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Any"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 4,
                    "name": "otherData",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 5,
                    "name": "utime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "jjc/PtlFight/ReqFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "jjc/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Reference",
                        "target": "jjc/PtlOpen/jjcChange"
                    }
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 2,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "jjc/PtlFightLog/ReqFightLog": {
            "type": "Interface"
        },
        "jjc/PtlFightLog/ResFightLog": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "../fightControl/fightType/fightResult"
            }
        },
        "jjc/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "jjc/PtlReceive/ReqReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "jjc/PtlReceive/ResReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Reference",
                        "target": "jjc/PtlOpen/jjcChange"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "jjc/PtlRefresh/ReqRefresh": {
            "type": "Interface"
        },
        "jjc/PtlRefresh/ResRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "enemy",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/rankInfo"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "rank",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kaifujingsai/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "page",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "offset",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "type",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "kaifujingsai/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "conf",
                    "type": {
                        "type": "Any"
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "rankList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/rankInfo"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "myRank",
                    "type": {
                        "type": "Reference",
                        "target": "type/rankInfo"
                    }
                },
                {
                    "id": 3,
                    "name": "endTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "record",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "kaifujingsai/PtlReceive/ReqReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kaifujingsai/PtlReceive/ResReceive": {
            "type": "Interface"
        },
        "kbzz/PtlApply/ReqApply": {
            "type": "Interface"
        },
        "kbzz/PtlApply/ResApply": {
            "type": "Interface"
        },
        "kbzz/PtlAutoApply/ReqAutoApply": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "auto",
                    "type": {
                        "type": "Boolean"
                    }
                }
            ]
        },
        "kbzz/PtlAutoApply/ResAutoApply": {
            "type": "Interface"
        },
        "kbzz/PtlBuyNum/ReqBuyNum": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kbzz/PtlBuyNum/ResBuyNum": {
            "type": "Interface"
        },
        "kbzz/PtlFight/ReqFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uids",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "kbzz/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "../fightControl/fightType/fightResult"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "kbzz/PtlOpen/eventCycle"
                        }
                    }
                }
            ]
        },
        "kbzz/PtlOpen/eventCycle": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "fightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "buyFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "score",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "toDayScore",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "recScorePrize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "enemy",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "info",
                                    "type": {
                                        "type": "Reference",
                                        "target": "../fightControl/fightType/joinFightData"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "troop",
                                    "type": {
                                        "type": "Number"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "result",
                                    "type": {
                                        "type": "Union",
                                        "members": [
                                            {
                                                "id": 0,
                                                "type": {
                                                    "type": "Number"
                                                }
                                            },
                                            {
                                                "id": 1,
                                                "type": {
                                                    "type": "Literal",
                                                    "literal": null
                                                }
                                            }
                                        ]
                                    }
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 6,
                    "name": "troop",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "group",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kbzz/PtlFightLog/ReqFightLog": {
            "type": "Interface"
        },
        "kbzz/PtlFightLog/ResFightLog": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "../fightControl/fightType/fightResult"
            }
        },
        "kbzz/PtlGroupState/ReqGroupState": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "group",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "troop",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kbzz/PtlGroupState/ResGroupState": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "rank",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "troop",
                                    "type": {
                                        "type": "Number"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "score",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "log",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "player",
                                    "type": {
                                        "type": "Array",
                                        "elementType": {
                                            "type": "Partial",
                                            "target": {
                                                "type": "Reference",
                                                "target": "user/type/player"
                                            }
                                        }
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "troop",
                                    "type": {
                                        "type": "Array",
                                        "elementType": {
                                            "type": "Number"
                                        }
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "winSide",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ]
                        }
                    }
                }
            ]
        },
        "kbzz/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "kbzz/PtlOpen/ResOpen": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Reference",
                        "target": "kbzz/PtlOpen/apply"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Reference",
                        "target": "kbzz/PtlOpen/applyEnd"
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Reference",
                        "target": "kbzz/PtlOpen/eventCycle"
                    }
                }
            ]
        },
        "kbzz/PtlOpen/apply": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "apply",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 1,
                    "name": "autoApply",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 2,
                    "name": "state",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "num",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "succ",
                                "type": {
                                    "type": "Boolean"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "kbzz/PtlOpen/applyEnd": {
            "type": "Reference",
            "target": "kbzz/PtlOpen/apply"
        },
        "kbzz/PtlRecPrize/ReqRecPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kbzz/PtlRecPrize/ResRecPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "kbzz/PtlRefresh/ReqRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "group",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "troop",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kbzz/PtlRefresh/ResRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "enemy",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "info",
                                    "type": {
                                        "type": "Reference",
                                        "target": "../fightControl/fightType/joinFightData"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "troop",
                                    "type": {
                                        "type": "Number"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "result",
                                    "type": {
                                        "type": "Union",
                                        "members": [
                                            {
                                                "id": 0,
                                                "type": {
                                                    "type": "Number"
                                                }
                                            },
                                            {
                                                "id": 1,
                                                "type": {
                                                    "type": "Literal",
                                                    "literal": null
                                                }
                                            }
                                        ]
                                    }
                                }
                            ]
                        }
                    }
                }
            ]
        },
        "kuangdong/PtlAddPkNum/ReqAddPkNum": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "area",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 2
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": 3
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "kuangdong/PtlAddPkNum/ResAddPkNum": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "kuangdong/PtlOpen/KuangDongCiShuInfo"
                    }
                }
            ]
        },
        "kuangdong/PtlOpen/KuangDongCiShuInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "eara",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "buynum",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "time",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kuangdong/PtlGetPrize/ReqGetPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kuangdong/PtlGetPrize/ResGetPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "kuangdong/PtlKdInfo/ReqKdInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kuangdong/PtlKdInfo/ResKdInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "kdinfo",
                    "type": {
                        "type": "Reference",
                        "target": "kuangdong/PtlOpen/KuangDongKuang"
                    }
                },
                {
                    "id": 1,
                    "name": "userinfo",
                    "type": {
                        "type": "Reference",
                        "target": "kuangdong/PtlOpen/KuangDongKaiCaiListTmp"
                    },
                    "optional": true
                }
            ]
        },
        "kuangdong/PtlOpen/KuangDongKuang": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "ctime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "etime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "yanshi",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "kdtype",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "ttl",
                    "type": {
                        "type": "Date"
                    }
                },
                {
                    "id": 7,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 8,
                    "name": "userinfo",
                    "type": {
                        "type": "Reference",
                        "target": "kuangdong/PtlOpen/KuangDongKaiCaiListTmp"
                    },
                    "optional": true
                }
            ]
        },
        "kuangdong/PtlOpen/KuangDongKaiCaiListTmp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "headFrame",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Interface",
                                    "properties": [
                                        {
                                            "id": 0,
                                            "name": "id",
                                            "type": {
                                                "type": "String"
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "name": "time",
                                            "type": {
                                                "type": "Number"
                                            }
                                        }
                                    ]
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "head",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Interface",
                                    "properties": [
                                        {
                                            "id": 0,
                                            "name": "id",
                                            "type": {
                                                "type": "String"
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "name": "time",
                                            "type": {
                                                "type": "Number"
                                            }
                                        }
                                    ]
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 2,
                    "name": "ghId",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "ghName",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "power",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "fight",
                    "type": {
                        "type": "Interface"
                    },
                    "optional": true
                }
            ]
        },
        "kuangdong/PtlLog/ReqLog": {
            "type": "Interface"
        },
        "kuangdong/PtlLog/ResLog": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "kuangdonglog",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "kuangdong/PtlOpen/KuangDongKaiCailog"
                        }
                    }
                }
            ]
        },
        "kuangdong/PtlOpen/KuangDongKaiCailog": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "touid",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 4,
                    "name": "toname",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 5,
                    "name": "ctime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "msgtype",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 2
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": 3
                                }
                            },
                            {
                                "id": 3,
                                "type": {
                                    "type": "Literal",
                                    "literal": 4
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 7,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 8,
                    "name": "longtime",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kuangdong/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "kuangdong/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "kuangdong/PtlOpen/KuangDongCiShuInfo"
                    }
                },
                {
                    "id": 1,
                    "name": "kdList",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "kuangdong/PtlOpen/KuangDongKaiCaiList"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "kuangdong/PtlOpen/KuangDongKaiCaiList": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "userinfo",
                                "type": {
                                    "type": "Reference",
                                    "target": "kuangdong/PtlOpen/KuangDongKaiCaiListTmp"
                                },
                                "optional": true
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Reference",
                        "target": "kuangdong/PtlOpen/KuangDongKuang"
                    }
                }
            ]
        },
        "kuangdong/PtlYanShi/ReqYanShi": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kuangdong/PtlYanShi/ResYanShi": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "kdinfo",
                    "type": {
                        "type": "Reference",
                        "target": "kuangdong/PtlOpen/KuangDongKuang"
                    }
                }
            ]
        },
        "kuangdong/PtlZhanLing/ReqZhanLing": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hdid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "kuangdong/PtlZhanLing/ResZhanLing": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "kuangdong/PtlOpen/KuangDongCiShuInfo"
                    }
                },
                {
                    "id": 2,
                    "name": "kdInfo",
                    "type": {
                        "type": "Reference",
                        "target": "kuangdong/PtlOpen/KuangDongKuang"
                    },
                    "optional": true
                }
            ]
        },
        "lingzhulaixi/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "lingzhulaixi/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "lingzhulaixi/PtlOpen/lingzhulaixi_CiSHU"
                    }
                },
                {
                    "id": 1,
                    "name": "bosslist",
                    "type": {
                        "type": "Reference",
                        "target": "lingzhulaixi/PtlOpen/lingzhulaixi_BossList"
                    }
                }
            ]
        },
        "lingzhulaixi/PtlOpen/lingzhulaixi_CiSHU": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "time",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "maxdps",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "lingzhulaixi/PtlOpen/lingzhulaixi_BossList": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Interface",
                    "properties": [
                        {
                            "id": 0,
                            "name": "bid",
                            "type": {
                                "type": "String"
                            }
                        },
                        {
                            "id": 1,
                            "name": "passtime",
                            "type": {
                                "type": "Number"
                            }
                        },
                        {
                            "id": 2,
                            "name": "maxhp",
                            "type": {
                                "type": "Number"
                            }
                        },
                        {
                            "id": 3,
                            "name": "delhp",
                            "type": {
                                "type": "Number"
                            }
                        },
                        {
                            "id": 4,
                            "name": "pkusernum",
                            "type": {
                                "type": "Number"
                            }
                        }
                    ]
                }
            }
        },
        "lingzhulaixi/PtlPkBoss/ReqPkBoss": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "bid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "lingzhulaixi/PtlPkBoss/ResPkBoss": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "lingzhulaixi/PtlOpen/lingzhulaixi_CiSHU"
                    }
                },
                {
                    "id": 3,
                    "name": "bossdata",
                    "type": {
                        "type": "Reference",
                        "target": "lingzhulaixi/PtlOpen/lingzhulaixi_BOSSmmMoRenZhi"
                    }
                }
            ]
        },
        "lingzhulaixi/PtlOpen/lingzhulaixi_BOSSmmMoRenZhi": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "bid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "ctime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "passtime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "maxhp",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "pkuser",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "delhp",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "randusernum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                }
            ]
        },
        "lingzhulaixi/PtlPkRank/ReqPkRank": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "bid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "lingzhulaixi/PtlPkRank/ResPkRank": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "bossdata",
                    "type": {
                        "type": "Reference",
                        "target": "lingzhulaixi/PtlOpen/lingzhulaixi_BOSSmmMoRenZhi"
                    }
                },
                {
                    "id": 1,
                    "name": "userdps",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "ranklist",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "userinfo",
                                    "type": {
                                        "type": "Reference",
                                        "target": "kuangdong/PtlOpen/KuangDongKaiCaiListTmp"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "uid",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "maxdps",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ]
                        }
                    }
                }
            ]
        },
        "lingzhulaixi/PtlSaoDang/ReqSaoDang": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "bid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "lingzhulaixi/PtlSaoDang/ResSaoDang": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "lingzhulaixi/PtlOpen/lingzhulaixi_CiSHU"
                    }
                },
                {
                    "id": 2,
                    "name": "bossdata",
                    "type": {
                        "type": "Reference",
                        "target": "lingzhulaixi/PtlOpen/lingzhulaixi_BOSSmmMoRenZhi"
                    }
                }
            ]
        },
        "meirishilian/PtlBuy/ReqBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "difficulty",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "meirishilian/PtlBuy/ResBuy": {
            "type": "Interface"
        },
        "meirishilian/PtlFight/ReqFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "difficulty",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "meirishilian/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "meirishilian/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "meirishilian/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "useFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "buyFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "recordWin",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            }
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "numInfo",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "Interface",
                                        "properties": [
                                            {
                                                "id": 0,
                                                "name": "useFightNum",
                                                "type": {
                                                    "type": "Number"
                                                },
                                                "optional": true
                                            },
                                            {
                                                "id": 1,
                                                "name": "buyFightNum",
                                                "type": {
                                                    "type": "Number"
                                                },
                                                "optional": true
                                            }
                                        ]
                                    }
                                }
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "msg_c2s/MsgBindUid/MsgBindUid": {
            "type": "Reference",
            "target": "user/type/player"
        },
        "msg_c2s/MsgPay/MsgPay": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "args",
                    "type": {
                        "type": "Any"
                    },
                    "optional": true
                }
            ]
        },
        "msg_c2s/MsgSync/MsgSync": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Any"
                }
            }
        },
        "msg_s2c/MsgChatHelp/MsgChatHelp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "change",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "uid",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "cTime",
                                    "type": {
                                        "type": "Number"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "pushUid",
                                    "type": {
                                        "type": "String"
                                    }
                                }
                            ]
                        }
                    }
                }
            ]
        },
        "msg_s2c/MsgCollection/MsgCollection": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Any"
                }
            }
        },
        "msg_s2c/MsgEmail/MsgEmail": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "system"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "gm"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "title",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "content",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "createTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "prizeData",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "prize",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Reference",
                                        "target": "type/prizeType"
                                    }
                                }
                            },
                            {
                                "id": 1,
                                "name": "isGet",
                                "type": {
                                    "type": "Boolean"
                                }
                            }
                        ]
                    },
                    "optional": true
                },
                {
                    "id": 7,
                    "name": "contentInsertArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Any"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 8,
                    "name": "prizelist",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 9,
                    "name": "dellist",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 10,
                    "name": "g123log",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 11,
                    "name": "lngTitle",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 12,
                    "name": "lngContent",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 13,
                    "name": "sid",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                }
            ]
        },
        "msg_s2c/MsgEmailDel/MsgEmailDel": {
            "type": "String"
        },
        "msg_s2c/MsgEquipChange/MsgEquipChange": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Intersection",
                    "members": [
                        {
                            "id": 0,
                            "type": {
                                "type": "Partial",
                                "target": {
                                    "type": "IndexedAccess",
                                    "index": "",
                                    "objectType": {
                                        "type": "IndexedAccess",
                                        "index": "list",
                                        "objectType": {
                                            "type": "Reference",
                                            "target": "equip/PtlGetList/ResGetList"
                                        }
                                    }
                                }
                            }
                        },
                        {
                            "id": 1,
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "num",
                                        "type": {
                                            "type": "Number"
                                        },
                                        "optional": true
                                    }
                                ]
                            }
                        }
                    ]
                }
            }
        },
        "msg_s2c/MsgFriend/MsgFriend": {
            "type": "Partial",
            "target": {
                "type": "Reference",
                "target": "friend/PtlOpen/ResOpen"
            }
        },
        "msg_s2c/MsgGhChange/MsgGhChange": {
            "type": "Partial",
            "target": {
                "type": "Reference",
                "target": "gonghui/type/gonghuiBase"
            }
        },
        "msg_s2c/MsgGongHuiBaoZang/MsgGongHuiBaoZang": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "gonghuibaozang/PtlLottery/GongHuiBaoZangMsg"
            }
        },
        "gonghuibaozang/PtlLottery/GongHuiBaoZangMsg": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "ctime",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "msg_s2c/MsgHeroChange/MsgHeroChange": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Intersection",
                    "members": [
                        {
                            "id": 0,
                            "type": {
                                "type": "Partial",
                                "target": {
                                    "type": "IndexedAccess",
                                    "index": "",
                                    "objectType": {
                                        "type": "IndexedAccess",
                                        "index": "list",
                                        "objectType": {
                                            "type": "Reference",
                                            "target": "hero/PtlGetList/ResGetList"
                                        }
                                    }
                                }
                            }
                        },
                        {
                            "id": 1,
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "num",
                                        "type": {
                                            "type": "Number"
                                        },
                                        "optional": true
                                    }
                                ]
                            }
                        }
                    ]
                }
            }
        },
        "msg_s2c/MsgHongDianChange/MsgHongDianChange": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "hongdian/PtlGet/hongdianKey"
            }
        },
        "msg_s2c/MsgItemChange/MsgItemChange": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Intersection",
                    "members": [
                        {
                            "id": 0,
                            "type": {
                                "type": "Partial",
                                "target": {
                                    "type": "IndexedAccess",
                                    "index": "",
                                    "objectType": {
                                        "type": "IndexedAccess",
                                        "index": "list",
                                        "objectType": {
                                            "type": "Reference",
                                            "target": "item/PtlGetList/ResGetList"
                                        }
                                    }
                                }
                            }
                        },
                        {
                            "id": 1,
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "num",
                                        "type": {
                                            "type": "Number"
                                        },
                                        "optional": true
                                    }
                                ]
                            }
                        }
                    ]
                }
            }
        },
        "msg_s2c/MsgLoginQueue/MsgLoginQueue": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "delay",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "msg_s2c/MsgLshdChange/MsgLshdChange": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Interface",
                    "indexSignature": {
                        "keyType": "String",
                        "type": {
                            "type": "Number"
                        }
                    }
                }
            }
        },
        "msg_s2c/MsgNewDay/MsgNewDay": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Any"
                }
            }
        },
        "msg_s2c/MsgOtherLogin/MsgOtherLogin": {
            "type": "String"
        },
        "msg_s2c/MsgPayChange/MsgPayChange": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Array",
                    "elementType": {
                        "type": "Reference",
                        "target": "pay/PtlGetList/payLog"
                    }
                }
            }
        },
        "pay/PtlGetList/payLog": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "time",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "eTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "user"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "system"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": "legu"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "args",
                    "type": {
                        "type": "Any"
                    },
                    "optional": true
                },
                {
                    "id": 4,
                    "name": "popup_id",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 5,
                    "name": "buyNumber",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 6,
                    "name": "template_id",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                }
            ]
        },
        "msg_s2c/MsgPayResult/MsgPayResult": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "code",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "data",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "prize",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Reference",
                                        "target": "type/prizeType"
                                    }
                                }
                            },
                            {
                                "id": 2,
                                "name": "price",
                                "type": {
                                    "type": "Any"
                                },
                                "optional": true
                            }
                        ]
                    },
                    "optional": true
                }
            ]
        },
        "msg_s2c/MsgPeijianChange/MsgPeijianChange": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Intersection",
                    "members": [
                        {
                            "id": 0,
                            "type": {
                                "type": "Partial",
                                "target": {
                                    "type": "Reference",
                                    "target": "peijian/PtlGetList/PeiJian"
                                }
                            }
                        },
                        {
                            "id": 1,
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "num",
                                        "type": {
                                            "type": "Number"
                                        },
                                        "optional": true
                                    }
                                ]
                            }
                        }
                    ]
                }
            }
        },
        "peijian/PtlGetList/PeiJian": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "wearId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "jinglian",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "peijianId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "pos",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "msg_s2c/MsgPlayerChange/MsgPlayerChange": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Any"
                }
            }
        },
        "msg_s2c/MsgPushGiftChange/MsgPushGiftChange": {
            "type": "Number"
        },
        "msg_s2c/MsgSendGift/MsgSendGift": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Any"
                }
            }
        },
        "msg_s2c/MsgShiwuChange/MsgShiwuChange": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Intersection",
                    "members": [
                        {
                            "id": 0,
                            "type": {
                                "type": "Partial",
                                "target": {
                                    "type": "IndexedAccess",
                                    "index": "",
                                    "objectType": {
                                        "type": "IndexedAccess",
                                        "index": "list",
                                        "objectType": {
                                            "type": "Reference",
                                            "target": "shiwu/PtlGetList/ResGetList"
                                        }
                                    }
                                }
                            }
                        },
                        {
                            "id": 1,
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "num",
                                        "type": {
                                            "type": "Number"
                                        },
                                        "optional": true
                                    }
                                ]
                            }
                        }
                    ]
                }
            }
        },
        "msg_s2c/MsgTaskChange/MsgTaskChange": {
            "type": "Reference",
            "target": "task/type/taskType"
        },
        "task/type/taskType": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "retime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "stype",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "type",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "taskid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "nval",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "pval",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "finish",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 0
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 7,
                    "name": "lasttime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 8,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "msg_s2c/MsgXianshilibao/MsgXianshilibao": {
            "type": "Array",
            "elementType": {
                "type": "Interface",
                "properties": [
                    {
                        "id": 0,
                        "name": "payId",
                        "type": {
                            "type": "String"
                        }
                    },
                    {
                        "id": 1,
                        "name": "eTime",
                        "type": {
                            "type": "Number"
                        }
                    }
                ]
            }
        },
        "pata/PtlFight/ReqFight": {
            "type": "Interface"
        },
        "pata/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "pata/type/paTaType"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                }
            ]
        },
        "pata/type/paTaType": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "useNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "lastRefreshTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "gotarr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "sid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "saodangNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "pata/PtlGetPrize/ReqGetPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "idx",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "pata/PtlGetPrize/ResGetPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "pata/type/paTaType"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "pata/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "pata/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "pata/type/paTaType"
                    }
                }
            ]
        },
        "pata/PtlSaoDang/ReqSaoDang": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "pata/PtlSaoDang/ResSaoDang": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "pata/type/paTaType"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "pay/PtlGetList/ReqGetList": {
            "type": "Interface"
        },
        "pay/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "Reference",
                                    "target": "pay/PtlGetList/payLog"
                                }
                            }
                        }
                    }
                }
            ]
        },
        "peijian/PtlGetList/ReqGetList": {
            "type": "Interface"
        },
        "peijian/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "peijian/PtlGetList/PeiJian"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "lshd",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "peijian/PtlJingLian/ReqJingLian": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "p_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "peijian/PtlJingLian/ResJingLian": {
            "type": "Interface"
        },
        "peijian/PtlJinJie/ReqJinJie": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "p_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "peijian/PtlJinJie/ResJinJie": {
            "type": "Interface"
        },
        "peijian/PtlLvUp/ReqLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "p_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "num",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 5
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "peijian/PtlLvUp/ResLvUp": {
            "type": "Interface"
        },
        "peijian/PtlOneKeyLvUp/ReqOneKeyLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "heroId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "peijian/PtlOneKeyLvUp/ResOneKeyLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "sjnum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "posLvUp",
                    "type": {
                        "type": "Object"
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "allNeed",
                    "type": {
                        "type": "Any"
                    },
                    "optional": true
                }
            ]
        },
        "peijian/PtlOneKeyWear/ReqOneKeyWear": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "h_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "peijian/PtlOneKeyWear/ResOneKeyWear": {
            "type": "Interface"
        },
        "peijian/PtlReset/ReqReset": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "p_ids",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "peijian/PtlReset/ResReset": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "peijian/PtlRm/ReqRm": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "p_ids",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "peijian/PtlRm/ResRm": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "peijian/PtlTakeOff/ReqTakeOff": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "p_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "peijian/PtlTakeOff/ResTakeOff": {
            "type": "Interface"
        },
        "peijian/PtlUnLock/ReqUnLock": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "h_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "pos",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "peijian/PtlUnLock/ResUnLock": {
            "type": "Interface"
        },
        "peijian/PtlWear/ReqWear": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "h_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "p_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "pos",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "peijian/PtlWear/ResWear": {
            "type": "Interface"
        },
        "peijiancangku/PtlDeal/ReqDeal": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 10
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "peijiancangku/PtlDeal/ResDeal": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "indexs",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "peijiancangku/PtlJump/ReqJump": {
            "type": "Interface"
        },
        "peijiancangku/PtlJump/ResJump": {
            "type": "Interface"
        },
        "peijiancangku/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "peijiancangku/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "PtlBingo/ReqBingo": {
            "type": "String"
        },
        "PtlBingo/ResBingo": {
            "type": "String"
        },
        "PtlFightTest/ReqFightTest": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "player",
                    "type": {
                        "type": "Tuple",
                        "elementTypes": [
                            {
                                "type": "Partial",
                                "target": {
                                    "type": "Reference",
                                    "target": "user/type/player"
                                }
                            },
                            {
                                "type": "Partial",
                                "target": {
                                    "type": "Reference",
                                    "target": "user/type/player"
                                }
                            }
                        ]
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "roles",
                    "type": {
                        "type": "Tuple",
                        "elementTypes": [
                            {
                                "type": "Array",
                                "elementType": {
                                    "type": "Reference",
                                    "target": "PtlFightTest/args"
                                }
                            },
                            {
                                "type": "Array",
                                "elementType": {
                                    "type": "Reference",
                                    "target": "PtlFightTest/args"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "PtlFightTest/args": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "hero",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "IndexedAccess",
                            "index": "",
                            "objectType": {
                                "type": "IndexedAccess",
                                "index": "list",
                                "objectType": {
                                    "type": "Reference",
                                    "target": "hero/PtlGetList/ResGetList"
                                }
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "attr",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                }
            ]
        },
        "PtlFightTest/ResFightTest": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                }
            ]
        },
        "PtlSyncBtn/ReqSyncBtn": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "PtlSyncBtn/syncBtnKeys"
            }
        },
        "PtlSyncBtn/syncBtnKeys": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Literal",
                        "literal": "shouchong"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Literal",
                        "literal": "kaifukuanghuan"
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Reference",
                        "target": "event/jijin/PtlOpen/jijinType"
                    }
                },
                {
                    "id": 3,
                    "type": {
                        "type": "Literal",
                        "literal": "zhanling"
                    }
                },
                {
                    "id": 4,
                    "type": {
                        "type": "Literal",
                        "literal": "qiridenglu"
                    }
                },
                {
                    "id": 5,
                    "type": {
                        "type": "Literal",
                        "literal": "xianshilibao"
                    }
                },
                {
                    "id": 6,
                    "type": {
                        "type": "Literal",
                        "literal": "yibaichou"
                    }
                },
                {
                    "id": 7,
                    "type": {
                        "type": "Literal",
                        "literal": "huobanzhaomu"
                    }
                },
                {
                    "id": 8,
                    "type": {
                        "type": "Literal",
                        "literal": "xianshizhaomu"
                    }
                },
                {
                    "id": 9,
                    "type": {
                        "type": "Literal",
                        "literal": "leijichongzhi"
                    }
                },
                {
                    "id": 10,
                    "type": {
                        "type": "Literal",
                        "literal": "xinshoulibao"
                    }
                },
                {
                    "id": 11,
                    "type": {
                        "type": "Literal",
                        "literal": "jierihuodong"
                    }
                },
                {
                    "id": 12,
                    "type": {
                        "type": "Literal",
                        "literal": "yuedujijin"
                    }
                },
                {
                    "id": 13,
                    "type": {
                        "type": "Literal",
                        "literal": "zixuanlibao"
                    }
                },
                {
                    "id": 14,
                    "type": {
                        "type": "Literal",
                        "literal": "diaoluoduihuan"
                    }
                },
                {
                    "id": 15,
                    "type": {
                        "type": "Literal",
                        "literal": "chuanshuozhilu"
                    }
                },
                {
                    "id": 16,
                    "type": {
                        "type": "Literal",
                        "literal": "yangchengmubiao"
                    }
                },
                {
                    "id": 17,
                    "type": {
                        "type": "Literal",
                        "literal": "G123Gift"
                    }
                },
                {
                    "id": 18,
                    "type": {
                        "type": "Literal",
                        "literal": "christmas"
                    }
                }
            ]
        },
        "PtlSyncBtn/ResSyncBtn": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "xianshilibao",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "pays",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Interface",
                                        "properties": [
                                            {
                                                "id": 0,
                                                "name": "payId",
                                                "type": {
                                                    "type": "String"
                                                }
                                            },
                                            {
                                                "id": 1,
                                                "name": "eTime",
                                                "type": {
                                                    "type": "Number"
                                                }
                                            }
                                        ]
                                    }
                                }
                            }
                        ]
                    },
                    "optional": true
                }
            ],
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Reference",
                    "target": "PtlSyncBtn/defaultSyncBtn"
                }
            }
        },
        "PtlSyncBtn/defaultSyncBtn": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "eTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "active",
                    "type": {
                        "type": "Boolean"
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "sTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 3,
                    "name": "round",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ],
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Any"
                }
            }
        },
        "PtlTest/ReqTest": {
            "type": "Any"
        },
        "PtlTest/ResTest": {
            "type": "Any"
        },
        "pushgift/PtlItemNoEnough/ReqItemNoEnough": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "need",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "a",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "t",
                                "type": {
                                    "type": "String"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "pushgift/PtlItemNoEnough/ResItemNoEnough": {
            "type": "Interface"
        },
        "pushgift/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "pushgift/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "gifts",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "../../module/collection_pushgift/Gift"
                        }
                    }
                }
            ]
        },
        "../../module/collection_pushgift/Gift": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "buy",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "ctime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "passTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "ext_data",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "qjzzd/PtlFight/ReqFight": {
            "type": "Interface"
        },
        "qjzzd/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 1,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "qjzzd/PtlOpen/ResOpen"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "qjzzd/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "boss",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "refreshTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "useFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "rank",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "maxDps",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "qjzzd/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "rank/PtlOpen/ReqOpen": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Reference",
                        "target": "rank/PtlOpen/rankTypeObj"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "rank/PtlOpen/rankType"
                        }
                    }
                }
            ]
        },
        "rank/PtlOpen/rankTypeObj": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "rank/PtlOpen/rankType"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "page",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "offset",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "rank/PtlOpen/rankType": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Literal",
                        "literal": "jjc"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Literal",
                        "literal": "tanxian"
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Literal",
                        "literal": "zhanli"
                    }
                },
                {
                    "id": 3,
                    "type": {
                        "type": "Literal",
                        "literal": "qjzzd"
                    }
                },
                {
                    "id": 4,
                    "type": {
                        "type": "Literal",
                        "literal": "hbzbLocal"
                    }
                },
                {
                    "id": 5,
                    "type": {
                        "type": "Literal",
                        "literal": "hbzbCross"
                    }
                },
                {
                    "id": 6,
                    "type": {
                        "type": "Literal",
                        "literal": "hbzbZbsCross"
                    }
                },
                {
                    "id": 7,
                    "type": {
                        "type": "Literal",
                        "literal": "slzd1"
                    }
                },
                {
                    "id": 8,
                    "type": {
                        "type": "Literal",
                        "literal": "slzd2"
                    }
                },
                {
                    "id": 9,
                    "type": {
                        "type": "Literal",
                        "literal": "slzd3"
                    }
                },
                {
                    "id": 10,
                    "type": {
                        "type": "Literal",
                        "literal": "slzd4"
                    }
                },
                {
                    "id": 11,
                    "type": {
                        "type": "Literal",
                        "literal": "slzd5"
                    }
                },
                {
                    "id": 12,
                    "type": {
                        "type": "Literal",
                        "literal": "slzd6"
                    }
                },
                {
                    "id": 13,
                    "type": {
                        "type": "Literal",
                        "literal": "kbzz"
                    }
                },
                {
                    "id": 14,
                    "type": {
                        "type": "Literal",
                        "literal": "xszm"
                    }
                },
                {
                    "id": 15,
                    "type": {
                        "type": "Literal",
                        "literal": "clslCross"
                    }
                },
                {
                    "id": 16,
                    "type": {
                        "type": "Literal",
                        "literal": "zccg"
                    }
                },
                {
                    "id": 17,
                    "type": {
                        "type": "Literal",
                        "literal": "gbzl"
                    }
                },
                {
                    "id": 18,
                    "type": {
                        "type": "Literal",
                        "literal": "tujian"
                    }
                },
                {
                    "id": 19,
                    "type": {
                        "type": "Literal",
                        "literal": "wzryCross"
                    }
                }
            ]
        },
        "rank/PtlOpen/ResOpen": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Interface",
                    "properties": [
                        {
                            "id": 0,
                            "name": "rankList",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "Reference",
                                    "target": "type/rankInfo"
                                }
                            }
                        },
                        {
                            "id": 1,
                            "name": "myRank",
                            "type": {
                                "type": "Reference",
                                "target": "type/rankInfo"
                            }
                        }
                    ]
                }
            }
        },
        "shiwu/PtlConcise/ReqConcise": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "lockArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "shiwu/PtlConcise/ResConcise": {
            "type": "Interface"
        },
        "shiwu/PtlExtract/ReqExtract": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_ids",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "shiwu/PtlExtract/ResExtract": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "newIds",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "shiwu/PtlGetList/ReqGetList": {
            "type": "Interface"
        },
        "shiwu/PtlLvUp/ReqLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "_ids",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "shiwu/PtlLvUp/ResLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "isSucc",
                    "type": {
                        "type": "Boolean"
                    }
                }
            ]
        },
        "shiwu/PtlRecast/ReqRecast": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "needType",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 2
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "shiwu/PtlRecast/ResRecast": {
            "type": "Interface"
        },
        "shiwu/PtlTakeOff/ReqTakeOff": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "shiwu/PtlTakeOff/ResTakeOff": {
            "type": "Interface"
        },
        "shiwu/PtlWear/ReqWear": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "pos",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "1"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "2"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "heroId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "shiwuId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "shiwu/PtlWear/ResWear": {
            "type": "Interface"
        },
        "shootGame/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "shootGame/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "passList",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "receiveList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "shootGame/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "level",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "shootGame/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "shop/PtlBuy/ReqBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "shopId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "buyIndex",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "buyNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "shop/PtlBuy/ResBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "buyNum",
                    "type": {
                        "type": "IndexedAccess",
                        "index": "buyNum",
                        "objectType": {
                            "type": "Reference",
                            "target": "shop/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "shop/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "buyNum",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "shopItems",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "shop/PtlOpen/shopItem"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "useFreeRefreshNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "useRecoilRefreshNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "lastAutoRefreshTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "lastFreeRefreshTime",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "shop/PtlOpen/shopItem": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "a",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "t",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "String"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "n",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "p",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "colour",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "buyNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "openDay",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 8,
                    "name": "buyNeed",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "a",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "t",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "n",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            ],
                            "indexSignature": {
                                "keyType": "String",
                                "type": {
                                    "type": "Any"
                                }
                            }
                        }
                    }
                },
                {
                    "id": 9,
                    "name": "sale",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 10,
                    "name": "needVip",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 11,
                    "name": "needZCCG",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 12,
                    "name": "shiwuBuff",
                    "type": {
                        "type": "Any"
                    },
                    "optional": true
                },
                {
                    "id": 13,
                    "name": "vipAddbuyNum",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Any"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "shop/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "shopId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "shop/PtlRefresh/ReqRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "shopId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "shop/PtlRefresh/ResRefresh": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "target": {
                            "type": "Reference",
                            "target": "shop/PtlOpen/ResOpen"
                        },
                        "keys": [
                            "shopItems",
                            "buyNum"
                        ],
                        "type": "Pick"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Partial",
                        "target": {
                            "target": {
                                "type": "Reference",
                                "target": "shop/PtlOpen/ResOpen"
                            },
                            "keys": [
                                "useFreeRefreshNum",
                                "useRecoilRefreshNum"
                            ],
                            "type": "Pick"
                        }
                    }
                }
            ]
        },
        "sign/PtlGetBoxPrize/ReqGetBoxPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "key",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "sign/PtlGetBoxPrize/ResGetBoxPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Any"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "sign/PtlGetPrize/ReqGetPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "idx",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "sign/PtlGetPrize/ResGetPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Any"
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "sign/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "sign/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Any"
                    }
                }
            ]
        },
        "slzd/PtlAim/ReqAim": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "fort",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "slzd/PtlAim/ResAim": {
            "type": "Interface"
        },
        "slzd/PtlBuyNum/ReqBuyNum": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "slzd/PtlBuyNum/ResBuyNum": {
            "type": "Interface"
        },
        "slzd/PtlFight/ReqFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "fort",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "slzd/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 1,
                    "name": "change",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "Reference",
                            "target": "slzd/PtlOpen/ResOpen"
                        }
                    }
                }
            ]
        },
        "slzd/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "aim",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "winNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "winRec",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "fightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "buyFightNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "useRefreshNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "replyCd",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 7,
                    "name": "enemy",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Array",
                                "elementType": {
                                    "type": "Interface",
                                    "properties": [
                                        {
                                            "id": 0,
                                            "name": "data",
                                            "type": {
                                                "type": "Reference",
                                                "target": "../fightControl/fightType/joinFightData"
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "name": "result",
                                            "type": {
                                                "type": "Union",
                                                "members": [
                                                    {
                                                        "id": 0,
                                                        "type": {
                                                            "type": "Literal",
                                                            "literal": null
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ]
                                            }
                                        }
                                    ]
                                }
                            }
                        }
                    }
                },
                {
                    "id": 8,
                    "name": "soltLog",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "name",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "prize",
                                    "type": {
                                        "type": "Array",
                                        "elementType": {
                                            "type": "Any"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 9,
                    "name": "stashObj",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "slzd/PtlFightLog/ReqFightLog": {
            "type": "Interface"
        },
        "slzd/PtlFightLog/ResFightLog": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "../fightControl/fightType/fightResult"
            }
        },
        "slzd/PtlMyRank/ReqMyRank": {
            "type": "Interface"
        },
        "slzd/PtlMyRank/ResMyRank": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "rankList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/rankInfo"
                        }
                    }
                }
            ]
        },
        "slzd/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "slzd/PtlOpenFort/ReqOpenFort": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "fort",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "slzd/PtlOpenFort/ResOpenFort": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "enemy",
                    "type": {
                        "type": "IndexedAccess",
                        "index": "",
                        "objectType": {
                            "type": "IndexedAccess",
                            "index": "enemy",
                            "objectType": {
                                "type": "Reference",
                                "target": "slzd/PtlOpen/ResOpen"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "slzd/PtlRec/ReqRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "slzd/PtlRec/ResRec": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "slzd/PtlRefresh/ReqRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "fort",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "slzd/PtlRefresh/ResRefresh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "enemy",
                    "type": {
                        "type": "IndexedAccess",
                        "index": "",
                        "objectType": {
                            "type": "IndexedAccess",
                            "index": "enemy",
                            "objectType": {
                                "type": "Reference",
                                "target": "slzd/PtlOpen/ResOpen"
                            }
                        }
                    }
                }
            ]
        },
        "slzd/PtlSlot/ReqSlot": {
            "type": "Interface"
        },
        "slzd/PtlSlot/ResSlot": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "tanxian/PtlEvent/ReqEvent": {
            "type": "Interface"
        },
        "tanxian/PtlEvent/ResEvent": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "eventTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "iNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 3,
                    "name": "aNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "tanxian/PtlFastGuaJi/ReqFastGuaJi": {
            "type": "Interface"
        },
        "tanxian/PtlFastGuaJi/ResFastGuaJi": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "prize",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Reference",
                                        "target": "type/prizeType"
                                    }
                                }
                            },
                            {
                                "id": 1,
                                "name": "iNum",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            },
                            {
                                "id": 2,
                                "name": "aNum",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "target": {
                            "type": "Reference",
                            "target": "tanxian/PtlOpen/ResOpen"
                        },
                        "keys": [
                            "useFastGuaJiNum"
                        ],
                        "type": "Pick"
                    }
                }
            ]
        },
        "tanxian/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "eventTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "lastGuaJiTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "fastGuaJiNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "useFastGuaJiNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "useFreeGuaJiNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 5,
                    "name": "receivePrize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 6,
                    "name": "receivePrizeConfId",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 7,
                    "name": "resetTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 8,
                    "name": "zztqfreeNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 9,
                    "name": "receiveLastId",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                }
            ]
        },
        "tanxian/PtlFight/ReqFight": {
            "type": "Interface"
        },
        "tanxian/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                }
            ]
        },
        "tanxian/PtlGuaJi/ReqGuaJi": {
            "type": "Interface"
        },
        "tanxian/PtlGuaJi/ResGuaJi": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "prize",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Reference",
                                        "target": "type/prizeType"
                                    }
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "target": {
                            "type": "Reference",
                            "target": "tanxian/PtlOpen/ResOpen"
                        },
                        "keys": [
                            "lastGuaJiTime"
                        ],
                        "type": "Pick"
                    }
                }
            ]
        },
        "tanxian/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "cache",
                    "type": {
                        "type": "Boolean"
                    }
                }
            ]
        },
        "tanxian/PtlReceive/ReqReceive": {
            "type": "Interface"
        },
        "tanxian/PtlReceive/ResReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "receiveLastId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "task/PtlAllFinsh/ReqAllFinsh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "task/PtlAllFinsh/ResAllFinsh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "finishtask",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "newtask",
                    "type": {
                        "type": "Any"
                    }
                },
                {
                    "id": 2,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "task/PtlFinsh/ReqFinsh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "taskid",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "task/PtlFinsh/ResFinsh": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "task",
                    "type": {
                        "type": "Reference",
                        "target": "task/type/taskType"
                    }
                },
                {
                    "id": 1,
                    "name": "newtask",
                    "type": {
                        "type": "Any"
                    }
                },
                {
                    "id": 2,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "task/PtlOpen/ReqOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                }
            ]
        },
        "task/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "taskinfo",
                    "type": {
                        "type": "Any"
                    }
                },
                {
                    "id": 1,
                    "name": "jjcrank",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "user/PtlCDKEY/ReqCDKEY": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "code",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "user/PtlCDKEY/ResCDKEY": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "user/PtlChangeInfo/ReqChangeInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "pos",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "1"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "2"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": "3"
                                }
                            },
                            {
                                "id": 3,
                                "type": {
                                    "type": "Literal",
                                    "literal": "4"
                                }
                            }
                        ]
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "type",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "head"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "headFrame"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": "chatFrame"
                                }
                            },
                            {
                                "id": 3,
                                "type": {
                                    "type": "Literal",
                                    "literal": "model"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "user/PtlChangeInfo/ResChangeInfo": {
            "type": "Interface"
        },
        "user/PtlChangeName/ReqChangeName": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "user/PtlChangeName/ResChangeName": {
            "type": "Interface"
        },
        "user/PtlDot/ReqDot": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "data",
                    "type": {
                        "type": "Any"
                    },
                    "optional": true
                }
            ]
        },
        "user/PtlDot/ResDot": {
            "type": "Interface"
        },
        "user/PtlFight/ReqFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "user/PtlFight/ResFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                }
            ]
        },
        "user/PtlGetInfo/ReqGetInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "user/PtlGetInfo/ResGetInfo": {
            "type": "Reference",
            "target": "../fightControl/fightType/joinFightData"
        },
        "user/PtlInfoOpen/ReqInfoOpen": {
            "type": "Interface"
        },
        "user/PtlInfoOpen/ResInfoOpen": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Number"
                }
            }
        },
        "user/PtlLogin/ReqLogin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "bindUid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "sid",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "serverName",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "sign",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "lng",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "user/PtlPing/ReqPing": {
            "type": "Interface"
        },
        "user/PtlPing/ResPing": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "time",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "onlineTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "openDay",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "user/PtlRenown/ReqRenown": {
            "type": "Interface"
        },
        "user/PtlRenown/ResRenown": {
            "type": "Interface"
        },
        "user/PtlRenownBuy/ReqRenownBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "user/PtlRenownBuy/ResRenownBuy": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "user/PtlRenownOpen/Renown_info"
                    }
                }
            ]
        },
        "user/PtlRenownOpen/Renown_info": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "record",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "tequan",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "istq",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "recTime",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "user/PtlRenownGetPrize/ReqRenownGetPrize": {
            "type": "Interface"
        },
        "user/PtlRenownGetPrize/ResRenownGetPrize": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "user/PtlRenownOpen/Renown_info"
                    }
                }
            ]
        },
        "user/PtlRenownOpen/ReqRenownOpen": {
            "type": "Interface"
        },
        "user/PtlRenownOpen/ResRenownOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "user/PtlRenownOpen/Renown_info"
                    }
                }
            ]
        },
        "user/PtlTujian/ReqTujian": {
            "type": "Interface"
        },
        "user/PtlTujian/ResTujian": {
            "type": "Interface"
        },
        "weixiuchang/PtlDecompose/ReqDecompose": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "exchange",
                    "type": {
                        "type": "Boolean"
                    },
                    "optional": true
                }
            ]
        },
        "weixiuchang/PtlDecompose/ResDecompose": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prizeArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "needArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "weixiuchang/PtlExchange/ReqExchange": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "weixiuchang/PtlExchange/ResExchange": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prizeArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "needArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "weixiuchang/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "weixiuchang/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "schedule",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "star",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "weixiuchang/PtlUpLv/ReqUpLv": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "index",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "weixiuchang/PtlUpLv/ResUpLv": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "schedule",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "star",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "needArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "weixiuchang/PtlUpStar/ReqUpStar": {
            "type": "Interface"
        },
        "weixiuchang/PtlUpStar/ResUpStar": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "schedule",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Number"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "star",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "wzry/PtlAutoBaoMing/ReqAutoBaoMing": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "auto",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 0
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "wzry/PtlAutoBaoMing/ResAutoBaoMing": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "wzry/PtlOpen/wzry_info"
                    }
                }
            ]
        },
        "wzry/PtlOpen/wzry_info": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "isbm",
                                "type": {
                                    "type": "Union",
                                    "members": [
                                        {
                                            "id": 0,
                                            "type": {
                                                "type": "Literal",
                                                "literal": 0
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "type": {
                                                "type": "Literal",
                                                "literal": 1
                                            }
                                        }
                                    ]
                                }
                            },
                            {
                                "id": 1,
                                "name": "dldinfo",
                                "type": {
                                    "type": "Interface",
                                    "properties": [
                                        {
                                            "id": 0,
                                            "name": "dldpknum",
                                            "type": {
                                                "type": "Number"
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "name": "dldrefrenum",
                                            "type": {
                                                "type": "Number"
                                            }
                                        },
                                        {
                                            "id": 2,
                                            "name": "dldfight",
                                            "type": {
                                                "type": "Array",
                                                "elementType": {
                                                    "type": "Number"
                                                }
                                            },
                                            "optional": true
                                        }
                                    ]
                                }
                            },
                            {
                                "id": 2,
                                "name": "isjjzs",
                                "type": {
                                    "type": "Union",
                                    "members": [
                                        {
                                            "id": 0,
                                            "type": {
                                                "type": "Literal",
                                                "literal": 0
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "type": {
                                                "type": "Literal",
                                                "literal": 1
                                            }
                                        }
                                    ]
                                }
                            },
                            {
                                "id": 3,
                                "name": "isauto",
                                "type": {
                                    "type": "Union",
                                    "members": [
                                        {
                                            "id": 0,
                                            "type": {
                                                "type": "Literal",
                                                "literal": 0
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "type": {
                                                "type": "Literal",
                                                "literal": 1
                                            }
                                        }
                                    ]
                                }
                            },
                            {
                                "id": 4,
                                "name": "zkey",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 5,
                                "name": "info",
                                "type": {
                                    "type": "Reference",
                                    "target": "wzry/PtlOpen/wangzherongyao_biaogeshi"
                                },
                                "optional": true
                            },
                            {
                                "id": 6,
                                "name": "isdldrefre",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 7,
                                "name": "rank",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            },
                            {
                                "id": 8,
                                "name": "jifen",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            },
                            {
                                "id": 9,
                                "name": "isjingcai",
                                "type": {
                                    "type": "Interface",
                                    "properties": [
                                        {
                                            "id": 0,
                                            "name": "totalmoney",
                                            "type": {
                                                "type": "Number"
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "name": "guessuid",
                                            "type": {
                                                "type": "String"
                                            }
                                        }
                                    ]
                                },
                                "optional": true
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "uid",
                                "type": {
                                    "type": "String"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "wzry/PtlOpen/wangzherongyao_biaogeshi": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "player",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "IndexedAccess",
                            "index": "gud",
                            "objectType": {
                                "type": "Reference",
                                "target": "user/PtlLogin/ResLogin"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "roles",
                    "type": {
                        "type": "IndexedAccess",
                        "index": "roles",
                        "objectType": {
                            "type": "Reference",
                            "target": "../fightControl/fightType/joinFightData"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "valArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Any"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "wzry/PtlBaoMing/ReqBaoMing": {
            "type": "Interface"
        },
        "wzry/PtlBaoMing/ResBaoMing": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "wzry/PtlcatFightLog/ReqcatFightLog": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "fid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "wzry/PtlcatFightLog/RescatFightLog": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/fightResult"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/fightResult": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "winSide",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "fightLog",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "../../shared/fightControl/fightType/recordDataType"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "initData",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "../../shared/fightControl/fightType/joinFightData"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "fightData",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "../../shared/fightControl/fightType/joinFightData"
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "totalDamage",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "0",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "1",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 5,
                    "name": "fightStatistics",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "Number"
                                    }
                                }
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 6,
                    "name": "otherData",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "../../shared/fightControl/fightType/recordDataType": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/turn_Type"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/atk_Type"
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/addBuff_type"
                    }
                },
                {
                    "id": 3,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/delBuff_type"
                    }
                },
                {
                    "id": 4,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/startAct_Type"
                    }
                },
                {
                    "id": 5,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/stopAct_Type"
                    }
                },
                {
                    "id": 6,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/fightEnd_Type"
                    }
                },
                {
                    "id": 7,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/roleDead_Type"
                    }
                },
                {
                    "id": 8,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/addHp_Type"
                    }
                },
                {
                    "id": 9,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/downHp_Type"
                    }
                },
                {
                    "id": 10,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/fanji_Type"
                    }
                },
                {
                    "id": 11,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/fuhuo_Type"
                    }
                },
                {
                    "id": 12,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/chongsheng_Type"
                    }
                },
                {
                    "id": 13,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/fightControl/fightType/playerNuqi_Type"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/turn_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "trun"
                    }
                },
                {
                    "id": 1,
                    "name": "roundNums",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/atk_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "atk"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "targets",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "skillId",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "rolesInfo",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "../../shared/fightControl/fightType/atkRoleInfo_Type"
                            }
                        }
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/atkRoleInfo_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "ov",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "nv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "miss",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 3,
                    "name": "baoji",
                    "type": {
                        "type": "Boolean"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/addBuff_type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "addBuff"
                    }
                },
                {
                    "id": 1,
                    "name": "toRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "skillId",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "buffType",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "buffId",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/delBuff_type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "delBuff"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "skillId",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "buffId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "buffType",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "why",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                }
            ]
        },
        "../../shared/fightControl/fightType/startAct_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "startAct"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/stopAct_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "stopAct"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/fightEnd_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "fightEnd"
                    }
                },
                {
                    "id": 1,
                    "name": "winSide",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/roleDead_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "roleDead"
                    }
                },
                {
                    "id": 1,
                    "name": "isFuhou",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 2,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/addHp_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "addHp"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "why",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "buffId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "nv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "ov",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/downHp_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "downHp"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "why",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "buffId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "nv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "ov",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/fanji_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "fanji"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "targets",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "skillId",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "rolesInfo",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "../../shared/fightControl/fightType/atkRoleInfo_Type"
                            }
                        }
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/fuhuo_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "fuhuo"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "target",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "nv",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/chongsheng_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "chongsheng"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "target",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "nv",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/playerNuqi_Type": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "act",
                    "type": {
                        "type": "Literal",
                        "literal": "playerNuqi"
                    }
                },
                {
                    "id": 1,
                    "name": "fromRole",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "maxnuqi",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "nuqi",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/joinFightData": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "player",
                    "type": {
                        "type": "Intersection",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Partial",
                                    "target": {
                                        "type": "IndexedAccess",
                                        "index": "gud",
                                        "objectType": {
                                            "type": "Reference",
                                            "target": "../../shared/protocols/user/PtlLogin/ResLogin"
                                        }
                                    }
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Interface",
                                    "properties": [
                                        {
                                            "id": 0,
                                            "name": "buff",
                                            "type": {
                                                "type": "Interface",
                                                "indexSignature": {
                                                    "keyType": "String",
                                                    "type": {
                                                        "type": "Union",
                                                        "members": [
                                                            {
                                                                "id": 0,
                                                                "type": {
                                                                    "type": "Number"
                                                                }
                                                            },
                                                            {
                                                                "id": 1,
                                                                "type": {
                                                                    "type": "Any"
                                                                }
                                                            }
                                                        ]
                                                    }
                                                }
                                            },
                                            "optional": true
                                        },
                                        {
                                            "id": 1,
                                            "name": "side",
                                            "type": {
                                                "type": "String"
                                            },
                                            "optional": true
                                        },
                                        {
                                            "id": 2,
                                            "name": "pos",
                                            "type": {
                                                "type": "Union",
                                                "members": [
                                                    {
                                                        "id": 0,
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ]
                                            },
                                            "optional": true
                                        },
                                        {
                                            "id": 3,
                                            "name": "attr",
                                            "type": {
                                                "type": "Interface",
                                                "indexSignature": {
                                                    "keyType": "String",
                                                    "type": {
                                                        "type": "Union",
                                                        "members": [
                                                            {
                                                                "id": 0,
                                                                "type": {
                                                                    "type": "Number"
                                                                }
                                                            },
                                                            {
                                                                "id": 1,
                                                                "type": {
                                                                    "type": "Any"
                                                                }
                                                            }
                                                        ]
                                                    }
                                                }
                                            },
                                            "optional": true
                                        },
                                        {
                                            "id": 4,
                                            "name": "dead",
                                            "type": {
                                                "type": "Boolean"
                                            },
                                            "optional": true
                                        }
                                    ]
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "roles",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "../../shared/fightControl/fightType/roleDataType"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "star",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "../../shared/protocols/user/PtlLogin/ResLogin": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "gud",
                    "type": {
                        "type": "Intersection",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Reference",
                                    "target": "../../shared/protocols/user/PtlLogin/playerInfo"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Reference",
                                    "target": "../../shared/protocols/user/PtlLogin/playerAttr"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Partial",
                                    "target": {
                                        "type": "Reference",
                                        "target": "../../shared/protocols/user/PtlLogin/playerAppend"
                                    }
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "openTime",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "openDay",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "curTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "firstLogin",
                    "type": {
                        "type": "Boolean"
                    }
                },
                {
                    "id": 5,
                    "name": "otherData",
                    "type": {
                        "type": "Any"
                    },
                    "optional": true
                }
            ]
        },
        "../../shared/protocols/user/PtlLogin/playerInfo": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "vip",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "bindUid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 4,
                    "name": "power",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "maxpower",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 6,
                    "name": "status",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 7,
                    "name": "status_chat",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "../../shared/protocols/user/PtlLogin/playerAttr": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "nexp",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "jinbi",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 2,
                                "name": "rmbmoney",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 3,
                                "name": "rongyu",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 4,
                                "name": "payExp",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            },
                            {
                                "id": 5,
                                "name": "guijinshu",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "../../shared/protocols/user/PtlLogin/playerAppend": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "tujianLv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "head",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 2,
                    "name": "headFrame",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "chatFrame",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 4,
                    "name": "name",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 5,
                    "name": "upModel",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "id",
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 6,
                    "name": "model",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "id",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "time",
                                        "type": {
                                            "type": "Number"
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 7,
                    "name": "renown",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 8,
                    "name": "wxcLv",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "lv",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "ids",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "Number"
                                    }
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 9,
                    "name": "mapId",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 10,
                    "name": "shoucangping",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 11,
                    "name": "useTujianLvPoint",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 12,
                    "name": "skills",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 13,
                    "name": "fightSkills",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 14,
                    "name": "heroPos",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 15,
                    "name": "ghId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 16,
                    "name": "ghName",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 17,
                    "name": "ghLevel",
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/protocols/gonghui/type/gonghuiLevel"
                    }
                },
                {
                    "id": 18,
                    "name": "ghwz",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 19,
                    "name": "ghExitTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 20,
                    "name": "loginTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 21,
                    "name": "logoutTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 22,
                    "name": "cTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 23,
                    "name": "loginDays",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 24,
                    "name": "serverName",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 25,
                    "name": "sid",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 26,
                    "name": "onlineTime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 27,
                    "name": "newonlinetime",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 28,
                    "name": "isNpc",
                    "type": {
                        "type": "Boolean"
                    },
                    "optional": true
                },
                {
                    "id": 29,
                    "name": "matrix",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 30,
                    "name": "matrixPos",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "indexSignature": {
                                    "keyType": "String",
                                    "type": {
                                        "type": "String"
                                    }
                                }
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 31,
                    "name": "selectMatrix",
                    "type": {
                        "type": "String"
                    },
                    "optional": true
                },
                {
                    "id": 32,
                    "name": "fightHeros",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    },
                    "optional": true
                },
                {
                    "id": 33,
                    "name": "helpHeros",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Interface",
                            "properties": [
                                {
                                    "id": 0,
                                    "name": "_id",
                                    "type": {
                                        "type": "String"
                                    }
                                },
                                {
                                    "id": 1,
                                    "name": "jieji",
                                    "type": {
                                        "type": "Number"
                                    }
                                },
                                {
                                    "id": 2,
                                    "name": "heroId",
                                    "type": {
                                        "type": "Union",
                                        "members": [
                                            {
                                                "id": 0,
                                                "type": {
                                                    "type": "String"
                                                }
                                            },
                                            {
                                                "id": 1,
                                                "type": {
                                                    "type": "Number"
                                                }
                                            }
                                        ]
                                    },
                                    "optional": true
                                },
                                {
                                    "id": 3,
                                    "name": "heroPosId",
                                    "type": {
                                        "type": "Union",
                                        "members": [
                                            {
                                                "id": 0,
                                                "type": {
                                                    "type": "String"
                                                }
                                            },
                                            {
                                                "id": 1,
                                                "type": {
                                                    "type": "Number"
                                                }
                                            },
                                            {
                                                "id": 2,
                                                "type": {
                                                    "type": "Literal"
                                                }
                                            }
                                        ]
                                    },
                                    "optional": true
                                }
                            ]
                        }
                    },
                    "optional": true
                },
                {
                    "id": 34,
                    "name": "changeNameNum",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 35,
                    "name": "peijianUnlock",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 36,
                    "name": "headFrames",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 37,
                    "name": "chatFrames",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "../../shared/protocols/gonghui/type/gonghuiLevel": {
            "type": "Union",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Literal",
                        "literal": 0
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Literal",
                        "literal": 1
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Literal",
                        "literal": 2
                    }
                },
                {
                    "id": 3,
                    "type": {
                        "type": "Literal",
                        "literal": 3
                    }
                },
                {
                    "id": 4,
                    "type": {
                        "type": "Literal",
                        "literal": 4
                    }
                }
            ]
        },
        "../../shared/fightControl/fightType/roleDataType": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "IndexedAccess",
                            "index": "",
                            "objectType": {
                                "type": "IndexedAccess",
                                "index": "list",
                                "objectType": {
                                    "type": "Reference",
                                    "target": "../../shared/protocols/hero/PtlGetList/ResGetList"
                                }
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "attr",
                                "type": {
                                    "type": "Interface",
                                    "indexSignature": {
                                        "keyType": "String",
                                        "type": {
                                            "type": "Any"
                                        }
                                    }
                                }
                            },
                            {
                                "id": 1,
                                "name": "side",
                                "type": {
                                    "type": "String"
                                },
                                "optional": true
                            },
                            {
                                "id": 2,
                                "name": "pos",
                                "type": {
                                    "type": "Union",
                                    "members": [
                                        {
                                            "id": 0,
                                            "type": {
                                                "type": "String"
                                            }
                                        },
                                        {
                                            "id": 1,
                                            "type": {
                                                "type": "Number"
                                            }
                                        }
                                    ]
                                },
                                "optional": true
                            },
                            {
                                "id": 3,
                                "name": "dead",
                                "type": {
                                    "type": "Boolean"
                                },
                                "optional": true
                            },
                            {
                                "id": 4,
                                "name": "lockHp",
                                "type": {
                                    "type": "Boolean"
                                },
                                "optional": true
                            },
                            {
                                "id": 5,
                                "name": "maxhp",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "../../shared/protocols/hero/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Intersection",
                                "members": [
                                    {
                                        "id": 0,
                                        "type": {
                                            "type": "Interface",
                                            "properties": [
                                                {
                                                    "id": 0,
                                                    "name": "_id",
                                                    "type": {
                                                        "type": "String"
                                                    }
                                                },
                                                {
                                                    "id": 1,
                                                    "name": "heroId",
                                                    "type": {
                                                        "type": "Union",
                                                        "members": [
                                                            {
                                                                "id": 0,
                                                                "type": {
                                                                    "type": "String"
                                                                }
                                                            },
                                                            {
                                                                "id": 1,
                                                                "type": {
                                                                    "type": "Number"
                                                                }
                                                            }
                                                        ]
                                                    }
                                                },
                                                {
                                                    "id": 2,
                                                    "name": "lv",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                },
                                                {
                                                    "id": 3,
                                                    "name": "jieji",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                },
                                                {
                                                    "id": 4,
                                                    "name": "getTime",
                                                    "type": {
                                                        "type": "Number"
                                                    }
                                                }
                                            ]
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "type": {
                                            "type": "Partial",
                                            "target": {
                                                "type": "Reference",
                                                "target": "../../shared/protocols/hero/PtlGetList/heroAddKey"
                                            }
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "pos",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "lshd",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "gbzj",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Boolean"
                            }
                        }
                    }
                }
            ]
        },
        "../../shared/protocols/hero/PtlGetList/heroAddKey": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "equip",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "zhanli",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 2,
                    "name": "weapon",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "jieji",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "star",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 2,
                                "name": "starProbability",
                                "type": {
                                    "type": "Number"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 3,
                    "name": "shiwu",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Reference",
                                "target": "../../shared/protocols/type/heroShiWu"
                            }
                        }
                    }
                },
                {
                    "id": 4,
                    "name": "qiannneg",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 5,
                    "name": "awake",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 6,
                    "name": "talent",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 7,
                    "name": "peijian",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "String"
                            }
                        }
                    }
                }
            ]
        },
        "../../shared/protocols/type/heroShiWu": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "target": {
                            "type": "IndexedAccess",
                            "index": "",
                            "objectType": {
                                "type": "IndexedAccess",
                                "index": "list",
                                "objectType": {
                                    "type": "Reference",
                                    "target": "../../shared/protocols/shiwu/PtlGetList/ResGetList"
                                }
                            }
                        },
                        "keys": [
                            "_id",
                            "jichu",
                            "fujia",
                            "zhuanshu"
                        ],
                        "type": "Pick"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "shiwuId",
                                "type": {
                                    "type": "String"
                                },
                                "optional": true
                            },
                            {
                                "id": 1,
                                "name": "colour",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    }
                }
            ]
        },
        "../../shared/protocols/shiwu/PtlGetList/ResGetList": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "list",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Interface",
                                "properties": [
                                    {
                                        "id": 0,
                                        "name": "_id",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 1,
                                        "name": "colour",
                                        "type": {
                                            "type": "Number"
                                        }
                                    },
                                    {
                                        "id": 2,
                                        "name": "shiwuId",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 3,
                                        "name": "wearId",
                                        "type": {
                                            "type": "String"
                                        }
                                    },
                                    {
                                        "id": 4,
                                        "name": "jichu",
                                        "type": {
                                            "type": "Array",
                                            "elementType": {
                                                "type": "Union",
                                                "members": [
                                                    {
                                                        "id": 0,
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ]
                                            }
                                        }
                                    },
                                    {
                                        "id": 5,
                                        "name": "fujia",
                                        "type": {
                                            "type": "Array",
                                            "elementType": {
                                                "type": "Interface",
                                                "properties": [
                                                    {
                                                        "id": 0,
                                                        "name": "colour",
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    },
                                                    {
                                                        "id": 1,
                                                        "name": "buffKey",
                                                        "type": {
                                                            "type": "String"
                                                        }
                                                    },
                                                    {
                                                        "id": 2,
                                                        "name": "buffVal",
                                                        "type": {
                                                            "type": "Number"
                                                        }
                                                    }
                                                ]
                                            }
                                        }
                                    },
                                    {
                                        "id": 6,
                                        "name": "zhuanshu",
                                        "type": {
                                            "type": "Interface",
                                            "properties": [
                                                {
                                                    "id": 0,
                                                    "name": "hero",
                                                    "type": {
                                                        "type": "String"
                                                    }
                                                },
                                                {
                                                    "id": 1,
                                                    "name": "buff",
                                                    "type": {
                                                        "type": "Tuple",
                                                        "elementTypes": [
                                                            {
                                                                "type": "String"
                                                            },
                                                            {
                                                                "type": "Number"
                                                            }
                                                        ]
                                                    },
                                                    "optional": true
                                                },
                                                {
                                                    "id": 2,
                                                    "name": "skill",
                                                    "type": {
                                                        "type": "String"
                                                    },
                                                    "optional": true
                                                }
                                            ]
                                        },
                                        "optional": true
                                    }
                                ]
                            }
                        }
                    }
                }
            ]
        },
        "wzry/PtlCatGroup/ReqCatGroup": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "group",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "deep",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 256
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 64
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": 8
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "wzry/PtlCatGroup/ResCatGroup": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "grouplist",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Intersection",
                            "members": [
                                {
                                    "id": 0,
                                    "type": {
                                        "type": "Reference",
                                        "target": "wzry/PtlOpen/wangzherongyao_baoming"
                                    }
                                },
                                {
                                    "id": 1,
                                    "type": {
                                        "type": "Reference",
                                        "target": "wzry/PtlOpen/wangzherongyao_fight_group"
                                    }
                                }
                            ]
                        }
                    }
                }
            ]
        },
        "wzry/PtlOpen/wangzherongyao_baoming": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "jifen",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "zkey",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "data",
                    "type": {
                        "type": "Reference",
                        "target": "wzry/PtlOpen/wangzherongyao_biaogeshi"
                    }
                },
                {
                    "id": 4,
                    "name": "deep",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 5,
                    "name": "rank",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "wzry/PtlOpen/wangzherongyao_fight_group": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "groupinfo",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "groupid",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "orderid",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 2,
                                "name": "order",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "matchlog",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "isprize",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "wzry/PtlDldFight/ReqDldFight": {
            "type": "Interface"
        },
        "wzry/PtlDldFight/ResDldFight": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "wzry/PtlOpen/wzry_info"
                    }
                },
                {
                    "id": 1,
                    "name": "result",
                    "type": {
                        "type": "Reference",
                        "target": "../fightControl/fightType/fightResult"
                    }
                },
                {
                    "id": 2,
                    "name": "wzfight",
                    "type": {
                        "type": "Intersection",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Reference",
                                    "target": "wzry/PtlOpen/wangzherongyao_baoming"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Reference",
                                    "target": "wzry/PtlOpen/wangzherongyao_fight_group"
                                }
                            }
                        ]
                    }
                }
            ]
        },
        "wzry/PtlDldRefre/ReqDldRefre": {
            "type": "Interface"
        },
        "wzry/PtlDldRefre/ResDldRefre": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "wzry/PtlOpen/wzry_info"
                    }
                }
            ]
        },
        "wzry/PtlJingCai/ReqJingCai": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "guess",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": 1
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": 2
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal",
                                    "literal": 3
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 1,
                    "name": "touid",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "wzry/PtlJingCai/ResJingCai": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "wzry/PtlOpen/wzry_info"
                    }
                }
            ]
        },
        "wzry/PtlJingCaiOpen/ReqJingCaiOpen": {
            "type": "Interface"
        },
        "wzry/PtlJingCaiOpen/ResJingCaiOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "jclist",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Intersection",
                            "members": [
                                {
                                    "id": 0,
                                    "type": {
                                        "type": "Reference",
                                        "target": "wzry/PtlOpen/wangzherongyao_baoming"
                                    }
                                },
                                {
                                    "id": 1,
                                    "type": {
                                        "type": "Reference",
                                        "target": "wzry/PtlOpen/wangzherongyao_fight_group"
                                    }
                                }
                            ]
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "jcallnum",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "wzry/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "wzry/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "status",
                    "type": {
                        "type": "Reference",
                        "target": "wzry/PtlOpen/wangzherongyao_staus"
                    }
                },
                {
                    "id": 1,
                    "name": "mydata",
                    "type": {
                        "type": "Reference",
                        "target": "wzry/PtlOpen/wzry_info"
                    }
                },
                {
                    "id": 2,
                    "name": "zkey",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "bmnum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "time",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 5,
                    "name": "mygroup",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    }
                }
            ]
        },
        "wzry/PtlOpen/wangzherongyao_staus": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "status",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "num",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "stime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "etime",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "wzry/PtlUpdateFight/ReqUpdateFight": {
            "type": "Interface"
        },
        "wzry/PtlUpdateFight/ResUpdateFight": {
            "type": "Interface"
        },
        "wzry/PtlWzzd/ReqWzzd": {
            "type": "Interface"
        },
        "wzry/PtlWzzd/ResWzzd": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "wzzdlist",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "wzry/PtlOpen/wangzherongyao_fourWiner"
                        }
                    }
                }
            ]
        },
        "wzry/PtlOpen/wangzherongyao_fourWiner": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "round",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "zkey",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "ranklist",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "../../module/collection_wzryfight/CollectionWzryCrossFight"
                        }
                    }
                },
                {
                    "id": 3,
                    "name": "ctime",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "../../module/collection_wzryfight/CollectionWzryCrossFight": {
            "type": "Intersection",
            "members": [
                {
                    "id": 0,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/protocols/wzry/PtlOpen/wangzherongyao_baoming"
                    }
                },
                {
                    "id": 1,
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "uid",
                                "type": {
                                    "type": "String"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 2,
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/protocols/wzry/PtlOpen/wangzherongyao_fight_group"
                    }
                }
            ]
        },
        "../../shared/protocols/wzry/PtlOpen/wangzherongyao_baoming": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "jifen",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "zkey",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "uid",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 3,
                    "name": "data",
                    "type": {
                        "type": "Reference",
                        "target": "../../shared/protocols/wzry/PtlOpen/wangzherongyao_biaogeshi"
                    }
                },
                {
                    "id": 4,
                    "name": "deep",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                },
                {
                    "id": 5,
                    "name": "rank",
                    "type": {
                        "type": "Number"
                    },
                    "optional": true
                }
            ]
        },
        "../../shared/protocols/wzry/PtlOpen/wangzherongyao_biaogeshi": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "player",
                    "type": {
                        "type": "Partial",
                        "target": {
                            "type": "IndexedAccess",
                            "index": "gud",
                            "objectType": {
                                "type": "Reference",
                                "target": "../../shared/protocols/user/PtlLogin/ResLogin"
                            }
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "roles",
                    "type": {
                        "type": "IndexedAccess",
                        "index": "roles",
                        "objectType": {
                            "type": "Reference",
                            "target": "../../shared/fightControl/fightType/joinFightData"
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "valArr",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Any"
                        }
                    },
                    "optional": true
                }
            ]
        },
        "../../shared/protocols/wzry/PtlOpen/wangzherongyao_fight_group": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "groupinfo",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "groupid",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "orderid",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 2,
                                "name": "order",
                                "type": {
                                    "type": "Number"
                                },
                                "optional": true
                            }
                        ]
                    },
                    "optional": true
                },
                {
                    "id": 1,
                    "name": "matchlog",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                },
                {
                    "id": 2,
                    "name": "isprize",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Any"
                            }
                        }
                    },
                    "optional": true
                }
            ]
        },
        "wzry/PtlZuanShiOpen/ReqZuanShiOpen": {
            "type": "Interface"
        },
        "wzry/PtlZuanShiOpen/ResZuanShiOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "mygroup",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "xstask/PtlAllGet/ReqAllGet": {
            "type": "Interface"
        },
        "xstask/PtlAllGet/ResAllGet": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "taskList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "xstask/type/xsTask"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "xstask/type/xsTask": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "taskId",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "receiveData",
                    "type": {
                        "type": "Interface",
                        "properties": [
                            {
                                "id": 0,
                                "name": "time",
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 1,
                                "name": "heros",
                                "type": {
                                    "type": "Array",
                                    "elementType": {
                                        "type": "String"
                                    }
                                }
                            },
                            {
                                "id": 2,
                                "name": "rec",
                                "type": {
                                    "type": "Boolean"
                                },
                                "optional": true
                            }
                        ]
                    },
                    "optional": true
                }
            ]
        },
        "xstask/PtlGet/ReqGet": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "xstask/PtlGet/ResGet": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "taskList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "xstask/type/xsTask"
                        }
                    }
                },
                {
                    "id": 1,
                    "name": "prize",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "type/prizeType"
                        }
                    }
                }
            ]
        },
        "xstask/PtlLvUp/ReqLvUp": {
            "type": "Interface"
        },
        "xstask/PtlLvUp/ResLvUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                }
            ]
        },
        "xstask/PtlOnekeyReceive/ReqOnekeyReceive": {
            "type": "Array",
            "elementType": {
                "type": "Reference",
                "target": "xstask/PtlReceive/ReqReceive"
            }
        },
        "xstask/PtlReceive/ReqReceive": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "heroIds",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "String"
                        }
                    }
                }
            ]
        },
        "xstask/PtlOnekeyReceive/ResOnekeyReceive": {
            "type": "Interface",
            "indexSignature": {
                "keyType": "String",
                "type": {
                    "type": "Reference",
                    "target": "xstask/PtlReceive/ResReceive"
                }
            }
        },
        "xstask/PtlReceive/ResReceive": {
            "type": "IndexedAccess",
            "index": "receiveData",
            "objectType": {
                "type": "Reference",
                "target": "xstask/type/xsTask"
            }
        },
        "xstask/PtlOpen/ReqOpen": {
            "type": "Interface"
        },
        "xstask/PtlOpen/ResOpen": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "lv",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 1,
                    "name": "finishNum",
                    "type": {
                        "type": "Interface",
                        "indexSignature": {
                            "keyType": "String",
                            "type": {
                                "type": "Number"
                            }
                        }
                    }
                },
                {
                    "id": 2,
                    "name": "useFreeRefreshNum",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 3,
                    "name": "lastRefreshTime",
                    "type": {
                        "type": "Number"
                    }
                },
                {
                    "id": 4,
                    "name": "taskList",
                    "type": {
                        "type": "Array",
                        "elementType": {
                            "type": "Reference",
                            "target": "xstask/type/xsTask"
                        }
                    }
                }
            ]
        },
        "xstask/PtlRefresh/ReqRefresh": {
            "type": "Interface"
        },
        "xstask/PtlRefresh/ResRefresh": {
            "type": "Partial",
            "target": {
                "target": {
                    "type": "Reference",
                    "target": "xstask/PtlOpen/ResOpen"
                },
                "keys": [
                    "taskList",
                    "useFreeRefreshNum"
                ],
                "type": "Pick"
            }
        },
        "yongbingzhuzhan/PtlHandle/ReqHandle": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "_id",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "state",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "Literal",
                                    "literal": "shangzhen"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Literal",
                                    "literal": "xiexia"
                                }
                            }
                        ]
                    }
                },
                {
                    "id": 2,
                    "name": "heroPosId",
                    "type": {
                        "type": "Union",
                        "members": [
                            {
                                "id": 0,
                                "type": {
                                    "type": "String"
                                }
                            },
                            {
                                "id": 1,
                                "type": {
                                    "type": "Number"
                                }
                            },
                            {
                                "id": 2,
                                "type": {
                                    "type": "Literal"
                                }
                            }
                        ]
                    },
                    "optional": true
                }
            ]
        },
        "yongbingzhuzhan/PtlHandle/ResHandle": {
            "type": "Interface"
        },
        "zhanqianbushu/PtlChangePos/ReqChangePos": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 1,
                    "name": "movePos",
                    "type": {
                        "type": "String"
                    }
                },
                {
                    "id": 2,
                    "name": "toPos",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "zhanqianbushu/PtlChangePos/ResChangePos": {
            "type": "Interface"
        },
        "zhanqianbushu/PtlSelect/ReqSelect": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "zhanqianbushu/PtlSelect/ResSelect": {
            "type": "Interface"
        },
        "zhanqianbushu/PtlUp/ReqUp": {
            "type": "Interface",
            "properties": [
                {
                    "id": 0,
                    "name": "type",
                    "type": {
                        "type": "String"
                    }
                }
            ]
        },
        "zhanqianbushu/PtlUp/ResUp": {
            "type": "Interface"
        }
    }
};